Introduction

 Top Next

NoteTab™ is a leading-edge Windows text editor and HTML coding tool, and an excellent Notepad replacement. Winner of top software industry awards since 1998, this application does it all: you can handle multiple large files with a simple tabbed interface, use a spell-checker and thesaurus (*), format text, extract detailed word statistics, and bookmark documents. You can build document templates, use powerful system-wide searches, and do global multi-line replacements. NoteTab has a fully configurable toolbar with more than 90 commands available, and a Clipbar feature that lets you create your own toolbar buttons to execute custom scripts and wizards.

Its Clipbook feature lets you create and organize clips, macros that can range from text replacement to complete mini-applications, using a simple scripting language with enough features to satisfy any power user; a bunch of handy clip libraries is included. Web authors will love the HTML clip library, just one of a load of features that make NoteTab a great code-based HTML editor. Other gems include text-to-HTML conversion, tag stripping, powerful regular expression handling, and tools for adding links and color codes.

* The spell checker and thesaurus tools are not available in NoteTab Light and the trial versions of NoteTab.

If you are not familiar with technical computer terms, open the outline file Glossary.otl in NoteTab (available from the Help menu). You will find all the important words defined in it.

Highlights

• Easy to use, reliable, fast, and very flexible.
• Open, navigate and edit many documents at once, even huge files.
• AutoCorrect/Auto-replace mode, thesaurus, and spell checking with 13 language dictionaries available.
• Formatting and conversion commands galore: text case, alignment, strip tags, convert to HTML, unquote e-mails, and much more. Can automatically capture and save text sent to the Clipboard from any application.
• Supports many file formats: DOS, MAC, UNIX, ANSI, ASCII, UNICODE, and EBCDIC.
• Calculates the results of mathematical expressions and inserts them in your text.
• Includes regular expression's engine based on PCRE (Perl 5 compatible) for wildcard searches and replacements.
• Powerful Clipbook tool makes it easy to access handy macro functions and boilerplate text.
• Programmable – add your own custom commands using an easy-to-learn, full-featured script language.

See the Key Features topic for a more detailed list of features.

Major Awards

• 2007 PC World's "101 Fantastic Freebies" (NoteTab Light)
• 2005 SIAF People's Choice Award – Best Application (winner NoteTab Pro)
• 2003 SIAF People's Choice Award – Best Web Enhancement (winner NoteTab Pro)
• 2002 SIAF People's Choice Award – Best Web Enhancement (winner NoteTab Pro)
• 2001 Shareware Industry Awards – Best Application (winner NoteTab Pro)
• 2001 SIAF People's Choice Award – Best Web Enhancement (winner NoteTab Pro)
• 2001 The Microsoft & WUGNET Best Choice Shareware (NoteTab Pro)
• 2000 Shareware Industry Awards – Best Application (winner NoteTab Light)
• 1999 SIAF People's Choice Award – Best Application (winner NoteTab Pro)
• 1999 Shareware Industry Awards – Best Web Enhancement (winner NoteTab Pro)
• 1998 SIAF People's Choice Award (winner NoteTab Pro)
• 1998 PC Magazine Shareware Awards – Best Application (winner NoteTab Pro)
• 1998 PC World Magazine – Best Free Windows Utilities (Super NoteTab)
• 1997 PC Magazine Shareware Awards – Best Application (nominated Super NoteTab)

NoteTab is a trademark licensed to Fookes Software Ltd, Switzerland

Windows is a trademark of Microsoft Corporation registered in the U.S. and other countries.

All other trademarks and service marks, both marked and not marked, are the property of their respective owners.


Conventions

 Top Previous Next

The name NoteTab is used to refer to either NoteTab Light or NoteTab Std or NoteTab Pro. The Editor Clipbook tool is often referred to as just Clipbook.

The pipe symbol "|" is used to separate imbedded menu names or dialog box elements. For example:

"Modify | Change Case | Capitalize"

refers to the Capitalize command in the Change Case submenu situated under the Modify menu.

"Options | Clipbook | Indent on Paste"

refers to the Indent on Paste setting on the Clipbook tab in the Options dialog box.

If you are not familiar with technical computer terms, open the outline file Glossary.otl in NoteTab (available from the Help menu). You will find all the important words defined in it.


Key Features

• Open and edit many documents at once, even huge files (only limited by system resources).
• NoteTab Pro: multi-level undo/redo.
• Text drag-and-drop editing.
• AutoCorrect/Auto-replace mode similar to Microsoft® WinWord.
• Supports Microsoft Office sound events.
• Fully configurable toolbar with flat or standard style buttons (more than 90 commands available).
• Commercial versions of NoteTab: Print Preview option.
• Commercial versions of NoteTab: Clipbars let you create your own custom toolbars.
• Fully configurable shortcut menu.
• Programmable. Add your own custom features using an easy script language.
• Web enabled: can open links and HTML documents in browser.
• Supports third-party Web tools: HTML Tidy, TopStyle, and CSE HTML Validator.
• Powerful Clipbook tool makes it easy to memorize and insert any kind of text in your document. Includes libraries for HTML tags, acronyms, smilies, etc. Can also be used for "shorthand" glossaries or to launch other applications.
• Commercial versions of NoteTab: Clipbars, to add your own toolbars to NoteTab.
• Innovative In-Context Clipbook reduces mouse movement and speeds up work.
• Integrates support for Perl and Gawk interpreters; scripts can be stored in NoteTab and applied directly to highlighted text or whole document.
• Can calculate (type a mathematical expression and NoteTab will calculate the result).
• Each document can have different settings such as font, tab widths, word wrap.
• Supports outline-type documents that help you organize your notes or any kind of information.
• Supports document templates.
• Can search/replace text in all open documents or disk files; accepts search tokens and regular expressions.
• Functions to convert text files to Web documents, strip HTML tags, sort lines, change case, process text in blocks, etc.
• NoteTab Pro: can highlight URLs, HTML tags, Clip code, and HyperLinks.
• Drag-and-drop image files from the Quick List tool into an HTML document creates image tags with the correct size attributes.
• Commercial versions of NoteTab: spell checker and thesaurus (requires the appropriate dictionary files).
• NoteTab Pro: insert up to 10 bookmarks per document.
• Automatic scrolling for hands-free reading of documents.
• Options to set margins, page numbering, headers and footers for printing jobs.
• Reformat text, including left and right justification.
• Text statistics (counts number of characters, words, and frequency of each word).
• Drag-and-drop files from File Manager or Explorer.
• Accepts multiple file names, including wildcards, passed as command-line parameters to the program.
• Quickly open files or directories from the Favorites list.
• Can capture text copied to the Clipboard from any application.
• Can read and write files in DOS ASCII, UNIX, EBCDIC, and Mac formats.
• Covers all essential features available in Notepad (including LOG).
• And lots more...


Time-saving Features

NoteTab offers many time-saving features. The most important are:

• Editor Clipbook: lets you store and paste any kind of text.
• Auto-replace mode.
• Favorites: quickly open your favorite files and directories.
• Templates: save time in creating many common types of documents.
• Paste Board: copies all text received by the Clipboard into a chosen document.
• Customizable shortcut menu: choose the commands you find most useful for the main shortcut menu.
• Clipbars: user-created toolbars with buttons that run Clips.
• Third-party products: useful programs that integrate with NoteTab.


The NoteTab Family

The NoteTab™ family of editors is composed of three variants (see the comparison chart for more details):

1. NoteTab Pro (Commercial)
• Very fast
• Multi-level undo/redo
• Bookmarks
• Line-count ruler
• URL and HTML-tag highlighting
• Show/Hide non-printing characters
• Spell checker and thesaurus
• Full support for NoteTab-Outline documents
• Search/replace text in files on disk
· Customizable menu shortcuts
• Options for word wrap at column, tab types, etc.
• Read and write EBCDIC files
• Supports fixed-pitch OEM fonts
• Trial version from: http://www.notetab.com/download.php
• Cost: $29.95 USD (Minor updates are free)

2. NoteTab Standard (Commercial)
• Spell checker and thesaurus
• Full support for NoteTab-Outline documents
• Search/replace text in files on disk
· Customizable menu shortcuts
• Can display variable- and fixed-width fonts
• Cannot display fonts with OEM character sets (Terminal, MS Line Draw,...)
• Read and write EBCDIC files
• Trial version from: http://www.notetab.com/download.php
• Cost: $19.95 USD (Minor updates are free)

3. NoteTab Light (Freeware)
• Same features as NoteTab Standard except those listed below:
• No Print Preview option
• No spell checker or thesaurus
• Can read NoteTab Outline documents but cannot create or edit them
• No Clipbars (user-made toolbars)
• No "Reformat Lines" or "Justify" command
· No customizable menu shortcuts
• Can search for text in disk files but cannot perform replace operations
• Can read EBCDIC files but cannot create or modify them
• Available from: http://www.notetab.com/download.php
• Cost: Free license!

Fookes Software also offers several other products you may find interesting. Visit our Web site at:

http://www.fookes.com/

NoteTab is a trademark of Fookes Software Ltd, Switzerland


NoteTab Pro

NoteTab Pro™ (or NotePro™) is one of the commercial versions of the NoteTab family of editors. It uses a more sophisticated input control that provides many options to configure its behavior (wrap to column, scroll past end of line, real/fixed/smart tabs, etc.). Furthermore, it offers multiple-level undo/redo, bookmarks, URL and HTML-tag highlighting, a spell checker, and a thesaurus. Note that, unlike NoteTab Standard, NoteTab Pro only supports fixed-width fonts. NoteTab Pro is particularly well suited as an HTML editor and programmer's tool.

NoteTab Pro costs only $29.95 USD. See the topic Ordering Informationto find out how easy it is to purchase NoteTab Pro.

The main advantages of NoteTab Pro over NoteTab Std are:

• Speed
• Multiple-level undo/redo
• URL and HTML-tag highlighting
• Bookmarks
• Wrap to column
• Show/Hide non-printing characters
• Choice between real/fixed/smart tabs
• Line-count ruler

See the comparison chart for the differences between NoteTab Pro and NoteTab Std.

Trial Version Limitations

The NoteTab Pro trial version will run for one month starting from the moment you first execute the program. Make sure that your system clock is set to the correct date before you run NoteTab. Altering the system clock during the evaluation period may reduce the days you can use NoteTab or even terminate the trial period.

· One month trial period.
· No spell-checker and thesaurus feature.
· Startup time less fast than full version.

NoteTab Pro and NotePro are trademarks of Fookes Software Ltd, Switzerland


NoteTab Std

NoteTab Standard™ (or NoteTab Std™) is similar to NoteTab Light™ (the Freeware version) but adds a spell checker, thesaurus, full support for NoteTab's outline documents, and a fully enabled command for search/replace text criteria in disk files. NoteTab Std is an excellent replacement for Microsoft Notepad.

NoteTab Std costs only $19.95 USD. See the topic Ordering Informationto find out how you can purchase NoteTab Std.

The main advantages of NoteTab Standard over NoteTab Pro are:

• Can use fixed- and variable-width fonts
• Better support for non-Roman alphabets (double-byte characters; e.g. Chinese, Hebrew, etc.)

See the comparison chart for the differences between NoteTab Pro and NoteTab Std.

Trial Version Limitations

The NoteTab Std trial version will run for one month starting from the moment you first execute the program. Make sure that your system clock is set to the correct date before you run NoteTab. Altering the system clock during the evaluation period may reduce the days you can use NoteTab or even terminate the trial period.

· One month trial period.
· No spell-checker and thesaurus feature.
· Startup time less fast than full version.

NoteTab Light is the freeware version. Unlike the commercial versions of NoteTab, it does not have a spell checker or thesaurus. Furthermore it only lets you read outline documents and EBCDIC files, the Search Disk tool does not provide the Replace option, menu shortcuts are not customizable, and Clipbars are not supported. When you install NoteTab Light for the first time, it will ask you if you want to try some of the commercial features. If you answer yes, you will have access to all the outline editing commands and the Replace option for the Search Disk tool will be available. If you answer no, you can always change your mind later on by choosing the View | Commercial Features menu command. Once enabled, these extra features are available for one month. After that period, NoteTab Light simply reverts to its original state.

NoteTab Standard™, NoteTab Std™, and NoteTab Light™ are trademarks of Fookes Software Ltd, Switzerland


Freeware and Trial Versions

NoteTab Light

NoteTab Light is the freeware version. Unlike the commercial versions of NoteTab, it does not have a spell checker or thesaurus. There is no Print Preview option. The Clipbar feature (user-made toolbars) is not available either. Furthermore it only lets you read outline documents and EBCDIC files, customize menu shortcuts, and the Search Disk tool does not provide the Replace feature. When you install NoteTab Light for the first time, it will ask you if you want to try some of the commercial features. If you answer yes, you will have access to all the outline editing commands and the Replace option for the Search Disk tool will be available. If you answer no, you can always change your mind later on by choosing the View | Commercial Features menu command. Once enabled, these extra features are available for one month. After that period, NoteTab Light simply reverts to its original state.

Features available on trial for one month:

· Print Preview option.
· Create and modify outline documents and EBCDIC files.
· Customize menu shortcuts.
· Clipbar feature (user-made toolbars)
· Search Disk/Replace feature.

NoteTab Pro and Std (Trial)

The NoteTab Pro and Std trial versions will run for one month starting from the moment you first execute the program. Make sure that your system clock is set to the correct date before you run NoteTab. Altering the system clock during the evaluation period may reduce the days you can use NoteTab or even terminate the trial period. Please note that NoteTab does not use registration keys or activation codes, so you cannot turn a trial version into a registered version.

· One month trial period.
· No spell-checker and thesaurus feature.
· Startup time less fast than full version.


Comparison Chart

NoteTab Pro, NoteTab Std, and NoteTab Light features compared:

 | NoteTab Pro | NoteTab Std | NoteTab Light
General speed | Very fast | Can be slow with large files | Can be slow with large files
"Replace All" speed | Very fast | Average | Average
Show non-printing characters | Yes | No | No
Multi-level undo/redo | Yes | No | No
Bookmarks | Yes | No | No
URL and HTML-highlighting | Yes | No | No
Use OEM fonts | Yes | No | No
Use variable-width fonts | No | Yes | Yes
Spell checker + thesaurus | Yes | Yes | No
Print Preview | Yes | Yes | Only during trial mode
Disk Search & Replace | Yes | Yes | Only during trial mode
Customizable menu shortcuts | Yes | Yes | Only during trial mode
Clipbars | Yes | Yes | Only during trial mode
Read & write EBCDIC | Yes | Yes | Read (Write in trial mode)
Read & write outline | Yes | Yes | Read (Write in trial mode)
Multiple tabulator settings | No | Yes | Yes
Can wrap text to column | Yes | Not in real time | Not in real time
Show line numbers | Yes | No | No
Single license (in US dollars) | $29.95 | $19.95 | Free


Installation

You can install NoteTab over a previous copy if you want to keep all your settings. However, we recommend that you choose a different folder if you are upgrading from version 4.x or installing a trial version.

Do not install a trial copy over a registered version of NoteTab; once the trial period ends you will not be able to run NoteTab again until you reinstall your registered copy. If you have an earlier trial or beta version on your computer, uninstall it before installing NoteTab.

To install NoteTab, just execute the Setup program (Setup.exe or a similar name) and follow the instructions. If you are a system administrator, see the topic Setup Command-Line Parameters for details on controlling the NoteTab Setup process. See also the Setup Exit Codes topic.

If NoteTab fails to run when you launch it, please scan your computer for viruses. NoteTab will not run if it becomes infected by a virus or if it detects attempts to infect it. If you are sure that your computer has no viruses and NoteTab still doesn't run, please contact us so that we can help you resolve the issue.

If you have the paid version of NoteTab Pro or Std, you can download spell-checker dictionaries and a thesaurus without charge by visiting the Web page below:

http://www.notetab.com/dictionaries.php

See the How to Uninstall topic for details about removing NoteTab from your computer.

System Requirements

• Windows 95/98/2000/2003/NT4/ME/XP/XP64/Vista and Wine
• 4 MB of free disk space
• 32 MB of RAM

Note that the retail versions of NoteTab will run on Intel-based Macs that are running Windows or Wine, and on PowerPC Macs using Virtual PC. These versions will also run on UNIX/Linux systems with Wine.

Storage Location for User Data

NoteTab 5 is designed to work under multi-user environments and stores user settings and data under the Application Data folder (AppData under Windows Vista). Earlier versions of NoteTab stored such files by default under the NoteTab program folder. Unless you are working under Windows Vista or a limited user account, you can instruct NoteTab to work the old way and use the program folder as the main storage location instead of the Application Data folder. To do so, simply place the program INI file in the same folder as the NoteTab program file (NoteTab.ini for NoteTab Light/Std and NotePro.ini for NoteTab Pro). An empty INI file will do the trick.

If you install NoteTab 5.x over an earlier version of NoteTab, then user data will be stored in the same folders as before; if you want to have user data stored under the Application Data folder, then simply move the INI file to the "Application Data\NoteTab Pro" folder for NoteTab Pro, or "Application Data\NoteTab Light" folder for NoteTab Light, or "Application Data\NoteTab Std" folder for NoteTab Std ("AppData\Roaming" instead of "Application Data" under Windows Vista).

IMPORTANT: You should not store NoteTab settings under the Program Files folder if you are working in a multi-user environment, or are running Windows Vista, or running Windows XP without administrative privileges. Furthermore, if you choose to store your settings under the Program Files folder, it is your responsibility to backup any NoteTab Clipbook libraries and templates that you have customized before installing updates. Installing NoteTab updates replaces such files under the program folder with the default copies.

How to Transfer Settings from NoteTab 4 to NoteTab 5

The settings are stored in NotePro.ini and NotePro.fpr for NoteTab Pro, and in NoteTab.ini and NoteTab.fpr for NoteTab Std/Light. If you have modified or added Clipbook libraries, you will find them under the Libraries subfolder. Favorites lists are stored in the Favorites subfolder. By default, you will find these files and subfolders in the following locations. Note that <NoteTab> represents either NoteTab Pro, NoteTab Std, or NoteTab Light, depending on which version of NoteTab you have:

C:\Program Files\<NoteTab>\

Close NoteTab and then copy the settings files, the Favorites subfolder, and changed Clipbook files to the following location. Note that <user> represents the name you use to log on to Windows:

On Windows XP/2000:

C:\Documents and Settings\<user>\Application Data\<NoteTab>\

On Windows Vista:

C:\Users\<user>\AppData\Roaming\<NoteTab>\

On a Windows 98 system without individual user logins:

C:\Windows\Application Data\<NoteTab>\

On a Windows 98 system with individual user logins:

C:\Windows\Profiles\<user>\Application Data\<NoteTab>\

On a Windows NT system:

C:\Winnt\Profiles\<user>\Application Data\<NoteTab>\


Support Files and Updates

If you have the paid version of NoteTab Pro or Std, you can download extra spell-checker dictionaries for free by visiting the Web page below:

http://www.notetab.com/dictionaries.php

Please note that NoteTab Light and the trial versions of NoteTab do not support the spell checker and thesaurus. See the topic Ordering Information to find out how you can purchase the commercial versions of NoteTab.

The NoteTab Web site also provides a large collection of Clipbook libraries created by NoteTab users.

http://www.notetab.com/libraries.php

Window 95 and NT4 don't support HTML Help, which is the Help file format distributed with NoteTab. Compatible WinHelp versions are available but may not have been included in your installation package. Furthermore, if you are using NoteTab under Win95/NT4 and use Clips with the ^!Keyboard and ^!PlayBack commands, then you may need to install a special DLL file: EfoMacro.dll. To remedy these compatibility issues, and if your installation package did not include these files, please download the NoteTab Window 95 and NT4 Compatibility Pack from the following link:

http://www.notetab.com/ftp/Win95-NT4.zip

Some NoteTab Clip commands (^!FileScramble, ^$StrEncrypt, ^$StrDecrypt) offer encryption capabilities based on the ARC4 (Alleged RC4) algorithm. The Algorithm known as "RC4" is a trademark of RSA Security, Inc. In order to avoid import/export issues with the main NoteTab distribution packages, encryption features are only available after you install the ntb_enc.dll file, which contains the algorithm. Please visit the following page for instructions on downloading and installing this DLL file:

http://www.notetab.com/ntb_enc.php

There are a number of programs and utilities that are useful complements to NoteTab. Most are free and work seamlessly from NoteTab. Visit our Download page for links to these tools:

http://www.notetab.com/download.php


Setup Command-Line Parameters

The Setup program accepts optional command line parameters. These can be useful to system administrators, and to other programs calling the Setup program.

/SP-

Disables the "This will install... Do you wish to continue?" prompt at the beginning of Setup.

/SILENT, /VERYSILENT

Instructs Setup to be silent or very silent. When Setup is silent the wizard and the background window are not displayed but the installation progress window is. When a setup is very silent this installation progress window is not displayed. Everything else is normal so for example error messages during installation are displayed and the startup prompt is (if you haven't disabled it with the '/SP-' command line option explained above.)

If a restart is necessary and the '/NORESTART' command isn't used (see below) and Setup is silent, it will display a "Reboot now?" message box. If it's very silent it will reboot without asking.

/SUPPRESSMSGBOXES

Instructs Setup to suppress message boxes. Only has an effect when combined with '/SILENT' and '/VERYSILENT'.

The default response in situations where there's a choice is:

· Yes in a 'Keep newer file?' situation.
· No in a 'File exists, confirm overwrite.' situation.
· Abort in Abort/Retry situations.
· Cancel in Retry/Cancel situations.
· Yes (=continue) in a DiskSpaceWarning/DirExists/DirDoesntExist/NoUninstallWarning/ExitSetupMessage/ConfirmUninstall situation.
· Yes (=restart) in a FinishedRestartMessage/UninstalledAndNeedsRestart situation.

5 message boxes are not suppressible:

· The About Setup message box.
· The Exit Setup? message box.
· The FileNotInDir2 message box displayed when Setup requires a new disk to be inserted and the disk was not found.
· Any (error) message box displayed before Setup (or Uninstall) could read the command line parameters.
· Any message box displayed by [Code] support function MsgBox.

/LOG

Causes Setup to create a log file in the user's TEMP directory detailing file installation and execution actions taken during the installation process. This can be a helpful debugging aid. For example, if you suspect a file isn't being replaced when you believe it should be (or vice versa), the log file will tell you if the file was really skipped, and why.

The log file is created with a unique name based on the current date. (It will not overwrite or append to existing files.)

The information contained in the log file is technical in nature and therefore not intended to be understandable by end users. Nor is it designed to be machine-parseable; the format of the file is subject to change without notice.

/LOG="filename"

Same as /LOG, except it allows you to specify a fixed path/filename to use for the log file. If a file with the specified name already exists it will be overwritten. If the file cannot be created, Setup will abort with an error message.

/NOCANCEL

Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with '/SILENT' or '/VERYSILENT'.

/NORESTART

Instructs Setup not to reboot even if it's necessary.

/RESTARTEXITCODE=exit code

Specifies the custom exit code that Setup is to return when a restart is needed. Useful along with '/NORESTART'. Also see Setup Exit Codes.

/LOADINF="filename"

Instructs Setup to load the settings from the specified file after having checked the command line. This file can be prepared using the '/SAVEINF=' command as explained below.

Don't forget to use quotes if the filename contains spaces.

/SAVEINF="filename"

Instructs Setup to save installation settings to the specified file. Don't forget to use quotes if the filename contains spaces.

/DIR="x:\dirname"

Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.

/GROUP="folder name"

Overrides the default folder name displayed on the Select Start Menu Folder wizard page.

/NOICONS

Instructs Setup to initially check the Don't create any icons check box on the Select Start Menu Folder wizard page.

/COMPONENTS="comma separated list of component names"

Overrides the default components settings. Using this command line parameter causes Setup to automatically select a custom type.

/TASKS="comma separated list of task names"

Specifies a list of tasks that should be initially selected or deselected. To deselect a task, prefix its name with a "!" character.

Only the specified tasks (and their children) will be selected; the rest will be deselected. Use the /MERGETASKS parameter instead if you want to keep the default set of tasks and only select/deselect some of them.

Examples:

Deselect all tasks, then select the "desktopicon" and "fileassoc" tasks:

/TASKS="desktopicon,fileassoc"

Deselect all tasks, then select a parent task item, but exclude one of its children:

/TASKS="parent,!parent\child"

/MERGETASKS="comma separated list of task names"

Like the /TASKS parameter, except the specified tasks will be merged with the set of tasks that would have otherwise been selected by default.

If UsePreviousTasks is set to yes, the specified tasks will be selected/deselected after any previous tasks are restored.

Examples:

Keep the default set of selected tasks, but additionally select the "desktopicon" and "fileassoc" tasks:

/MERGETASKS="desktopicon,fileassoc"

Keep the default set of selected tasks, but deselect the "desktopicon" task:

/MERGETASKS="!desktopicon"


Setup Exit Codes

The NoteTab Setup program may return one of the following exit codes:

0 Setup was successfully run to completion.
1 Setup failed to initialize.
2 The user clicked Cancel in the wizard before the actual installation started, or chose "No" on the opening "This will install..." message box.
3 A fatal error occurred while preparing to move to the next installation phase (for example, from displaying the pre-installation wizard pages to the actual installation process). This should never happen except under the most unusual of circumstances, such as running out of memory or Windows resources.
4 A fatal error occurred during the actual installation process.

Note: Errors that cause an Abort-Retry-Ignore box to be displayed are not fatal errors. If the user chooses Abort at such a message box, exit code 5 will be returned.

5 The user clicked Cancel during the actual installation process, or chose Abort at an Abort-Retry-Ignore box.
6 The Setup process was forcefully terminated by the debugger (Run | Terminate was used in the IDE).

Before returning an exit code of 1, 3, or 4, an error message explaining the problem will normally be displayed.

Future versions of the NoteTab Setup program may return additional exit codes, so applications checking the exit code should be programmed to handle unexpected exit codes gracefully. Any non-zero exit code indicates that Setup was not run to completion.


How to Uninstall

If your NoteTab package came with an installation program (Setup.exe or similar), you can uninstall it by using the Control Panel's Add/Remove Programs dialog box or the Uninstall NoteTab icon in the Start menu. It is not recommended to use this feature if you have installed NoteTab Std and NoteTab Pro in the same directory; in this case, use the /UNINSTALL parameter as described below and just delete the main program file (NoteTab.exe for NoteTab Light/Std and NotePro.exe for NoteTab Pro).

IMPORTANT: If NoteTab was installed with Administrative privileges, you should then also uninstall NoteTab under these conditions. Otherwise, NoteTab might not be completely removed from your system.

The following information is only relevant to users of the distribution package that did not include an installation program:

If you have associated file extensions, or set the option to use the registry instead of an INI file, or if you have used the command provided to replace MS Notepad, you can easily restore the registry and MS Notepad by executing NoteTab Std with the following command-line parameter (use the Run command in the Windows Start menu and click on the browse button to find the program; NoteTab should not be running when you use this command):

C:\Program Files\NoteTab Std\NoteTab.exe /UNINSTALL

or

C:\Program Files\NoteTab Pro\NotePro.exe /UNINSTALL

The first example above is for NoteTab Light/Std and the second for NoteTab Pro. Note that the program may be stored in a different location from the example shown above.

If you have dedicated a folder for the program, just delete that folder and all its underlying subdirectories and files (except documents you may have saved there and want to keep!).

Otherwise, just delete all files with the name NOTETAB or NOTEPRO (NOTETAB.* or NOTEPRO.*), all files with the extensions ".FVR", ".OTL", ".TPL", ".CLB", and ".CTB", CLIPHELP.CLH, WHATSNEW.TXT, and this README.TXT file. All these files are located in the same directory as NoteTab, or their corresponding subdirectories.

If you have executed NoteTab from a CD-Rom, you will find the NOTETAB.INI and NOTETAB.FPR (or NOTEPRO.INI and NOTEPRO.FPR respectively) files in the Windows directory.


Frequently Asked Questions (FAQ)

Ordering NoteTab FAQ

Installing NoteTab FAQ

Re-installing/Updating NoteTab FAQ

Using NoteTab FAQ


Ordering NoteTab FAQ

Q. Where can I buy your software from? Do you have a local dealer?

A. You can buy NoteTab through our online order page. We have no local dealers. Our software is sold world-wide by Plimus and RegNow, which are leading U.S. order-taking companies. They are under contract with Fookes Software to process orders and collect payments. They accept orders online using a credit card, PayPal, bank/wire transfer, check/money order, purchase order, invoice, and credit card by fax.

Q. I want to pay by wire transfer and need your bank details.

A. Select "Wire" as payment method in the order form. After clicking the "Next" button, you will be taken to a page with detailed instructions, including your order reference number and the bank details for your payment.

Q. I would like to use a Purchase Order. How do I proceed?

A. At Plimus, Purchase Orders are only accepted for orders exceeding $99.00. When you reach the order form, select the "Purchase Order" option from the field labeled "Method of payment". This will generate a printable pro forma Invoice, which contains all the information you will need to prepare your Purchase Order. Please note that the supplier/vendor name on the document MUST BE Plimus.

Q. Why was my order was declined?

A. When the message "Credit card was declined" appears while processing an order it means that your credit card bank has declined the transaction, usually a quick call to your credit card bank's customer service will clarify most of the issues. If problems persist, you can use the Fax or Mail payment options to have your order processed.

Q. I did not receive my confirmation/receipt email.

A. Your order might be pending for manual review. If its not pending, look for the missing emails in your junk/blocked/spam folder.

Q. What is your Refund Policy?

A. Fookes Software's products are provided as trial versions for download directly from our site. Use these "try-before-you-buy" versions to ensure that they are compatible with your computer systems and satisfy all of your requirements before purchasing the full version. If the trial version of our software does not satisfy your needs then neither will the registered version of the program.

All sales are final. Once the registration details and download instructions have been issued they cannot be canceled. Thus we only provide refunds for accidental duplicate orders. Under exceptional circumstances, however, Fookes Software reserves the right to authorize full or partial refunds. Such refunds will only be made to the credit card or PayPal account through which the original purchase was made. An administration fee may apply to cover refund costs and third-party commissions. Before requesting a refund, please contact our customer support service to try and solve the problem that you have.

Q. What is your Upgrade Policy?

A. Minor updates and maintenance releases are free for users of the corresponding major version. In other words, if you purchased NoteTab v5.0, all updates up to v5.99 inclusive are available for free. Major upgrades (version 6.x, 7.x, etc.) are available to registered users of previous versions at a 50% discount.


Installing NoteTab FAQ

Q. Can I install NoteTab on a USB key?

A. Yes! Simply install NoteTab on your USB Key as you would on any other drive on your computer. If you also want NoteTab to store all settings and user-data on the USB key (instead of the Application Data folder of the current user account), just create a blank INI file or copy an existing one to the same folder as the NoteTab program file (NoteTab.ini for NoteTab Light/Std and NotePro.ini for NoteTab Pro).

If your USB key doesn't have a permanent drive letter assigned to it, file references saved in NoteTab's INI and Favorites lists may have incorrect drive information. You can solve this problem by launching NoteTab with the /usb command-line switch (new in version 5.2). This will instruct NoteTab to look for the file on the USB drive if it doesn't exist at the specified location. Using this switch also causes NoteTab to store all its settings on the USB key. Example:

NotePro.exe /usb

Starting with version 5.7, you only need to use this command the first time you run NoteTab off a USB drive. NoteTab then stores the information in its INI file on the USB drive. To cancel the option, run NoteTab with the /usb=false command-line switch.

Q. Where can I get extra spell-checker dictionaries from?

A. If you have the paid version of NoteTab Pro or Std, you can download spell-checker dictionaries and a thesaurus without charge by visiting the Web page below:

http://www.notetab.com/dictionaries.php

Please note that NoteTab Light and the trial versions of NoteTab do not include any spell-checker and thesaurus features. So downloading the dictionary and thesaurus files is of no use as they will not work in those versions of NoteTab.

Q. Why does NoteTab not remember its settings?

A. The main reason behind this type of issue is that Windows or a protection utility is not allowing NoteTab to save its settings to disk. Usually this happens because NoteTab is configured to save its settings under the Program Files folder. When you are running Windows Vista, or running Windows XP/2000 without administrative privileges, or using certain anti-virus products, programs cannot save data in protected folders, like Program Files and WINDOWS.

By default, NoteTab 5 is designed to store settings under the Application Data folder (AppData\Roaming on Windows Vista). However, if you've installed NoteTab 5.x over version 4.x to retain your settings, NoteTab will work the old way and continue to save settings under the Program Files folder. The solution is to move NoteTab's INI file to the Application Data folder. This procedure is explained below in the "How do I transfer settings from NoteTab 4 to NoteTab 5?" topic.

Q. How can I control where NoteTab stores user settings and data?

A. NoteTab 5 is designed to work under multi-user environments and stores user settings and data under the Application Data folder. Previous versions of NoteTab stored such files by default under the NoteTab program folder. You can instruct NoteTab to use the program folder as the main storage location instead of the Application Data folder. To do so, simply place the program INI file in the same folder as the NoteTab program file (NoteTab.ini for NoteTab Light/Std and NotePro.ini for NoteTab Pro). An empty INI file will do the trick.

IMPORTANT: You should not store NoteTab settings under the Program Files folder if you are working in a multi-user environment, or are running Windows Vista, or running Windows XP without administrative privileges. Furthermore, if you choose to store your settings under the Program Files folder, it is your responsibility to backup any NoteTab Clipbook libraries and templates that you have customized before installing updates. Installing NoteTab updates replaces such files under the program folder with the default copies.

If you install NoteTab 5 over an earlier version of NoteTab, then user data will be stored in the same folders as before; if you want to have user data stored under the Application Data folder, then simply move the INI file to the "Application Data\NoteTab Pro" folder for NoteTab Pro, or "Application Data\NoteTab Light" folder for NoteTab Light, or "Application Data\NoteTab Std" folder for NoteTab Std. Note that the "Application Data" folder is "AppData\Roaming" on Windows Vista.

If you work with sensitive data and need to ensure that it remains secure, you may want to instruct NoteTab to save its customization files on an encrypted drive instead of under the Application Data folder. You can do this with the /USER command-line switch, which is available since NoteTab 5.1. If you are looking for software to create virtual encrypted drives, we highly recommend the open source TrueCrypt (www.truecrypt.org). Example assuming E: is your encrypted drive:

NotePro.exe /USER="E:\NoteTab Data"

Alternatively, you can use the /USER command-line switch to share the same customization files with multiple NoteTab users across a network. Also, if you run different versions of NoteTab (e.g. Pro and Std), you can use this switch to force them to use the same data folder.

Q. How do I transfer settings from NoteTab 4 to NoteTab 5?

A. The settings are stored in NotePro.ini and NotePro.fpr for NoteTab Pro, and in NoteTab.ini and NoteTab.fpr for NoteTab Std/Light. If you have modified or added Clipbook libraries, you will find them under the Libraries subfolder. Favorites lists are stored in the Favorites subfolder. By default, you will find these files and subfolders in the following locations. Note that <NoteTab> represents either NoteTab Pro, NoteTab Std, or NoteTab Light, depending on which version of NoteTab you have:

C:\Program Files\<NoteTab>\

Close NoteTab and then copy the settings files, the Favorites subfolder, and changed Clipbook files to the following location. Note that <user> represents the name you use to log on to Windows:

On Windows XP/2000:

C:\Documents and Settings\<user>\Application Data\<NoteTab>\

On Windows Vista:

C:\Users\<user>\AppData\Roaming\<NoteTab>\

On a Windows 98 system without individual user logins:

C:\Windows\Application Data\<NoteTab>\

On a Windows 98 system with individual user logins:

C:\Windows\Profiles\<user>\Application Data\<NoteTab>\

On a Windows NT system:

C:\Winnt\Profiles\<user>\Application Data\<NoteTab>\

Q. What is the meaning of the "ReleaseEngineer.MACROVISION" error?

A. NoteTab relies on information in the Windows registry to determine where user settings, modified libraries, and program data files should be saved. On some rare Windows Vista systems, an as-of-yet unknown Macrovision product modifies this important registry key and inserts incorrect information. As a result, NoteTab and other programs relying on the registry key, are instructed to use a bad location for application data that looks like one of the following:

C:\Documents and Settings\ReleaseEngineer.MACROVISION\Application Data\

C:\Users\ReleaseEngineer.MACROVISION\Application Data\

When this happens, NoteTab saves its settings and data files under the specified folder. Unfortunately, once files are created there, they cannot be overwritten with updated data. As a result new program settings are no longer restored. Macrovision have been informed of the issue but at the time of writing have not yet provided a solution.

If you have experience with the Windows registry, you can correct the error by editing the following key (replacing "ReleaseEngineer.MACROVISION" in the value field with the current user profile name):

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders:AppData

The value should look something like the following, where <user> should be replaced with your user profile name:

C:\Users\<user>\AppData\Roaming


Re-installing/Updating NoteTab FAQ

Q. I have lost my license key. How can I re-install NoteTab?

A. NoteTab doesn't use license keys. The paid version is a different program file from the trial version. If you still have the paid Setup program for NoteTab, then simply install it to get up and running again. Unless you have purchased an Extended Download Warranty that is still valid, it is your responsibility to keep a backup copy of the paid setup program file, which you should store in a safe place off your computer.

If you have a still-valid Extended Download Warranty from RegNow, you can re-download your paid version of NoteTab by using the personal download link supplied in the registration email sent to you when you purchased a license.

If you have a still-valid Extended Download Warranty from Plimus, you can re-download your paid version of NoteTab by using the "Reactivate Download" link in the receipt email that was sent to you when you purchased your license..

Q. Why has the download link to my paid version expired?

A. Download links expire a few days after your purchase has been completed or after several download attempts. Unless you have purchased an Extended Download Warranty, you should keep a backup copy of the paid setup program file in a safe place off your computer so that you can reinstall easily if necessary.

Q. How do I download maintenance updates?

A. Free updates are available through the News and Updates feature, which is available since the release of NoteTab 4.95. Note that some download managers may take over this download process and interfere with normal operations. When this happens, temporarily turn off your download manager and try again. Another frequent problem is that a firewall is blocking access to the news server on the Internet.

Paid versions: the only difference between the updates and the original full setup file is that the English thesaurus and dictionary are not included in the package. But those extra files can be downloaded at any time from the NoteTab web site. Once you're satisfied with an update, you can discard your copies of previous update Setup files and backup just the latest copy. The update Setup file is all you need to install the paid version of NoteTab on a new computer.

Important: If you are using Windows Firewall and NoteTab cannot reach the update server, make sure that you uncheck the option labeled "Block all incoming connections" (Windows Vista) or "Don't allow exceptions" (Windows XP); you will find the option in the Windows Firewall settings window which opens from the Control Panel. If this setting is enabled, you are not notified when Windows Firewall blocks programs, and programs on the Exceptions list are ignored.

Q. What is your Upgrade Policy?

A. Minor updates and maintenance releases are free for users of the corresponding major version. In other words, if you purchased NoteTab v5.0, all updates up to v5.99 inclusive are available for free. Major upgrades (version 6.x, 7.x, etc.) are available to registered users of previous versions at a 50% discount.


Using NoteTab FAQ

Q. Can I replace Windows Notepad with NoteTab?

A. Yes, as long as you are not running Windows Vista. If NoteTab is correctly installed, you will find a command called "Replace MS Notepad" under the Help menu. When you choose that command, NoteTab will first rename Notepad by adding the extension ".MS" to the program file. Then, it will copy a special little program called NOTEPAD.STB to the Windows directory and rename it NOTEPAD.EXE. Whenever this program is executed, it launches NoteTab instead of Notepad. If you want to restore MS Notepad after this operation, just use the command "Restore MS Notepad", which is also available under the Help menu.

Note that this feature is not available under Windows Vista. It may also not always work properly under Windows 2000, ME, and XP, due to the Windows File Protection (WFP) monitoring system, which checks for changes to system files. In this case, you should assign text files to NoteTab through the Associations screen in the Options dialog box.

Q. Word wrap has stopped working in NoteTab Light/Std. Is this a bug?

A. No. You have probably set the Wrap to Column option as a default setting or for the current document. Using this feature in NoteTab Light and Std turns off regular word wrap. Please consider upgrading your license to NoteTab Pro if you need column wrap that updates the same way as regular word wrap.

Q. How do I print only the selected text?

A. In NoteTab 5, hold down the Shift key while you click on the Print or Print Preview command.

Q. How do I print with a font of my choice?

A. The font used for printing text from NoteTab can be changed through the Page Setup dialog box, which is available through the File/Page Setup dialog box.

Q. NoteTab does not load the whole file!

A. The file probably contains one or more null characters. By default, NoteTab treats the first null character it encounters as the end of the text. To change this behavior, you can set the "Filter Binary Codes" option which you will find on the Files tab in the Options dialog box. When this option is set, any null character NoteTab encounters when loading a file is converted to the substitute character (also defined in the Options dialog box). You will be able to load the full content of any file when this feature is enabled.

Q. NoteTab does not let me edit the file I just opened. Why?

A. The most likely reason is that your document contains Unicode text. When NoteTab opens Unicode files, it has to convert them to the ANSI character set, which supports much fewer characters. As a result, the conversion process may drop non-ANSI characters resulting in loss of information. When the "Protect Unicode Files" setting is checked (General tab in Options dialog box), Unicode files are opened in Read-Only mode, which protects the document from changes. If you know that your Unicode documents will not loose important information during the conversion process, uncheck this option so that such files are always editable. You can also make a document editable by unchecking the Read-Only option under the Document menu.

Q. Can I edit Unicode and UTF-8 files with NoteTab?

A. Although NoteTab can open such files, it needs to convert them to the Windows ANSI character set to display them. As a result, characters not available in the ANSI character set are substituted with question mark characters (?). By default, NoteTab opens these file as Read-Only documents to reduce the risk of data loss after character substitution. You can turn off Read-Only mode through the Document menu. If you choose to edit such documents in NoteTab and save the changes, the resulting file will become a standard ANSI text file.

At the present time we do not have plans to develop a Unicode/UTF-8 version of NoteTab.

Q. Are there plans for a Linux or MAC version of NoteTab?

A. Not at the moment. Note, that NoteTab will run on Intel-based Macs that are running Windows or Wine, and on PowerPC Macs using Virtual PC. It will also run on UNIX/Linux systems with Wine.

Q. Is NoteTab available in languages other than English?

A. No. At the present time we do not have plans for this.

Q. My mouse scroll wheel is not working properly in NoteTab. How can I fix this?

A. Although the mouse scroll wheel works well in NoteTab for the majority of users, a few have reported problems – sometimes after simply updating the mouse driver. We've never been able to reproduce any of the reported issues and therefore don't know what is the source of the problem. A quick search on the Internet shows that there are many reports of malfunctioning scroll wheels with other Windows applications, so this is not an issue limited to NoteTab.

Installing the free utility KatMouse usually solves scroll wheel issues:

http://www.code-scout.net/katmouse/

Q. How do I associate specific extensions with this editor?

A. There is a tool in the Options dialog box on the Associations tab that makes it really easy to associate file extensions or undo associations. Add extensions to the list to create an association or delete an extension to undo the association.

Q. How do I make NoteTab the default source viewer in IE?

A. First open the Utilities library by clicking on the button labeled Utilities at the bottom of the NoteTab window. Next, scroll down the list in the opened library until you reach the "NoteTab Shortcuts" section. Double-click on "Add IE Default HTML Editor".

Q. The link is not opened in my browser when I click on it!

A. You must hold the Control key down and double-click on the link to open it in your browser. However, if you set the menu option "Tools | Quick Open Links", you only need to double-click on the link without holding the Control key down.

Q. How do I specify a default directory for opening and saving files?

A. There is an option in the Options dialog box on the Files tab that lets you choose the default open/save directories.

Q. NoteTab Pro: where have all my fonts gone?

A. Unlike NoteTab Std, NoteTab Pro cannot use variable-width fonts. It therefore limits your choice of fonts to those that are fixed-width. This design is imposed by the input control used in NoteTab Pro. The benefits are better performance and a choice of commands/configuration options that are not available in NoteTab Std.

Q. How can I set attributes (bold, underline, ...) for individual text elements?

A. This is not possible with NoteTab (or any "plain text" editor for that matter). This feature would require storing special control characters in the document. Since NoteTab is a "plain text" editor, it only saves documents as text without any control codes. Therefore all formatting information would be lost when you open the document again. If you want to format individual text elements, you will need a more sophisticated editor like a word processor.

Q. My Word processor file looks funny in NoteTab and some text is lost!

A. Files produced by word processors are usually not saved as plain text files. They contain all sorts of control codes that only the word processor that created them (or compatible programs) can understand. Word processors use those special control characters to store text formatting information (bold, italic, line spacing, paragraph alignment, etc.).

The NoteTab editor only understands plain text files (that's why it is so fast compared to a word processor) and will display the special control characters as funny symbols or rectangles on the screen. Some of the control characters may be interpreted by NoteTab as signaling the end of a file. This explains why such files are rarely fully loaded in the editor.

Unless you really know what you are doing, you should not edit or save such files with NoteTab. Doing this may render them unreadable to your word processor!

Q. When I save a document as FILENAME.EXT, it becomes FILENAME.EXT.TXT

A. All programs using the standard Windows file dialog boxes do this. In fact, the default extension is added by Windows, not NoteTab. If the extension you are using is is associated to a program or is listed in the dialog's file-type list, then the default extension is not added. You can add any extension to the list by opening the Options dialog box and then activating the File Filters tab. Another method to avoid appending the default extension is to enclose the file name in double quotes (for example: "MyFile.2008").

Microsoft added this behavior with the introduction of long file names. You can now have file names like the following:

MyFile.2008.txt

The .2008 is not considered as being part of the extension. And if you type

MyFile.2008

in the File dialog box and ".2008" is not listed as a file extension (or associated with another application), then Windows assumes it is part of the file name and name does not have an extension – hence it adds the default extension.

Q. What does the NoteTab icon represent?

A. Fookes Software, the company that produces NoteTab, is based in Switzerland. The white cross on the red background represents the Swiss flag.

Q. Why does NoteTab not remember its settings?

A. The main reason behind this type of issue is that Windows or a protection utility is not allowing NoteTab to save its settings to disk. Usually this happens because NoteTab is configured to save its settings under the Program Files folder. When you are running Windows Vista, or running Windows XP/2000 without administrative privileges, or using certain anti-virus products, programs cannot save data in protected folders, like Program Files and WINDOWS.

By default, NoteTab 5 is designed to store settings under the Application Data folder (AppData\Roaming on Windows Vista). However, if you've installed NoteTab 5.x over version 4.x to retain your settings, NoteTab will work the old way and continue to save settings under the Program Files folder. The solution is to move NoteTab's INI file to the Application Data folder. This procedure is explained above in the "How do I transfer settings from NoteTab 4 to NoteTab 5?" FAQ topic.

Answers to other questions...


Tips and How to...

In NoteTab, you can drag-and-drop selected text. To move text to another part of your document, first select it, then click on the selection with the left mouse button and drag it to the desired location. If you want to duplicate text rather than move it, follow the same procedure but with the Control key pressed down.

In NoteTab Pro, double clicking on a word with the mouse selects it together with all blank spaces following it. If you only want the word selected, just hold down the Alt key while you double click on the word.

When you have several documents open, you can drag-and-drop page tabs to reorder them any way you like. If the tabs are stacked, you will first have to enable drag-and-drop by double clicking on the tab before moving it.

If you use the system tray and always want the program available, don't exit the editor but minimize it instead. The program will minimize to the system tray and reappear next time you click on its icon.

If you use Explorer and would like to open a selection of documents in NoteTab, make sure you use "Send To" instead of the "Open" command. The "Open" command tries to launch a new instance of NoteTab for each selected file. Due to a feature that causes NoteTab to check for previous instances of the program, only some of the files may be loaded. Furthermore, this process is considerably slower than using the "Send To" command.

The ruler can display measurements in characters (only accurate with fixed-width fonts), inches, and millimeters. Click on the ruler to toggle between the different units. When you place the mouse cursor over the ruler, the measurement at that position is indicated in the hint bar. Note that the ruler measurements do not scroll horizontally with the editor window.

Use the View | Multiple Instances menu command if you want to open multiple copies of the editor in memory.

The Clipbook can be used to launch other programs, open the current document in its associated application, open the current document in the specified program, and open URLs. Clips with this capability have a little exclamation "!" symbol on their left side.

Open a local file by placing the cursor on its name in a document and pressing the F7 key (or through the menu: Tools / Open File at cursor).

The "Go to Line" command is activated when you double-click on the cursor-position pane in the status bar.

NoteTab Pro: You can toggle between insert and overwrite mode by double-clicking on the Insert/Overwrite pane in the status bar.

Double-clicking on the hint line in the status bar selects all the text in the current document.

You can copy the content of the Clipbook and Outline list to the Clipboard (see the list box shortcut menu). In the Hint bar, you can see how many items are contained in the list when you select the "Headers to Clipboard" or "Headings to Clipboard" command.

Pressing the Tab key when you have several lines of text highlighted (starting at the beginning of the first line) will now act as if you have chosen the indent command. Holding the Shift key down will unindent the highlighted lines.

When the Quick List is used to display open documents, double-clicking or pressing Enter on a name in the list will set the focus to the corresponding document.

If you are very familiar with INI files, you can edit NoteTab's own INI file like any other document. To have your changes taken into account when you reopen NoteTab, you must rename the file by adding an exclamation mark in front of the name (e.g. !NoteTab.INI). Next time you run NoteTab, the content of the renamed INI file will be used.


Known Issues

If you are having a problem with NoteTab or planning to submit a bug report, please first read through the following list of known problems. Also check, if possible, whether the bug has been fixed in the latest update.

File Open/Save Dialog Box does not Open (Win95 and 98)

File Open/Save dialog box does not open: The open and save commands use the standard Windows dialog boxes. On some rare computers, Windows does not always respond to NoteTab's request to display these dialog boxes. Several users say they started experiencing this problem after installing IExplorer. Although it never seems to happen in Microsoft's own applications, this problem has been seen in Netscape, Forte Agent, WordPerfect, and other programs. It is due to a bug in some of the DLLs installed by IExplorer. Updating some of the system DLLs seems to have solved the problem for most users. Please visit the Microsoft Web site for such updates: http://www.microsoft.com/windows/downloads/

File Open Dialog Box – "Open as read-only" ignored

Under some versions of Windows, the "Open as read-only" setting is ignored if you select more than one file. This is a bug in Windows.

Toolbar Buttons (Win95 and 98)

The toolbar buttons may not display correctly if you don't have the latest version of a Windows system file. If this is the case on your system, you will have to install a newer version of the ComCtl32.DLL file. You can do this by downloading and installing the following update file (about 500KB) from Microsoft:

http://www.fookes.com/ftp/ms/50comupd.exe

Some users have also reported display problems with Windows 98. This had nothing to do with the ComCtl32.DLL file. It turned out that the problem was due to bugs in their display driver and was corrected when they installed a newer update of their driver.

Default File Extension

If you use a default extension with more than three characters, the Windows File Open/Save dialog box ignores the extra characters. This is an oversight in Windows, not NoteTab. Enter the full extension to avoid this problem.

Bad Listbox Colors

Systems configured to display only 256 colors will not allow certain color combinations for the editor text and list boxes. Incompatible colors are noticeable because Windows will use a different color for the text background; where there is no text, the correct color is used. This is not a bug in NoteTab. You must try other color combinations to correct the problem.

Undo Paste Operations

The Rich-edit control (a Windows component) used in NoteTab Std/Light cannot undo individual paste operations if these are done one after the other. The control incorrectly assumes this represents a single operation and will undo all the consecutive pastes in one go. To solve this problem, you must enter some text between the paste operations.

OEM Fonts in NoteTab Std/Light

NoteTab Std/Light cannot display fonts with OEM character sets (Terminal, MS Line Draw,...). This limitation is due to the Rich-edit control provided with Windows. NoteTab Pro, however, uses another type of input control that can correctly display such fonts.

NoteTab Std/Light Glitch when Word Wrap Changes

The Rich-edit control (a Windows component) used in Notetab Std/Light has a bug that causes the following four characters: ''"" (ALT-0145 ALT-0146 ALT-0147 ALT-0148) to be converted to: ''"" when you toggle word wrap. Solution: don't change word wrap if you want to use those characters, or use NoteTab Pro (it uses a different kind of input control).


NoteTab Discussion Groups

The NoteTab discussion groups are a great place to meet other NoteTab users – friendly people from all walks of life, and ranging from complete beginners to experts. If you are a "newbie", ask some of the "old timers" some basic questions to help get you started. Also use this list to exchange ideas, share neat tips and tricks, ask questions, suggest new features, etc.

You will find more information about the discussion groups on the following Web page:

http://www.notetab.com/groups.php


History of NoteTab

NoteTab has been a leader in innovations brought to the field of text editors ever since the first version. Many of these original features have now been copied by competing software. Here is a short outline of the most significant features first introduced by NoteTab:

October 1995:

Introduction of the first version of NoteTab (called Mini NoteTab) for Windows 3.x. It was one of the first text editors (perhaps even the first) to use a tabbed layout instead of the cumbersome MDI interface.

December 1996:

Favorites dialog box was introduced. This feature made it very easy to find files and directories no matter where they are located on the hard disk(s).

January 1997:

The flexible and very popular "Editor Clipbook" tool was created and integrated in NoteTab version 2.0. Although this feature is being increasingly copied, the original Clipbook remains the uncontested leader in ease of use, power, and flexibility.

Web-enabled features: lets you easily open links in your default browser by clicking on them with the mouse. Added a command to preview HTML documents in Web browser.

June 1997:

The convenient In-Context Clipbook was introduced in NoteTab version 3.0.

February 1998:

NoteTab version 4.0 introduces many original features never seen in text editors before. These include:

• Outline documents with hypertext links
• Clipbook Wizards
• Customizable shortcut menu
• Calculates mathematical expressions
• Easiest method ever to replace MS Notepad with alternative editor

September 1998:

NoteTab version 4.5 is released. This version is programmable thanks to an extension of the Clipbook syntax which supports variables, conditional statements, events, more than 90 Clip commands, and more than 80 Clip functions. Furthermore, NoteTab also integrates support for Perl and Gawk interpreters; scripts can be stored in NoteTab and applied directly to highlighted text or the whole document.

March 1999:

NoteTab version 4.6 is released. Many new features have been added since the previous update. Some, like drag-and-drop editing and an option to show nonprinting characters in NoteTab Pro, were requested by users for a long time. Auto-replace mode based on the Clipbook adds yet another significant time saver; this feature is similar to WinWord's AutoCorrect tool and the Code-Completion functionality found in some programming environments. With the addition of EBCDIC support, NoteTab has become a valuable tool for any project involving editing or converting EBCDIC files from MVS and AS/400 systems. As a result, you can now use NoteTab for those huge Y2K projects.

February 2000:

NoteTab version 4.8 is released. The Pro and Std versions let you create your own toolbars, called Clipbars. The Clip language adds over 50 new commands and functions, and for the first time NoteTab Light supports all its features. NoteTab now integrates with HTML Tidy, TopStyle, and CSE HTML Validator. HTML coders can configure NoteTab to render their tags either in upper case, lower case, or in XHTML format.

June 2002:

NoteTab version 4.9 replaces WinHelp file with the more popular HTML Help format. It adds support for customizable menu shortcuts and many new Clip commands. This release integrates with IntelliComplete Server (ICS), which provides smart autocompletion and can learn new words as you type away.

May 2003:

NoteTab version 4.95 adds a News and Updates feature that helps users stay up-to-date with new releases. Updates can be downloaded and installed directly from within NoteTab.

July 2006:

NoteTab 5.0 released. Major code library rewrites, powerful new regex engine based on Perl 5 syntax, new print engine with Print Preview, new data management fully supports multi-user setups.


Ordering Information

Pricing

Prices indicated in this Help file and accompanying documentation are valid for NoteTab version 5.7 and may change when the next update is released. Please use the Check for Updates feature or visit the NoteTab Web site to find out if a new update is available and to check its pricing.

NoteTab Pro

Single-user license: $29.95 USD*

NoteTab Std

Single-user license: $19.95 USD*

* There is an extra charge if you're ordering with a Purchase Order.

See the Site Licenses topic for special site license pricing.

Orders are processed for us by Plimus and RegNow. These U.S. order-taking company uses the highest level of protection throughout the entire order processes, from all order pages, through the storage of customer information, and credit card processing which is done by Wells Fargo. This ensures that your private data will remain confidential. Plimus and RegNow offers a variety of payment options: MasterCard, Visa, EuroCard, American Express, Discover/Novus, Diners Club, JCB, US$ Checks, Eurochecks, Wire Transfers. Payments can be made Online, by Fax, by Mail or by Phone. Download instructions are delivered via email immediately after your payment is received (usually in less than one minute with credit cards). Please ensure that this email won't get deleted by your spam filter!

Go to the following page to order NoteTab online:

http://www.notetab.com/order.php

Purchase Orders

Plimus and RegNow will also process corporate Purchase Orders. To order, first choose the product you want to purchase then move on to the order form where you enter your address and payment details; on that screen, select Purchase Order as your Method of payment. Follow the instructions and fax your purchase order to Plimus or RegNow. You will receive download instructions once your payment is received.


Site Licenses

Prices indicated in this Help file and accompanying documentation are valid for NoteTab version 5.7 and may change when the next update is released. Please use the Check for Updates feature or visit the NoteTab Web site to find out if a new update is available and to check its pricing.

A site license for NoteTab entitles an organization to receive one copy of the distribution package and to duplicate it for the specified number of copies, or to make it available to the specified number of users on a network. Note that a site license is for a single physical site unless you choose the world-wide license (covers everyone in a single organization). See the topic Ordering Information to find out how you can purchase NoteTab.

Users USD

2 to 5 10% price reduction

6 to 20 20% price reduction

21 to 50 30% price reduction

51 to 200 40% price reduction

201 to 500 50% price reduction

>500 $7,500 (total for single location)

>500 $15,000 (total for world-wide site license)


Upgrade Policy

Minor updates and maintenance releases of the commercial versions of NoteTab are free for users of the corresponding major version. In other words, if you purchased NoteTab v5.00, all updates up to v5.99 inclusive are available for free. See the topic Get Program Updates for more information. Major upgrades (version 6.*, 7.*, etc.) are available to registered users of previous versions at a 50% discount. These upgrade discounts are available through the News and Updates Dialog Box. However, the upgrade is free for those who purchased the corresponding version of NoteTab 30 days prior to the release of a major upgrade.

Please note that NoteTab does not use registration keys or activation codes, so you cannot turn a trial version into a registered version.


Refund Policy

All of Fookes Software's products can be evaluated, free of charge, through a trial mode or separate trial version that can be downloaded directly from our web site. Use the trial before you purchase to ensure that the full product will be compatible with your computer systems and satisfy your requirements. If you do not, you accept that the product may not meet your needs and that this will not justify a refund or chargeback. If you experience an issue with our software, then please contact our customer support service for help in solving the problem.

All sales are final and refunds are provided only for accidental duplicate orders. Refunds will only be made to the credit card or PayPal account through which the original purchase was made. An administration fee may apply in such cases to cover processing costs and third-party commissions.

Ordering a software license signifies your acceptance of this Refund Policy.


End User License Agreement (NoteTab Pro/Std)

This End User License Agreement (this "Agreement"), governs the terms and conditions of the Licensee's access and use of NoteTab Pro and/or NoteTab Std software ("NoteTab"), and is made between the Licensee ("you") and Fookes Software Ltd, La Petite Fin 27, 1637 Charmey, Switzerland ("Fookes Software"). However, if you are using a Trial Version as or on behalf of an entity, and/or have registered for any other license as or on behalf of an entity, such as a corporation, partnership, limited liability company or other entity, the term "you" used below refers to the entity which will be bound by this Agreement. You represent and warrant that you have power and authority to enter into this Agreement on behalf of the entity. This Agreement does not address any third-party or free or open source software separately licensed to you.

By clicking the "I accept the Agreement" option during installation and/or by accepting the Agreement on the online order form and/or by using NoteTab, you confirm your acceptance of, and agree to be bound by, this Agreement. If you do not agree to this Agreement or if you do not understand it, do not purchase, install, or use NoteTab.

In case you have another written agreement directly with Fookes Software, such written agreement prevails in the event of any conflict with the terms and conditions of this Agreement.

1. Definitions

"Software" means the version of NoteTab in executable form and documentation.

"Evaluation Period" means a limited evaluation period of usually no more than one month, beginning on the day that you first execute the Software.

"Trial Version" means a version of the Software, so identified, to be used only to review, demonstrate and evaluate the Software for a limited time period. The Trial Version may have limited features and will cease operating after an Evaluation Period due to an internal mechanism within the Trial Version.

"Use" means loading, installing, executing, displaying, performing and/or transmitting the Software for your internal business purposes, and not for distribution or resale.

2. Software License Grants

2.1. Trial Version Use

Subject to the terms and conditions of this Agreement, Fookes Software hereby grants you a non-sublicensable, nonexclusive, nontransferable license to Use the Trial Version without charge and for evaluation purposes only in a non-production test environment. Any other use of the Trial Version is expressly prohibited. You may make as many copies of the Software as is reasonably necessary for evaluating the Software. Files created by the Trial Version are for evaluation purposes only and, unless you purchase a license, must be destroyed once evaluation is complete.

2.2. Commercial Version Use

This license is subject to your compliance with the terms and conditions of this Agreement, including payment.

Fookes Software hereby grants you a license to Use the Software on one computer owned by or leased to you, except as follows.

If the Software is stored on a computer other than a network server then the primary user may also Use the Software on a home and/or laptop computer, provided the Software is used on only one machine at a time. Otherwise, a separate license is required for each single computer on which the Software will be used.

You may transfer all your rights to use the Software to another individual or legal entity provided that: (a) you also transfer (i) this Agreement, (ii) the Software, including all copies, upgrades, updates and prior versions to such individual or entity; (b) you retain no upgrades, updates or copies, including back-ups and copies stored on a computer; and (c) the receiving party accepts the terms and conditions of this Agreement and any other terms and conditions under which you purchased a valid license to the Software.

2.3 License Restrictions

The Software is licensed, not sold. This Agreement only gives you the rights according to the chosen license type (section 2); Fookes Software reserves all other rights. Especially you may not:

(a) modify, adapt, translate, rent, lease or sublicense (including offering the Software to third parties on an application service provider, web service or time sharing basis) the Software except to the extent explicitly permitted in any of the licenses above; (b) disable or block any licensing, rights management or control features of the Software except as an intended part of the Software's programming features; (c) assign, loan, resell, transfer, distribute or otherwise make accessible the Software, except as set forth in sections 2.2 and 6; (d) modify, decompile, disassemble or reverse engineer the Software; (e) remove or modify any legal notices in the Software; (f) or make more copies of the Software other than for back-up purposes, except as set forth in sections 2.1, 2.2, and 6. You may make a reasonable number of back-up copies of the Software, provided your back-up copies are not installed or used for other than archival purposes, and are kept in a safe location that is not accessible to users without a valid license.

Once you have purchased a license, you may access the Software through a network, provided that you have obtained individual licenses covering all users who will Use the Software from that network. For instance, if five different users will access the Software on the network, you will need enough licenses to cover five users, whether they use the Software at different times or concurrently.

It is your responsibility to make a back-up copy of the Software installation file and your registration details off your computer and place these in a safe location that is not accessible to other users.

3. Customer Support / Software Maintenance

Fookes Software provides customer support that is generally free of charge and exclusively by email, to the extent that Fookes Software at its sole discretion shall determine to be reasonable. Fookes Software has no obligation to provide customer support for discontinued products and old Software versions that were released six months prior to the release of the latest update or upgrade.

You bear all responsibility for ensuring that email replies from Fookes Software can reach you. Fookes Software cannot be held responsible if its emails to you are blocked by your Internet service provider (ISP), or your email server, or your email program's spam/junk-mail filters. If necessary, you will provide an alternative email address that can receive emails from Fookes Software.

You acknowledge and agree that Fookes Software will not produce any solutions, bug fixes, and/or maintenance updates, for previous versions of Software upon availability of an update or upgrade.

4. Refund Policy

The Trial Version is available for download free of charge from the Fookes Software web site. It is intended to allow potential customers to evaluate before purchase, whether the Software is compatible with their computer systems, and will satisfy their requirements. As a result, all sales are final and refunds are provided only for accidental duplicate orders. Refunds will only be made to the credit card or PayPal account through which the original purchase was made. An administration fee may apply in such cases to cover processing costs and third-party commissions.

Ordering a software license signifies your acceptance of this Refund Policy.

5. Ownership

The Software is proprietary to Fookes Software. The Software is licensed, not sold, to you notwithstanding any reference herein to "purchases." You acknowledge and agree that: (a) the Software is protected under U.S. copyright and other national and international copyright laws; (b) Fookes Software and its licensors retain all copyrights and other intellectual property rights in the Software; (c) there are no implied licenses under this License, and any rights not expressly granted to you hereunder are reserved by Fookes Software; (d) you acquire no ownership or other interest (other than your license rights) in or to the Software; and (e) Fookes Software owns all copies of the Software, however made. You agree that you will not, at any time, contest anywhere in the world Fookes Software's ownership of or rights in the Software. You have no rights hereunder to use any trademark or service mark belonging to Fookes Software.

6. Distribution of Trial Version

Provided that you are distributing the then-current Trial Version (without any feature-unlocking file and/or instructions) you are hereby licensed to make as many copies of the Trial Version as you wish; give exact copies of the original Trial Version to anyone; and distribute the Trial Version in its unmodified form via electronic means (Internet, BBS's, software distribution libraries, CD-ROMs, DVDs, etc.). You may charge a small distribution fee for the Trial Version, but you must not represent in any way that you are selling the software itself. All copies must reproduce copyright notices.

You may not make the Trial Version available on any site, CD-ROM, DVD, or with any package, or with any other medium or service, which makes available or contains viruses, virus source code, virus construction programs, virus creation material, software cracks, spyware, malware or other malicious code or material.

Permission to distribute the Trial Version is not transferable, assignable, saleable, or franchisable, and any attempt to do so is void. Each entity wishing to distribute the Trial Version must independently satisfy the terms of the foregoing distribution license.

7. Updates and Upgrades

To Use an update or an upgrade of the Software ("Update"), you must possess a valid license to the previous version of the Software you want to update or upgrade. You agree that once you start using an Update, you lose your right to Use a previous version of the updated/upgraded Software. You also agree that you will not transfer a previous version of the Software to another person or entity, and that you may Use the Update only in accordance with the terms of this Agreement.

8. Compliance

You shall conduct your business in compliance with all laws and regulations in any way applicable to the Software or to the performance of your obligations under this Agreement. Without limiting the generality of the foregoing, you shall not take any action that would violate, or cause Fookes Software to be in violation of, any applicable law of the United States or any other jurisdiction including but not limited to the U.S. Foreign Corrupt Practices Act and all import and export laws, regulations and restrictions of the United States or any foreign agency or authority.

9. U.S. Government Rights

This is a notice to U.S. Government End Users:

The Software and the documentation which accompanies the Software are "Commercial Items," as that term is defined at 48 C.F.R. §2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," as such terms are used in 48 C.F.R. §12.212 or 48 C.F.R. §227.7202, as applicable. Consistent with 48 C.F.R. §12.212 or 48 C.F.R. §§227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights as are granted to all other end users pursuant to the terms and conditions herein. Fookes Software Ltd, La Petite Fin 27, 1637 Charmey, Switzerland.

10. WARRANTY DISCLAIMER AND LIMITATION OF LIABILITY

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. FOOKES SOFTWARE DISCLAIMS as far as legally permissible ALL WARRANTIES RELATING TO THE SOFTWARE, WHETHER EXPRESSED, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF SATISFACTORY QUALITY, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, COMPATIBILITY OR NON-INFRINGEMENT . FOOKES SOFTWARE DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR BE UNINTERRUPTED, SECURE OR ERROR-FREE. NEITHER FOOKES SOFTWARE NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THE SOFTWARE ("SUPPLIERS") SHALL BE LIABLE FOR ANY SPECIAL, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES (INCLUDING BUT NOT LIMITED TO LOST REVENUES, PROFITS AND/OR SAVINGS) ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF FOOKES SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

THE ENTIRE LIABILITY OF FOOKES SOFTWARE AND ITS SUPPLIERS, AND YOUR EXCLUSIVE REMEDY, WITH RESPECT TO THE USE OF THE SOFTWARE OR ANY BREACH OF THIS AGREEMENT ARE LIMITED TO THE AMOUNT ACTUALLY PAID BY YOU, IF ANY, FOR USE OF THE SOFTWARE. YOU HEREBY RELEASE FOOKES SOFTWARE AND SUCH OTHER PERSONS FROM ANY AND ALL OBLIGATIONS, LIABILITIES AND CLAIMS IN EXCESS OF THIS LIMITATION. YOU AGREE THAT ANY CLAIM OR CAUSE OF ACTION ARISING OUT OF OR RELATED TO USE OF THE SOFTWARE OR THIS AGREEMENT MUST BE FILED WITHIN ONE (1) YEAR AFTER SUCH CLAIM OR CAUSE OF ACTION AROSE OR BE FOREVER BARRED.

YOU ARE SOLELY RESPONSIBLE FOR SELECTION, INSTALLATION AND LAUNCH OF THE SOFTWARE AND FOR BACKING UP YOUR DATA AND FILES, AND HEREBY RELEASE US AND OUR SUPPLIERS FROM ANY LIABILITY OR DAMAGES DUE TO THE LOSS OF ANY SUCH DATA OR FILES.

FOOKES SOFTWARE IS NOT LIABLE FOR ANY INAPPROPRIATE OR ILLEGAL USE OF THE SOFTWARE.

11. Governing Law / Jurisdiction

This Agreement is as far as legally permissible governed by Swiss Law, subject to the express exclusion of the Vienna Sales Convention (United Nations Convention on Contracts for the International Sale of Goods, CISG, 1980.) Exclusive place of jurisdiction shall be the court at the registered office of Fookes Software.

12. Termination

Fookes Software may terminate this Agreement at any time upon default by you of the license provisions of this Agreement, or any other material default by you of this Agreement not cured within thirty (30) days after written notice thereof. Except for Sections 2 and 6, all provisions of this Agreement shall survive termination of this Agreement.

13. Severability Clause

If any provision of this Agreement is or becomes ineffective or if there is an omission from this Agreement, this does not affect the legal validity of the remaining provisions. The ineffective provision will be replaced by an effective provision that is as close as possible in economic terms to the provision wanted by the parties. The same procedure applies in the case of an omission.

14. General

You shall not assign, delegate or sublicense any of your rights or obligations under this Agreement, by operation of law or otherwise, without prior written consent of Fookes Software, and any attempt without such consent shall be void. Subject to the preceding sentence, this Agreement binds and benefits the permitted successors and assigns of the parties. Fookes Software may change the terms, conditions and pricing relating to the future licensing of its Software and other intellectual property rights, including this Agreement, from time to time. No waiver will be implied from conduct or failure to enforce rights nor is it effective unless in a writing signed on behalf of the party against whom the waiver is asserted.

There are no third-party beneficiaries to this Agreement. Fookes Software is not bound by additional and/or conflicting provisions in any purchase order or other correspondence unless expressly agreed in writing. This Agreement is the complete and exclusive statement of agreement between the parties as to its subject matter and supersedes all proposals or prior agreements, verbal or written, advertising, representations or communications concerning the Software.

Last updated: 09 June 2008


End User License Agreement (NoteTab Light)

This End User License Agreement (this "Agreement"), governs the terms and conditions of the Licensee's access and use of NoteTab Light software ("NoteTab Light"), and is made between the Licensee ("you") and Fookes Software Ltd, La Petite Fin 27, 1637 Charmey, Switzerland ("Fookes Software"). However, if you are using NoteTab Light as or on behalf of an entity, such as a corporation, partnership, limited liability company or other entity, the term "you" used below refers to the entity which will be bound by this Agreement. You represent and warrant that you have power and authority to enter into this Agreement on behalf of the entity. This Agreement does not address any third-party or free or open source software separately licensed to you.

By clicking the "I accept the Agreement" option during installation and/or by using NoteTab Light, you confirm your acceptance of, and agree to be bound by, this Agreement. If you do not agree to this Agreement or if you do not understand it, do not install or use NoteTab Light.

In case you have another written agreement directly with Fookes Software, such written agreement prevails in the event of any conflict with the terms and conditions of this Agreement.

1. Definitions

"Software" means the version of NoteTab Light in executable form and documentation.

"Evaluation Period" means a limited evaluation period of usually no more than one month, beginning on the day that you first enable trial features.

"Trial Mode" means a state of the Software, so identified, to be used only to review, demonstrate and evaluate for a limited time period extra commercial features, which are not available by default in NoteTab Light. The trial features will cease operating after an Evaluation Period due to an internal mechanism within the Software; NoteTab Light will then continue operating in its default freeware mode.

"Use" means loading, installing, executing, displaying, performing and/or transmitting the Software for your internal business purposes, and not for distribution or resale.

2. Software License Grants

2.1. License Grant

Fookes Software grants you a license to Use the Software without charge on any number of computers, including in a business environment, as long as the terms of this Agreement are respected. If you choose to enable Trial Mode, you are granted a time-limited Evaluation Period, after which time you may not use the trial features unless you purchase a license for NoteTab Pro and/or NoteTab Std.

2.2 License Restrictions

The Software is licensed, not given or sold. This Agreement only gives you certain limited rights (sections 2.1 and 11). Fookes Software reserves all other rights. Especially you may not:

(a) modify, adapt, translate, rent, lease or sublicense (including offering the Software to third parties on an application service provider, web service or time sharing basis) the Software except to the extent explicitly permitted in this Agreement; (b) disable or block any licensing, rights management or control features of the Software except as an intended part of the Software's programming features; (c) assign, loan, or resell the Software; (d) modify, decompile, disassemble or reverse engineer the Software; (e) remove or modify any legal notices in the Software.

3. Technical Support

Use of NoteTab Light does not entitle you to technical support from Fookes Software. You therefore accept that Fookes Software has no obligation to provide any form of technical support to you in relation to this Software.

4. Ownership

The Software is proprietary to Fookes Software. The Software is licensed, not given or sold, to you notwithstanding any reference herein to "purchases." You acknowledge and agree that: (a) the Software is protected under U.S. copyright and other national and international copyright laws; (b) Fookes Software and its licensors retain all copyrights and other intellectual property rights in the Software; (c) there are no implied licenses under this License, and any rights not expressly granted to you hereunder are reserved by Fookes Software; (d) you acquire no ownership or other interest (other than your license rights) in or to the Software; and (e) Fookes Software owns all copies of the Software, however made. You agree that you will not, at any time, contest anywhere in the world Fookes Software's ownership of or rights in the Software. You have no rights hereunder to use any trademark or service mark belonging to Fookes Software.

5. Bundling

In no case may the Software be bundled with a hardware or software product without written permission from Fookes Software.

6. Distribution License

Provided that you are distributing the then-current version of NoteTab Light (without any feature-unlocking file and/or instructions) you are hereby licensed to make as many copies of NoteTab Light as you wish; give exact copies of the original NoteTab Light package to anyone; and distribute NoteTab Light in its unmodified form via electronic means (Internet, BBS's, software distribution libraries, CD-ROMs, DVDs, etc.). You may charge a small distribution fee for NoteTab Light, but you must not represent in any way that you are selling the software itself. All copies must reproduce copyright notices.

You may not make NoteTab Light available on any site, CD-ROM, DVD, or with any package, or with any other medium or service, which makes available or contains viruses, virus source code, virus construction programs, virus creation material, software cracks, spyware, malware or other malicious code or material.

Permission to distribute NoteTab Light is not transferable, assignable, saleable, or franchisable, and any attempt to do so is void. Each entity wishing to distribute NoteTab Light must independently satisfy the terms of the foregoing distribution license.

7. Compliance

You shall conduct your business in compliance with all laws and regulations in any way applicable to the Software or to the performance of your obligations under this Agreement. Without limiting the generality of the foregoing, you shall not take any action that would violate, or cause Fookes Software to be in violation of, any applicable law of the United States or any other jurisdiction including but not limited to the U.S. Foreign Corrupt Practices Act and all import and export laws, regulations and restrictions of the United States or any foreign agency or authority.

8. U.S. Government Rights

This is a notice to U.S. Government End Users:

The Software and the documentation which accompanies the Software are "Commercial Items," as that term is defined at 48 C.F.R. §2.101, consisting of "Commercial Computer Software" and "Commercial Computer Software Documentation," as such terms are used in 48 C.F.R. §12.212 or 48 C.F.R. §227.7202, as applicable. Consistent with 48 C.F.R. §12.212 or 48 C.F.R. §§227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights as are granted to all other end users pursuant to the terms and conditions herein. Fookes Software Ltd, La Petite Fin 27, 1637 Charmey, Switzerland.

9. WARRANTY DISCLAIMER AND LIMITATION OF LIABILITY

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS. FOOKES SOFTWARE DISCLAIMS as far as legally permissible ALL WARRANTIES RELATING TO THE SOFTWARE, WHETHER EXPRESSED, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF SATISFACTORY QUALITY, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, COMPATIBILITY OR NON-INFRINGEMENT . FOOKES SOFTWARE DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR BE UNINTERRUPTED, SECURE OR ERROR-FREE. NEITHER FOOKES SOFTWARE NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF THE SOFTWARE ("SUPPLIERS") SHALL BE LIABLE FOR ANY SPECIAL, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES (INCLUDING BUT NOT LIMITED TO LOST REVENUES, PROFITS AND/OR SAVINGS) ARISING OUT OF THE USE OR INABILITY TO USE SUCH SOFTWARE, EVEN IF FOOKES SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR CLAIMS. THE PERSON USING THE SOFTWARE BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

THE ENTIRE LIABILITY OF FOOKES SOFTWARE AND ITS SUPPLIERS, AND YOUR EXCLUSIVE REMEDY, WITH RESPECT TO THE USE OF THE SOFTWARE OR ANY BREACH OF THIS AGREEMENT ARE LIMITED TO THE AMOUNT ACTUALLY PAID BY YOU, IF ANY, FOR USE OF THE SOFTWARE. YOU HEREBY RELEASE FOOKES SOFTWARE AND SUCH OTHER PERSONS FROM ANY AND ALL OBLIGATIONS, LIABILITIES AND CLAIMS IN EXCESS OF THIS LIMITATION. YOU AGREE THAT ANY CLAIM OR CAUSE OF ACTION ARISING OUT OF OR RELATED TO USE OF THE SOFTWARE OR THIS AGREEMENT MUST BE FILED WITHIN ONE (1) YEAR AFTER SUCH CLAIM OR CAUSE OF ACTION AROSE OR BE FOREVER BARRED.

YOU ARE SOLELY RESPONSIBLE FOR SELECTION, INSTALLATION AND LAUNCH OF THE SOFTWARE AND FOR BACKING UP YOUR DATA AND FILES, AND HEREBY RELEASE US AND OUR SUPPLIERS FROM ANY LIABILITY OR DAMAGES DUE TO THE LOSS OF ANY SUCH DATA OR FILES.

FOOKES SOFTWARE IS NOT LIABLE FOR ANY INAPPROPRIATE OR ILLEGAL USE OF THE SOFTWARE.

10. Governing Law / Jurisdiction

This Agreement is as far as legally permissible governed by Swiss Law, subject to the express exclusion of the Vienna Sales Convention (United Nations Convention on Contracts for the International Sale of Goods, CISG, 1980.) Exclusive place of jurisdiction shall be the court at the registered office of Fookes Software.

11. Termination

Fookes Software may terminate this Agreement at any time upon default by you of the license provisions of this Agreement, or any other material default by you of this Agreement not cured within thirty (30) days after written notice thereof. Except for Sections 2 and 6, all provisions of this Agreement shall survive termination of this Agreement.

12. Severability Clause

If any provision of this Agreement is or becomes ineffective or if there is an omission from this Agreement, this does not affect the legal validity of the remaining provisions. The ineffective provision will be replaced by an effective provision that is as close as possible in economic terms to the provision wanted by the parties. The same procedure applies in the case of an omission.

13. General

You shall not assign, delegate or sublicense any of your rights or obligations under this Agreement, by operation of law or otherwise, without prior written consent of Fookes Software, and any attempt without such consent shall be void. Subject to the preceding sentence, this Agreement binds and benefits the permitted successors and assigns of the parties. Fookes Software may change the terms, conditions and pricing relating to the future licensing of its Software and other intellectual property rights, including this Agreement, from time to time. No waiver will be implied from conduct or failure to enforce rights nor effective unless in a writing signed on behalf of the party against whom the waiver is asserted.

There are no third-party beneficiaries to this Agreement. Fookes Software is not bound by additional and/or conflicting provisions in any purchase order or other correspondence unless expressly agreed in writing. This Agreement is the complete and exclusive statement of agreement between the parties as to its subject matter and supersedes all proposals or prior agreements, verbal or written, advertising, representations or communications concerning the Software.

Last updated: 09 June 2008


Third Party Software Notices and/or Additional Terms and Conditions

Portions of NoteTab utilize or include third-party products and other copyrighted material. Acknowledgements, licensing terms and additional disclaimers for such material are contained in this document, and your use of such material is governed by their respective terms.

FastMM library: http://sourceforge.net/projects/fastmm/

Copyright © 2004-2007, Professional Software Development / Pierre le Riche.

This library and its usage are covered by the Mozilla Public License v1.1. The source code for this library is available from http://sourceforge.net/projects/fastmm. No modifications to this library have been made by Fookes Software.

PCRE License: http://www.pcre.org/

PCRE is a library of functions to support regular expressions whose syntax and semantics are as close as possible to those of the Perl 5 language.

Written by Philip Hazel

Copyright (c) 1997-2007 University of Cambridge

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

· Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

· Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

· Neither the name of the University of Cambridge nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

RSA's MD5 disclaimer

Copyright © 1991-1992, RSA Data Security, Inc. Created 1991. All rights reserved.

License to copy and use this software is granted provided that it is identified as the "RSA Data Security, Inc. MD5 Message-Digest Algorithm" in all material mentioning or referencing this software or this function.

License is also granted to make and use derivative works provided that such works are identified as "derived from the RSA Data Security, Inc. MD5 Message-Digest Algorithm" in all material mentioning or referencing the derived work.

RSA Data Security, Inc. makes no representations concerning either the merchantability of this software or the suitability of this software for any particular purpose. It is provided "as is" without express or implied warranty of any kind.

These notices must be retained in any copies of any part of this documentation and/or software.


Find Help

Almost every menu item, button, and input field in the program offers hint information. Whenever you highlight a menu item or place the mouse cursor over a dialog box element, its hint text is displayed in the program's status bar (at the bottom of the main program window).

If you want to make the most out of NoteTab, read the tips that are displayed in the Tip-of-the-Day window. The tips can be selected and copied for future reference.

If the documentation provided with NoteTab does not answer your question, you may find the appropriate information by visiting the NoteTab Web site at:

http://www.notetab.com (main site)

or

http://www.fookes.com/notetab/ (alternative site)

You will find links to an FAQ list, a mailing list, patches, Clipbook libraries submitted by other users, and of course information about the latest updates.


Edit Documents

NoteTab lets you open many documents at once and makes them available to you through the tab bar. You can configure the tab bar to show or hide the extension part of the name. When you choose the "File | New" command, NoteTab automatically creates a name for the new document. You can change the format of this name by editing the field "Options | General | New Name Format".

When you modify a document, its little disk icon in the tab turns red. This visual cue makes it easy to identify documents that need saving if you want to preserve the changes. When you save the document, its disk icon becomes gray again.

You will find many useful commands in the Modify menu that help you process your text. These commands make it easy to join or split lines, sort lines, indent or unindent lines, change alignment and character case, insert bullets or line numbers, strip HTML tags or convert text to HTML, etc.

NoteTab offers many features and tools to help you write documents efficiently. If used properly, the Editor Clipbook is probably the feature that will save you the most time. It lets you store and reuse boilerplate text, which can be anything from a single character to complete multi-megabyte documents. Document templates are another time-saving feature. A template is a special kind of document that provides content for shaping a new document. You can use several templates to create many common types of documents such as letters, Web pages, etc.

Use the "Tools | Text Statistics" command to get a detailed count of the whole document or highlighted text. The dialog box will indicate how many characters and words it found and by clicking on the More button, you get the count for individual words.

People often organize their information/notes in individual documents. If you have many such documents, they can become hard to manage and occupy more space than necessary on your disk. Outline documents are the ideal solution in this case. They make it really easy to organize your information in a structured format. You can copy the content of each file under its own Outline heading. The result is a single document containing all your notes organized into clear and easily accessible categories.

NoteTab lets you view two documents side-by-side by using the "Document | Second Window" command (the active document is placed in the right window). With NoteTab Std, you can drag-and-drop highlighted text between the two windows.

You can customize the editor's main shortcut menu by choosing the commands you find most useful from the "Options | Shortcut Menu" list box. Your important commands will be just a mouse-click away. See the topic on Keyboard Shortcuts for a detailed list of keys you can use to speed up your work.


Use the Editor Clipbook

You can think of the Clipbook as a visible clipboard with multiple text items that can be pasted in any document. The pasteable text item can be anything from a single character to thousands of lines of text. Each item is stored in a Clipbook library and is identified by a header which is displayed in the Clipbook window. The header can either represent the actual text to be pasted, or a brief description of the text item. A simple Clip syntax can be used to produce specialized Clips. Thanks to this syntax, the Clipbook can also be used as a "Launch Pad" to open URLs and execute other programs (with or without the active document), send e-mail, and perform file management tasks. The topic Create Clipbook Libraries explains how you can edit your own libraries.

To paste a Clip, first position the cursor in your document, then go to the Clipbook window and double-click (or press Return) on the item header. You can also drag-and-drop items from the Clipbook to your document. If Auto-replace mode is enabled (either by opening an "auto-replace" library, or through the Tools | Auto-replace Mode menu command), NoteTab will check for a matching item in the active library whenever you press any of the following characters (Clip activation keys):

TAB SPACE RETURN ! " , . : ; = > ? ] }

If a matching Clip is found, the typed item in the document is automatically replaced according to the Clip instructions. For a demonstration of this feature, try the included libraries AutoCorrect and HTML-ar.

You can copy an item to Windows' clipboard by selecting its header and pressing the Ins key or by using the shortcut menu. This feature makes it easy to paste Clips into other programs.

There are several options that let you configure the Clipbook to best suit your needs. For example, you can dock the Clipbook on the left or right side of the document frame. You can also change the font and color used for the Clipbook list box. If the Default Font option is enabled, the list box font will match the font used by the active document. You can access all the Clipbook options by invoking the shortcut menu from the list box or by opening the Clipbook Properties submenu from the Tools menu.

You can resize the Clipbook list horizontally by dragging the splitter bar (between the Clipbook and the document frame).

If you have a long list of Clips or you would like to reduce mouse movement, you can invoke the In-Context Clipbook. This original feature lets you easily pick Clips directly within your document at the cursor position.

The Clipbook is also great as a "shorthand" glossary tool. For example, if you add the text "Yours sincerely" in the Clipbook and give it the header "ys" (without the quotes), then next time you type "ys" in a document and hit the F2 function key, "ys" will be replaced by "Yours sincerely". You do not need to type the full Clip header; just type enough text to match the item you want to use. For example, if you use the HTML library and type the letter "c" followed by the F2 key, then the "Center" Clipbook item will be pasted in your document. If you frequently use this glossary feature, you may prefer to hide the Clipbook list so it doesn't clutter your desktop. Open the Clipbook shortcut menu and choose Hide Clipbook. Just press F4 if you want to make the Clipbook visible again. If you close the Clipbook instead of hiding it, you will not have access to the feature until you reopen it.

The list-box shortcut menu lets you add or edit items, sort the list, save or undo changes, and modify configuration options. You can also edit the content of the library by using the commands under the Tools | Clipbook menu.

You can toggle between the available Clipbook libraries by clicking on one of the library buttons (above the status bar) or by pressing the Alt key and a number from 1 to 0 (0 = 10); the number corresponds to the library's position in the Clipbook's combo box.

If you visit one of the NoteTab sites, you will find a large selection of Clipbook libraries for all kinds of tasks (HTML, words for writing shopping lists and recipes, PGP, a maze game, COBOL, envelope printing, LaTeX, Perl, Turbo Pascal, Java/Javascript, Cascading Style Sheets, VRML, Mathematics, etc.). At this time of writing, there are more than 100! You can download them from the following Web page:

http://www.notetab.com/libraries.php

Once you have downloaded a library, just unzip it into the Libraries folder under the NoteTab program directory to install it. Or even easier, you can use the "Install Libraries" Clip in the Utilities library (click on the button labeled "Utilities" at the bottom of the NoteTab window to open it in the Clipbook).


Create Clipbook Libraries

There are two ways to create libraries and add items to the Clipbook. The easiest way is to use the Clipbook window and Clip editor. The fastest method, however, is to create them manually.

1. With the Clipbook Tool

First you will have to open the Clipbook tool; press F4 or click on one of the library buttons at the bottom of the NoteTab window. The easiest way to create a library is by typing a new name in the library combo box which is just above the Clipbook list. Once you've typed a name for your library and pressed the Enter key, NoteTab will ask you if you want to create a new library. When you answer yes, it will add the new library name to the combo box. The Clipbook list window will be empty at this stage. Next, open the Clipbook shortcut menu by clicking in the empty list window with the right mouse button. Choose the Add New Clip command. This opens the "Clipbook Item Editor" dialog box. Type a name for your first Clip and press Enter or click on the OK button. This will add the new item to the list and open the Clip editor. Use the Clip editor to add or edit the content of the current Clip. When you are ready to add a new Clip, use the Clipbook shortcut menu again or press Ctrl+Shift+A. You can also create a new item by pressing the page down key once the cursor has reached the end of the text.

NoteTab lets you define two special types of headers. If you want to group headers under a main topic, just place a semicolon character ";" in front of the Clip name. These headers don't have a left margin icon and are colored in red by default. If you want to create a header that cannot be activated with the mouse or the ENTER key, just place an underscore character "_" in front of the Clip name. These headers are colored in gray by default.

Changes made to the content of a Clip are automatically saved in memory when you move to another item. Once a different Clip is displayed in the editor, changes made to the previous item cannot be undone with the Undo/Redo commands. Also, bookmarks set with NoteTab Pro will not be remembered. When the Clip editor is open, you can save a modified library to disk just like any other document, with the Save menu commands or buttons.

If you want to edit an existing item and the Clip editor is not open, choose the Tools | Clipbook | Clip Editor menu command or press the shortcut key Ctrl+Shift+E to open it.

If you don't want to edit Clipbook libraries directly, you can add new items by selecting text in your document and then pressing Ctrl+Shift+C (or selecting Add from Document from the editor's shortcut menu) to add it to the current Clipbook library. You will then be prompted to enter a header for the text, after which it is added to the Clipbook.

You can also add text from other applications by copying it to Windows' clipboard. Open the Clipbook's list box shortcut menu and select Add from Clipboard.

2. Manually

NoteTab also lets you edit a Clipbook library like a normal document. Use the menu command Tools | Clipbook | New Library to create a new library or use Tools | Clipbook | Open Library to open an existing one. The structure of a Clipbook library is quite simple. It starts with a header on the first line followed by Clip headers and their content. For more information on editing them, see the Clipbook Libraries topic.


Use Web and Document Links

If your text contains an Internet link, holding the Control key down and double-clicking on the link will open it in your default Web browser. Also hold the Ctrl key down if you want to open a link in a new Web browser window (this feature may not work with all browsers). If this feature does not work, you will have to fill in the path and file name of your browser in the "Options | Internet | Default Browser" field. If the editor cannot resolve the URL from the text you double-clicked, it will open a dialog box so you can complete the address if necessary.

NoteTab also supports links between documents, Outline headings, and even words within a document. These types of links are referred to as "Hyperlinks".

Hyperlinks must be placed between square brackets "[]". You can jump to a hyperlink topic by holding down the Control (or Ctrl) key while you double-click on the text between the brackets. Or, if you prefer, place the cursor anywhere between the brackets and press Ctrl+H to go to the matching topic. If you set the menu option "Tools | Quick Open Links", you do not need to hold down the Control key when clicking on a hyperlink.

Hyperlinks can be inserted in any kind of document. They can represent a heading in the active Outline document, or another Outline document, or the name of a file, or an Internet link, or a program to launch, or a line number, or a text search criteria. Character case is not important unless you use the search criteria feature with case sensitivity enabled.

Examples:

· If you activate the [introduction] hyperlink, the content of that Outline topic will be displayed.

· If you have another Outline file called "Important.OTL", you can create a hyperlink that will display it and select the topic you specify. For example, [important.otl::meetings] will display the "meetings" heading. Note the use of the double colon to separate the main link criteria from the secondary criteria.

· The accompanying "WhatsNew.txt" file can be opened with this hyperlink: [WhatsNew.txt].

· The following command [explorer.exe] will launch Windows Explorer. You can also specify parameters as long as you place the program's file name between double quotes ["explorer.exe" /e,/root,C:\]. Note that the program name must include the extension too (usually .exe).

· The following hyperlink [readme.txt::outline] will display the "readme.txt" file. As it is not an Outline file, NoteTab assumes the second criteria "outline" is text criteria to search and will select the first occurrence of the word "outline". Note that you will have to specify the full path name if the file is not in the same directory as the document containing the hyperlink.

· If you want to apply the search criteria type of hyperlink on the active document, just omit the file name. For example, [::NoteTab] will find the next occurrence of the name NoteTab. Since the double colon does not necessarily look very nice in this case, the following format with a blank space on each side of the search criteria is also valid: [ NoteTab ].

· By default, the search feature is case sensitive, only matches single words, and searches forwards. However, you can change this behavior by using extra parameters: "I" indicates that the search should not be case sensitive, "T" indicates that any text is acceptable, and "B" tells NoteTab to search backwards. Use the "^" character to separate the search criteria from its parameters. For example, [ tab^ITB] will select the "Tab" part of the name NoteTab preceding the hyperlink. And [readme.txt::NoteTab^B] will find the last occurrence of the word "NoteTab" in the Readme.txt file.

· To jump to a specific line number in a document, the format of the hyperlink is similar to the search criteria. You use the line number instead of the search text and use the parameter "L" so that NoteTab knows it is the line number you want and not text to search. For example, [readme.txt::5^ L] will display the Readme.txt file with the cursor at the beginning of the 5th line. If you specify "-1", the cursor will be placed on the last line: [readme.txt::-1^L].

· URLs are also valid. However, if the link does not start with the typical "www.", then you must fully qualify the URL (add "http://", or "ftp://", etc.). The following will connect to the NoteTab site through your default Web browser [www.notetab.com]. Hold the Ctrl key down if you want to open the document in a new Web browser window (this feature may not work with all browsers).


Calculate in NoteTab

NoteTab can also calculate mathematical expressions in a document. Expressions can have up to 40 imbedded parentheses. Note that you may need to break down very long expressions into groups of parentheses if you get an error message.

For example, if you enter the following expressions in a document:

Sin(3)*5/Pi=

and then press Ctrl+E (or use the menu command "Tools | Calculate Expression"), the result will be added after the equal sign. If there is no equal sign, or if the document is Read-Only then it copies the result to the Clipboard and displays it in a small window. You can also add numbers arranged in a column; just select all the numbers in the following four lines and press Ctrl+E:

23

-5

42

40

Supported mathematical operators and functions are listed below.

Predefined value:

PI

Accepted operators:

+ , - , * , / , ^ , MOD, DIV

The following functions are supported; it doesn't matter if you use lower or upper case:

COS, SIN, SINH, COSH, TAN, COTAN, ARCTAN, EXP, LN, LOG10, LOG2, LOGN, SQRT, SQR, POWER, INTPOWER, MIN, MAX, ABS, TRUNC, ROUND, INT, CEIL, FLOOR,

HEAV (heav(x) is 0 for x<0, 1 for x>=0),

SIGN (sign(x) is 0 for x=0, 1 for x>1, -1 for x<0),

ZERO (zero(x) is 0 for x=0, 1 for x<>0),

LZERO (lzero(x) is 0 for x<>0, 1 for x=0),

RND (rnd(x) = int(x) * Random)

RANDOM (random(X) = Random; the argument X is not used)

Functions like MIN and MAX take two values; you must use a semi-colon ";" to separate them. For example: MAX(2;3)

Trigonometric functions take values in radian units.

Acknowledgments:

The mathematics feature was made possible thanks to the superb freeware parsing function developed by the following people: Renate Schaaf (schaaf@math.usu.edu), Alin Flaider (aflaidar@datalog.ro), and Stefan Hoffmeister (Stefan.Hoffmeister@Uni-Passau.de)


Manage Documents

You can quickly reopen recently used documents by using the "File | Reopen" command. It stores up to 16 files with the most recently used ones listed at the top.

You can also organize groups of files into Favorites categories. You can configure NoteTab to open these automatically when you launch the program. The Favorites menu offers many commands that let you maintain lists of files and directories.

Use the Quick List tool to display files stored on your disk or to show the contents of your current Favorites category. You just need to double-click on the file or directory name to open it.

NoteTab can be configured to reopen your documents as you left them when you last used the editor. Just set the "Options | General | Reload Open Documents" checkbox.

On the "Options | Files" tab, you have a number of settings that you can adjust to determine where the File Open/Save dialog box should point when you open it. For example, if "Match Directory" is enabled, the main File Open dialog box will point to the same directory as the active document.


Manage File Formats

NoteTab automatically detects the format (DOS/UNIX/Mac/Unicode) of a text file when you open it. During the loading process, UNIX and Mac files are converted to the DOS/Windows format. Through the "Options | Documents | Save As" setting, you can determine what format should be used when the document is saved. If you choose "Original", the original format is restored.

You can open and edit DOS ASCII files in NoteTab. As there is no way the program can automatically detect whether a file contains ASCII or ANSI characters, you must specify the format yourself when you open the file. By default, NoteTab assumes your files use the standard ANSI character set. See the ASCII Documents topic for more details.

NoteTab also lets you open and edit (commercial and trial versions only) EBCDIC files. As there is no way for NoteTab to automatically detect such files, you must open them by choosing a file filter in the File Open dialog box that contains the text EBCDIC. NoteTab will prompt you for a line width if it detects a fixed-width text that does not use the standard widths of 80, 132, and 133 characters; use a value of zero if you want to specify a variable-width file with line breaks.


ASCII Documents

ASCII is the character set used under DOS and ANSI is used under Windows. If you don't use extended characters (such as äèüö etc.), there is no difference between the two. However, if you create a document under DOS that uses extended characters and want to display them correctly under Windows, the text must be "translated" from ASCII to ANSI in order to display the accented characters correctly. Also, if you create a Windows text document (ANSI) and want to use it in a DOS application, it must be converted to ASCII if it contains extended characters.

This editor has a built-in filter that makes it easy to edit files of either format. Note, however, that a conversion between the two formats may not always translate all characters correctly. There are mainly two reasons for this: 1) the extended ANSI characters are not necessarily supported by all font types; 2) DOS has many different character sets available, which means that extended characters are often quite different from one set to the other. The filter used in this program is based on ASCII 850 Multilingual (Latin I).

By default, the file filter list has an item for opening and saving DOS Ascii files. Since you can change the order of the filters and edit them, the program just checks for the word ASCII (case does not matter) in the selected filter when you use the file dialog box. If it finds the word ASCII, it assumes that you want to open or save a file in the DOS Ascii format. So if you want to change the default file filters but also want to use ASCII documents, remember to put the word ASCII in the description part of at least one of the filter items! You can edit the filters by opening the Options dialog box and selecting the File Filters tab.

If you convert a document from ASCII to ANSI and want it to keep its ANSI format permanently, you will have to open the Document Properties dialog box and uncheck the Dos ASCII option.


EBCDIC Documents

With the addition of EBCDIC support, NoteTab has become a valuable tool for any project involving editing or converting EBCDIC files from MVS and AS/400 systems. As a result, you can now use NoteTab for those huge Y2K projects.

EBCDIC files that do not contain packed-decimal fields can be opened, edited, and saved in the commercial and trial versions of NoteTab. Such files can either be opened through the new ^!OpenEbcdic Clip command, or by using a file filtercontaining the text "EBCDIC" (based on the same principle as opening Dos ASCII files). The Export command can also be used to save text in EBCDIC format. Although NoteTab supports EBCDIC files with line breaks and those with fixed-width text, it cannot correctly read EBCDIC files with variable-length records (i.e. those without line breaks).

NB: If you are using NoteTab Light, you will only be able to read EBCDIC files. It will not let you edit, save, or copy the text to the Clipboard. However, if you enable the trial mode (available for one month), you will be able to edit and save EBCDIC files just like the commercial versions of NoteTab.

How to add an EBCDIC file filter

If you have upgraded from a NoteTab release prior to version 4.6, you probably need to add an EBCDIC file filter yourself, as the default settings will have been taken from the INI file of your previous version. Just open the Options dialog box (from under the View menu) and activate the File Filters tab. Click on the New button to add a new entry in the list, then add the text "EBCDIC files" (without the quotes) in the Description field, and the wild cards that match your EBCDIC file names (the following are typical values: "*.cbl;*.cob;*.cpy;*ddl;*.bms") in the Wild Cards field. Finally, use the Move Up/Down buttons, or drag-and-drop the added item to the position in the list that you prefer, and then click on OK to close the dialog box. Now, you will see your new file filter in the File Open dialog box when you next choose to open a file.

How to open an EBCDIC file

1. Choose the Open command from the File menu or the toolbar. Select the file filter for EBCDIC files (if you do not have this filter, follow the procedure described in the previous paragraph), choose the file you want to open (you can select multiple files), and click on OK. At this stage, NoteTab will try to determine the format of the file. If it detects line breaks, it will assume that the file contains variable-length lines. If not, NoteTab checks if the file size matches fixed-width lines of 80, 132, or 133 characters. If it does, NoteTab will open the file according to the matching format. If not, NoteTab will prompt you for the line length used in the file you are opening.

2. Open the "Utilities" Clipbook library – you can do this by clicking on the button labeled "Utilities" at the bottom of the NoteTab window. You will see a Clip labeled "Open EBCDIC document" under the "EBCDIC files" section. Double-click on the Clip to activate it. You will then be presented with a Clip wizard with a field for the file name and the LRECL format. Complete the fields and click on OK to open the EBCDIC file.

Next time, when you want to reopen such a file, NoteTab remembers its original format (in the properties file), so the text will be correctly displayed if you use the Favorites tool or the File|Reopen submenu. However, if you change the format with another program, you should use NoteTab's File Open dialog box with the appropriate filter so that the text is not interpreted as being EBCDIC.

How to save a document in EBCDIC format

NoteTab saves documents based on the "Save As" format setting defined either in the general options (if default properties are used), or in the document properties. The general options are configured through NoteTab's Options dialog box (under the View menu) on the Documents tab, and the document's properties are set in the Document Properties dialog box available from the Document menu.

If the "Save As" format is set to "Original", a file opened as EBCDIC will automatically be saved in EBCDIC format. If the option is set to EBCDIC, then all the documents to which this setting applies will be saved in EBCDIC format. Any other format will result in a non-EBCDIC file.

If you want to create a new EBCDIC document, use the New command from the File menu or the toolbar to create a new document. Then open the Document Properties dialog box (from the Document menu) and change the "Save As" setting to EBCDIC. As a result, the next time you save this document, it will be stored on disk in EBCDIC format.

You can also create an EBCDIC copy of any document (irrespective of the original format) or selection of text by using the Export command under the File menu.

Using alternative EBCDIC conversion tables

The default conversion table is stored in a file called "Default.ebc" in the NoteTab program directory. It is based on the US character set. This is a plain text file that can be edited in NoteTab. Characters are represented as hexadecimal numbers. The values are placed in chronological order, one set of values per line, starting at 00h and ending at FFh. You can create as many conversion tables as you like, each one in its own file.

When an EBCDIC file is opened or saved, NoteTab uses the last loaded table, or the default internal table if none was loaded, to perform the character conversion between EBCDIC and ANSI. You can either load the conversion table when NoteTab is started, by using the "/T" command-line parameter, or use the Clip command "^!LoadEbcdicCharTable", or use the Clip labeled "Load EBCDIC conversion table" in the Utilities library.

EBCDIC related Clip commands

^!LoadEbcdicCharTable FileName

Loads the specified file containing the EBCDIC character tables for conversion to and from Windows ANSI. The NoteTab program path is added if you do not specify a fully qualified path name. The extension .ebc is added if you do not specify a filename extension. You can reset the default character table by specifying the Default.ebc file.

^!OpenEbcdic FileName [/W=nnn]

or

^!OpenEbcdic FileName1;FileName2;FileName3

Opens and translates the text from EBCDIC format to ANSI, or selects the specified document "FileName". You can use wild cards with this command. The optional parameter "/W=nnn" can be used to define a line length for fixed-width EBCDIC files. "nnn" represents the width in characters; a value of 0 indicates variable line lengths delimited with carriage returns. Example:

^!OpenEbcdic /W=132

^!SaveEbcdic FileName [/W=nnn]

Similar to the ^!Save command (and accepts the same parameters) but saves the document in EBCDIC format. The optional parameter "/W=nnn" can be used to define a line length for fixed-width EBCDIC files. "nnn" represents the width in characters; a value of 0 indicates variable line lengths delimited with carriage returns. Example:

^!SaveEbcdic /W=132


Use Templates

A template is a special kind of document that provides content for shaping a new document. You can use several templates to save time in creating many common types of documents.

Templates are slightly different from normal documents in that their first line contains the template header definition. The header informs NoteTab that the file being opened is a template; it can also tell NoteTab what name it should generate for the new document. For example, the default header looks like this:

= DocTemplate "Notes%0.3d.txt"

Use the menu command " File | Template | New" to create a new template. You can also convert your current document to a template by inserting a template header with the menu command " File | Template | Add Header". When you save such a template, make sure you give it the extension .tpl.

Headers must always start with an equal (=) sign as the first character on the line followed by the word "DocTemplate" (case is not important). After that first part, you can add the text format that NoteTab should use to generate the names of documents based on the template. This information is optional and must be enclosed in double quotes (") when used. The code "%d" indicates where the incremental numbering is inserted in the name. In the above example, the "0.3" between the % and d tells NoteTab to format numbers smaller than 3 digits with leading zeroes. If you omit the extension, the currently defined default extension will be added when the name is generated. You can also include a path name if you always want the documents saved in the specified directory.

Add this type of header on the first line of any document and it will become a template once you save it. Then, whenever you open it through the "File | Open" or "File | Template | Open" menu command, a new document based on your template will be created. If you need to modify the content of a template, use the "File | Template | Edit" menu command.

Starting with version 4.6, NoteTab template files accept Clip commands and functions embedded in the text. When such a file is opened, the text contained in it is interpreted and the resulting text is displayed in the document. To enable this feature, you will have to include the keyword "ClipCode" in the header line of the template file. See the template file HTML.tpl for an example of embedded functions. Example of header:

= DocTemplate ClipCode "Home%0.3d.htm"

Note that you cannot close a template document through its own embedded Clip code.

Starting with version 4.8, template headers accept the ^$GetDate()$ function in order to use the current date in the file name. Example:

= DocTemplate ClipCode "Notes-^$GetDate(yyyymmdd)$-%0.3d.txt"

Starting with version 4.82, template headers can use Clip directory functions to represent special path names (e.g. ^$GetScriptPath$, ^$GetTmpPath$). Example taken from FTP.tpl:

= DocTemplate ClipCode "^$GetScriptPath$FTP%0.3d.scr"


Create Outline Documents

Outline documents make it easy to organize your information in a structured format without using a database application or splitting your text into multiple files. An Outline document is composed of two parts: the Headings list (or table of contents) on the left and the Contents editor window on the right. When you select a heading, its content is displayed in the editor window. Open the accompanying Readme.OTL file in NoteTab to see an example of an Outline document.

You can have up to about 5400 headings per Outline document and a heading can contain many megabytes of information. An Outline file can theoretically have a maximum capacity of 2GB.

You can create your own outline documents by choosing the "New Outline" command from the File menu. Unlike standard documents, you must choose a name before it is created. You will also be prompted to enter a name for the first heading. Once you have completed those steps, you are ready to enter content for your first heading.

To create a new heading, just press Shift+Ctrl+A. You will then be prompted to enter the name for the new heading. Note that you do not need to save the content of modified headings as you move through the list – this is automatically taken care of by NoteTab. Shift+Ctrl+R will remove the current topic. If you can't remember these shortcuts, just place the mouse cursor over an empty part of the Headings window and look at the hint in the status bar. You will find more commands and shortcuts listed in the "Documents | Outline Heading" submenu. You can also invoke the shortcut menu from the Headings window.

You can add hyperlinks to other headings. When activated, the content of the linked heading is displayed. Use the "Documents | Outline Heading | Make Heading" menu command (or the keyboard shortcut Shift+Ctrl+B) to easily create a new heading based on selected text in your outline document. This command automatically inserts square brackets around the selection, adds the heading to the list, and opens it for input.

The PageUp/PageDown keys let you easily scroll from one heading to the next. If the cursor is at the beginning of the heading's content, pressing PageUp will display the previous heading. Pressing PageDown when the cursor is at the end of the heading's content will display the next heading. If the last heading is already selected, NoteTab will ask you if you want to add a new heading. You can reorder headings by simply dragging them with the mouse to a new position.

Just like any other document, you can have multiple Outline documents open simultaneously. Outline files are very similar to Clipbook libraries and do not contain any control codes other than plain text characters (i.e. no binary characters). As a result, you can easily open them in any text editor or word processor (although you won't benefit from the outline layout), or send them in e-mail messages.


Convert a Normal Document to Outline

There is a relatively quick way to convert an existing document into an outline. Basically, an outline file uses the same structure as a Clipbook library. To start off, create a new library file by using the Tools | Clipbook | New Library menu command. This will create a new document with the appropriate Clipbook header. Add the keyword Outline to the header. Next, copy the document that needs converting into the new library file (You can use the Document | Insert File command). Then, change all the topic headings so they use the following format:

[Blank Line]

H="Topic Heading"

[Topic Content]

You can use the Clipbook tool to help you with this task if you have many headings. Create a Clip with the following text (note that it should not start or end with a blank line; otherwise the Clipbook tool will be confused):

H="^&"

Once you've added this Clip, all you need to do now to convert a heading is select it and double-click on the Clip.

The following is an example of an outline file with three headings:

= V5 Outline MultiLine NoSorting TabWidth=30

H="Heading #1"

Content #1

H="Heading #2"

Content #2

H="Heading #3"

Content #3

Once you've finished converting the document, choose Save As and rename the file so that it uses the ".otl" extension. Close and then reopen the document... That's it.


Create Web Pages

NoteTab has many features that make it easy to create or convert documents to Web pages. Note, however, that only NoteTab Pro offers HTML-syntax highlighting. Support tools include the Editor Clipbook, the Quick List, and the Modify menu which offers powerful commands to convert characters, selected text, or entire documents to HTML.

You can produce Web pages from Outline documents, complete with a table of contents, headers for each topic, and links between them. To see for yourself, open the Readme.OTL document and use the menu command "Modify | Document to HTML | With Paragraph Tags". Once the new HTML document is created, hit the F8 shortcut key to view it in your browser. Edit the settings on the "Options | Outline" tab to configure the format of the Web page. Creating this type of HTML document has never been easier. Webmasters maintaining FAQ lists will find this feature particularly useful.

The Editor Clipbook is a powerful tool for adding HTML tags to your text. Most HTML editors let you add tags through toolbars loaded with buttons or cascading menus. This approach is awkward to say the least. With the Clipbook, tags are clearly identified by meaningful names, the list is always in view once you open it, and it can contain a virtually unlimited number of items (tags or frequently used text). You can easily customize the Clipbook HTML libraries to suit your needs. A little icon next to each item indicates whether it contains a tag that can wrap around selected text (a "+" symbol) or not (a circle). Some Clips even accept user input before they are pasted in the document (see the topic Clipbook Wizards for more information). You can insert Clips by double-clicking on them, by dragging them into the document, by typing the first matching characters and hitting the F2 function key, or by invoking the In-Context Clipbook using the ESC key. Use Ctrl+Spacebar as a shortcut to insert the highlighted Clip.

Adding links to other Web pages or images stored on your computer is really easy when you use the Quick List tool. When it is configured to display disk files or Favorites, file names can be dragged from the list into the document. If the extension of the document is listed in the "HTML File Extensions" list box (Options dialog box), the appropriate link tag is inserted at the point where you drop the file. Tags for image files (GIF, PNG, JPG, and BMP) will even have the correct size attributes completed. You can also insert links to other Web documents or images by using the "Document | Insert HTML Link/Image" menu command (Shift+Ctrl+F5). Color codes can be inserted by using the "Document | Insert HTML Color" menu command (Ctrl+F5).

Changing a URL or any other type of text (even multiple lines) across many Web pages is also easy with NoteTab. Two methods are available: either you open all the files that are likely to contain the searched text and then use the "Search | Replace" command (Ctrl+R) to scan through them, or use the "Search | Search Disk" command (Ctrl+D) to scan your disk files.

Use Document Templates to create new documents that already contain the framework of your Web page layout. This feature will save you a lot of typing when you add Web pages to your project. A sample HTML template is provided with NoteTab.

You can view your HTML document in your main Web browser by using the F8 function key. Hold the Ctrl key down if you want to open the document in a new Web browser window (this feature may not work with all browsers). There is no need to save your changes when you use this feature. If NoteTab detects that your document has been modified, it stores the changes in a temporary file and sends it to the browser. Temporary files are automatically deleted when you exit NoteTab.

You can organize your HTML documents in multiple categories by using the flexible Favorites dialog box (Shift+F2). The Favorites feature can exploit an unlimited number of categories. Items in the list can represent file names (including wildcards), directories, and the names of other categories.


Apply Perl and Gawk Scripts on Text

NoteTab integrates seamless support for Perl and Gawk interpreters; scripts can be stored in NoteTab's Clipbook and applied directly to highlighted text or the whole document.

If you don't have a Win32 Perl or Gawk interpreter installed on your computer, there are a number of good ones you can download from the Internet. The following Freeware 32-bit interpreters have been tested with NoteTab and work very well:

For Perl:

http://www.ActiveState.com/pw32/

For Gawk:

http://gnuwin32.sourceforge.net/packages/gawk.htm

All you need to do is install them wherever you want on your hard disk. Then, the first time you try to run a script, NoteTab will prompt you for the file name of the interpreter. NoteTab will only prompt you again if you delete or move the interpreter to another location, or delete the NoteTab INI file.

The easiest way to use Perl or Gawk is to store each script in its own Clip. Then, create an executable Clip with the command to launch the interpreter that corresponds to the script language you have written. For example, if you have stored a Perl script for reversing the order of characters in a Clip labeled "Reverse", all you need is the following instruction to apply it to the text in the active document:

^!RunPerl Reverse

If text was selected in the document, then the script will only be applied to the selection. If no text was selected, then the script is applied to the whole document (with outline-type documents, only the current topic is used). The output from the Perl script then replaces the text to which it was applied.

Scripts need not be stored in Clip libraries; each script may be stored in its own file. Clips which process scripts stored in the Clip library are not Clipbar-safe.

You will find several examples in the "Samples.clb" library that accompanies the NoteTab package. See the topic "Create Clipbook Libraries" for more information on creating libraries.

Commands:

^!RunPerl ScriptName

Applies specified Perl script to selection in current document or whole document. ScriptName can either represent the name of a Clip or a script file. The stderr stream is saved in file called "StdError.err" in NoteTab's application directory unless another file is specified with the SetStdError Name command.

^!RunGawk ScriptName

Applies specified GAWK script to selection in current document or whole document. ScriptName can either represent the name of a Clip or a script file. The stderr stream is saved in file called "StdError.err" in NoteTab's application directory unless another file is specified with the SetStdError Name command.

For more information, see the topics Using Perl, Gawk, and Other Scripts.


Keep a Log

You can keep a log by using the same method as Notepad. Just add ".LOG" on the first line (without the quotation marks) and every time you open such a document, the editor will append the current date and time (as specified by your computer's clock).There is an option that lets you configure the format for the date and time text that is pasted with the corresponding command. The Date and Time filters topic gives you all the codes you can use to build a filter.


Get Program Updates

When a new NoteTab update is available, you will see it listed in the News and Updates dialog box, which is available from the Help/Check for Updates menu command. In some cases, the Setup file will be downloadable and installable directly from within NoteTab. In other cases, your browser window will open to a download page on our Web site. A single mouse click on the update item will start the download to your computer.

If you enable the Help/Poll for News menu option, NoteTab will automatically check our Web site at regular intervals for updates and other news. If it detects that the news file has been updated, NoteTab will automatically display its contents on startup. Just click on the link to view a news item or download a program update. Note that NoteTab needs access to the Internet for this feature. If you use a firewall product like ZoneAlarm or Norton Personal Firewall, make sure you allow the NoteTab.exe or NotePro.exe program file to make the connection.

Usually, program updates are downloaded and installed directly from within NoteTab. However, be aware that some download managers may take over this download process and interfere with normal operations. When this happens, you may see a prompt from NoteTab asking you to tell it when the download has been completed.

We recommend that you enable the Help/Poll for News option to keep your NoteTab program up-to-date. However, if you prefer to check for updates manually, then use the Help/Check for Updates menu command instead. Updates up until the next major release are free for registered users. See the Upgrade Policy topic for more information about this.

Important: If you are using Windows Firewall and NoteTab cannot reach the update server, make sure that you uncheck the option labeled "Block all incoming connections" (Windows Vista) or "Don't allow exceptions" (Windows XP); you will find the option in the Windows Firewall settings window which opens from the Control Panel. If this setting is enabled, you are not notified when Windows Firewall blocks programs, and programs on the Exceptions list are ignored.


Accessibility Mode

NoteTab has been developed with accessibility in mind. All program features are accessible through the keyboard and most keyboard shortcuts can be customized. Furthermore, NoteTab detects whether Windows is set to High Contrast mode and whether a screen reader is running. In these situations, NoteTab starts up in a special Accessibility Mode that affects the display of menus as well as the selection of the first control receiving input focus when the wizard screen changes or a dialog is opened. The text "(Acc)" appears in the program title bar when it is turned on.

When NoteTab runs in Accessibility Mode, the "Blind User Mode" setting in the Options dialog box is automatically turned on. When set, Blind User Mode makes the following changes to the user interface: Autoscroll hides dialog when active and message dialog boxes make a sound when displayed. The Find dialog box will automatically close after a search operation and the Replace dialog box will close after a "Replace All" operation. When an item is selected from the Quick List, Outline, or Clipbook list, the focus remains on the list control instead of jumping back to the document. This makes it easier to use NoteTab with screen readers.

NoteTab includes configuration files for the three most popular screen readers: Dolphin Hal, JAWS for Windows, and Window-Eyes. These files improve recognition of NoteTab user-interface elements and can be installed to the appropriate location by running NoteTab with the following command-line parameter:

NoteTab.exe /acc=install

or

NotePro.exe /acc=install

Note that you may have to restart your screen reader to have it pick up the installed configuration file.

If for some reason, NoteTab does not set itself in Accessibility Mode, or if you wish to turn it off, use the /acc command-line switch to turn it on or off. Example:

NoteTab.exe /acc=on

NoteTab.exe /acc=off

or

NotePro.exe /acc=on

NotePro.exe /acc=off

Section 508 Voluntary Product Accessibility Template (VPAT)

The Voluntary Product Accessibility Template (VPAT) is a document that contains a list of requirements needed for a product to conform to Section 508 of the Rehabilitation Act. The template format allows vendors to state their products' conformance to Section 508, requirement by requirement. For more information on Section 508 visit www.section508.gov

The NoteTab VPAT is available for download in the Adobe Acrobat (PDF) and Microsoft Word (DOC) formats:

· Download VPAT in Adobe Acrobat (PDF) format
· Download VPAT in Microsoft Word (DOC) format

NOTICE: The VPAT document is provided for market research purposes only and its contents are subject to change without notice. The information in this document does not constitute legal advice, warranty, or guarantee regarding a person's ability to comply with applicable accessibility requirements. Such a determination is the sole responsibility of the purchaser.


File Menu

New

Creates a new document. The new name format can be customized by changing the "New Name Format" field on the General tab of the Options dialog box.

New Outline

Creates a new Outline-type document. This command is not available in the Freeware version of NoteTab Std (unless the "View | Commercial Features" menu command has been activated).

Open

Opens an existing document. If the file uses the UNIX or Mac format, it is automatically converted to the Windows (DOS) format. You can specify through the "Save Format" field in the Options dialog box on the Documents tab how such files should be saved. Choosing the "Original" option restores the original format when you save the document.

Reopen

Maintains a list of recently used files. Quickly reopen a recently used file. The most used ones are at the top of the list and the least used ones get gradually pushed to the end of the list. When they are pushed beyond the 16th position, they are automatically removed from the list.

Template

Save

Saves the active document. The file format used will depend on the setting in the "Save Format" field in the Options dialog box on the Documents tab. Choosing the "Original" option restores the original format when you save the document.

Save As

Saves the active document with a new name. The file filter does not influence the output format. It is only useful for displaying the corresponding files in the Explorer window.

Save All

Saves all the modified documents. This command also applies to modified Clipbook libraries when the [Clip] editor is open.

Export

Saves the text selection or the active document in a different format: ASCII/ANSI, DOS, UNIX, EBCDIC, or Mac. Using this command on an Outline document will produce a normal text file from it. By default, headings are underlined. This setting can be turned off through the "Underline Headings" field in the Options dialog box on the Outline tab.

Close Document

Closes the active document.

Close All Documents

Closes all the documents.

Printer Setup

Changes printer and/or printer options.

Print

Prints the active document or selected text. Hold down the Shift key when selecting this command to print only selected text.

Print All

Prints all the open documents.

Print Preview

Displays full pages. Hold down the Shift key when selecting this command to print only selected text.

Page Setup

Changes page layout settings.

Send

Sends the document through electronic mail (MAPI). If your e-mail program supports MAPI (for example Eudora), you can configure it to act as your MAPI server. Check your software's Help file or manual to see how you can make it the default server. If you get an error message when you try to use the Send command, check that you have "Microsoft Exchange" properly installed from the Windows install CD.

Exit

Quits the application; prompts you to save modified documents.


Template Submenu

This submenu can be found under the File menu.

New

Creates a new document template.

Open

Creates a new document based on the chosen template.

Edit

Opens a document template for editing.

Add Header

Adds a template header to the current document. This makes it easy to convert any document into a reusable template.


Edit Menu

Undo

Reverses the last edit action. Undo is not available across Outline headings and only applies to text operations in a document.

Redo

Redo the previously undone action. This command is only available in NoteTab Pro.

Reload

Reloads last saved version of the current document. This operation cannot be undone!

Reload All

Reloads last saved version of all modified documents. This operation cannot be undone!

Cut

Cuts the selection and puts it on the Clipboard.

Copy

Copies the selection and puts it on the Clipboard.

Paste

Inserts Clipboard contents.

Paste New

Creates a new document and inserts the Clipboard contents.

Delete

Erases the selection.

Clear All

Erases the selection or the entire document if no text is highlighted.

Select All

Selects the entire document or the content of the current Outline heading.

Copy All

Copies the entire document and puts it on the Clipboard. With Outline documents, you are prompted if you want to copy the whole outline or just the current topic.


Search Menu

Find

Finds the specified text. The search criteria can represent multiple lines.

Replace

Replaces specific text with different text. The search and replace criteria can represent multiple lines.

Count Occurrences

Counts occurrences of search-text criteria.

Search Again

Repeats the last search.

Search Reverse

Repeats the last search in reverse direction.

Quick Find

Finds the next occurrence of the highlighted text. Note that this command uses the current settings of the Find dialog box (search direction/match case/whole word/scope)

Search Disk

Finds/replaces the specified text in files on the disk. The replace feature is not available in the Freeware version of NoteTab Std (unless the "View | Commercial Features" menu command has been activated).

Set Bookmark

Sets or turns off bookmark at cursor position. This submenu is only available in NoteTab Pro. Currently, bookmarks cannot span across Outline topics and are lost when you move to another topic.

Go to Bookmark

Moves cursor to the specified bookmark. This submenu is only available in NoteTab Pro.

Go to Tab

Activates the specified document tab.

Go to Line

Jumps to the specified line. In NoteTab Pro you can jump to a paragraph by preceding the number with a letter "p".

Go to Hyperlink

Opens the document or heading corresponding to hyperlink under the cursor.

Match Brackets

Finds the matching bracket. Place the cursor inside the bracket area and NoteTab will select the brackets and all the text between them. The algorithm that performs the search has been optimized for speed. Under some rare situations it will not find a matching bracket. However, if you select one of the brackets before selecting this command, the search will always return the correct result.


View Menu

Toolbar

Shows or hides the main toolbar.

Clipbar

Submenu commands to create, open, or hide the Clipbar.

Ruler

Shows or hides the document ruler.

Line Numbers (only NoteTab Pro)

Shows or hides the line-number ruler.

Libraries Bar

Shows or hides the Clipbook libraries button bar above the status bar.

Status Bar

Shows or hides the Status bar, which displays hint information and the cursor coordinates.

Nonprinting Text (only NoteTab Pro)

Shows or hides nonprinting characters like paragraph marks, spacebar and tab characters, and page breaks.

Stack Document Tabs

Shows document tabs stacked or unstacked.

Multiple Instances

Allows multiple instances of NoteTab to run.

Icon in System Tray

Minimizes NoteTab to the system tray instead of the task bar.

Stay-on-Top

Makes NoteTab stay on top of other applications.

Commercial Features (only NoteTab Light)

Use this command to enable some of the commercial features for a trial period of one month.

Spell-Checker Options

Sets spell-checker options (dictionaries, correction preferences, etc.). This command is only available in the commercial version of NoteTab. To keep the distribution file size small, the commercial package does not include any dictionaries. However, you can download the thesaurus file and dictionaries for several languages for free by visiting one of the NoteTab Web sites.

Options

Sets program options.


Modify Menu

Lines

Alignment

Changes the alignment (left/center/right/justify) of selected paragraphs based on the size of the document window or column wrap. This feature only works correctly with fixed-width fonts. The "justify" command is not available in the Freeware version of NoteTab Std (unless the "View | Commercial Features" menu command has been activated).

Block

Text Case

Spaces

Strip HTML Tags

Use this command to remove all HTML tags from selected text or the whole document. Control and other special characters are converted during this process. This command also attempts to format text in tables by separating each cell with a tab character and by placing each row on a separate line. Use the submenu command "Preserve URLs" if you want to keep links.

Change HTML Tags

Use the submenu commands to convert HTML tags in your text selection or the whole document to uppercase, lowercase, or XHTML format.

Document to HTML

Converts highlighted text or the active document to HTML format. Special characters are converted to the HTML equivalent tag. Choose the "No Paragraph Tags" command if you do not want NoteTab to insert <P></P> and <BR> tags when it encounters new lines. Choose the "No Character Conversion" command if you do not want extended and special characters converted to HTML tags. If you apply either of these commands to the whole document, NoteTab will create a new HTML page with the header and footer defined in the Options dialog box on the Internet tab. Outline documents are converted complete with a table of contents and links between the topics.

Characters to HTML

This command will convert all extended and special characters (e.g. NoteTab Std) it encounters in the selected text (or whole document if no text is selected) to their corresponding HTML syntax. Choose "Extended Characters" if you do not want tag elements such as <,>, and " to be converted.

E-mail

Convert to Ascii/Ansi text

Converts document text from ASCII to ANSI character set or reverse. Only extended characters are affected by this command.


Lines Submenu

Line commands affect entire lines or word-wrapped paragraphs. This submenu can be found under the Modify menu.

Sort

Sorts the selected lines or the entire document in ascending or descending alphanumerical order. Use the settings "Case Sensitive Sorting" and "Sort Removes Duplicates" on the Tools tab in the Options dialog box to control the result. Depending on the number of lines to sort and the amount of available RAM, this procedure may take quite long!

Join Lines

This command joins the current line to the next, or all selected lines together into a single line. Tabs and spaces at the beginning or end of such lines are removed. Blank lines are left untouched.

Split Lines

This command splits a word-wrapped line into individual lines. If word wrap is not enabled, this function will determine the length of each line based on the width of the editor window.

Reformat Lines

This command lets you define a left margin and text width (in characters), and reformats the selection or the current line by inserting hard breaks at the line boundaries and indenting the whole block. An option lets you determine whether the text is left and right justified. This command is not available in the Freeware version of NoteTab Std (unless the "View | Commercial Features" menu command has been activated).

Adjust Line Breaks

Use this command on documents (for example UNIX or Mac files) that do not display lines with standard carriage return + line feed characters.

Compress

Documents received from Web browsers often have a blank line between every normal line, producing a double-spacing effect. Use this command to remove this double spacing.

Trim Blanks

This command removes trailing blank and tab characters from the end of the current line or selected lines.

Indent

The indent command adds a specified number of blanks or tabs at the beginning of the current line or all selected lines. By default, one blank character is added each time you invoke this command. You can choose to use blank characters or tabs, or specify a larger number of indent characters by changing the settings on the Tools tab in the Options dialog box.

Unindent

Unindent does the exact opposite of the Indent command.

Insert Bullets

Inserts bullets at the beginning of each line. The bullet character can be changed by editing the "Bullet Character" field on the General tab in the Options dialog box.

Number Lines

Inserts numbers at the beginning of each line. NoteTab will prompt you for the starting number. The number separator can be changed by editing the "Number Separator" field on the General tab in the Options dialog box.


Block Submenu

Although NoteTab is not capable of drawing rectangular selections, it determines the block coordinates based on the selection's start and end coordinates. These commands are not designed to operate on word-wrapped lines. Currently, NoteTab treats tabs as a single character, so tab size is not taken into account – this feature may be improved in a future version of the program. This submenu can be found under the Modify menu.

Cut

Cuts the block selection and puts it on the Clipboard. A dialog box will prompt you for the block dimensions if no text has been selected. Select the Modify | Block | Paste menu command to paste the block of text back into NoteTab (using the normal Paste command will not insert the block in columnar format).

Copy

Copies the block selection and puts it on the Clipboard. A dialog box will prompt you for the block dimensions if no text has been selected. Select the Modify | Block | Paste menu command to paste the block of text back into NoteTab (using the normal Paste command will not insert the block in columnar format).

Paste

Inserts Clipboard contents at the column position (determined from the cursor position).

Delete

Erases the block selection. A dialog box will prompt you for the block dimensions if no text has been selected.

Sum

Adds numbers in the selected columns.


Text-Case Submenu

Except as noted below, case commands only apply to selected text. This submenu can be found under the Modify menu.

Invert Case

Inverts the case of all the selected characters. (NoteTab Pro: if no selection, the character at the cursor position.)

Upper Case

Converts all the selected characters to upper case. (NoteTab Pro: if no selection, the character at the cursor position.)

Lower Case

Converts all the selected characters to lower case. (NoteTab Pro: if no selection, the character at the cursor position.)

Capitalize

Converts the first character of all selected words to upper case and the rest of the word to lower case. If no selection, the word at the cursor position.

Sentence

Capitalizes the first character of each sentence. All other characters are changed to lower case. If no selection, the word at the cursor position.


Spaces Submenu

Spaces commands affect either selected text or the whole document if no text is selected. This submenu can be found under the Modify menu.

Single Space

Use this command to replace groups of multiple adjacent blank spaces to single spaces.

Single Tab

Use this command to replace groups of multiple adjacent blank spaces to single tabs.

Tabs to Spaces (NoteTab Pro only)

Converts tab characters to space characters. The number of characters added depends on the size of the tab.


E-mail Submenu

These commands affect either selected lines or the current line if no text is selected. This submenu can be found under the Modify menu.

Quote Text

Adds e-mail quote character(s) at the beginning of lines. The default quote character is ">". It can be changed by editing the "E-mail Quote" field on the Internet tab in the Options dialog box.

Unquote Text

Removes all ">" e-mail quote characters from the beginning of lines. This command does not take into account the setting in the "E-mail Quote" field on the Internet tab in the Options dialog box!


Document Menu

Properties

Sets properties for the active document. Changing these properties turns off the "Default Properties" setting. As a result, changes made to the Document settings in the Options dialog box will not affect the current document.

Default Properties

Use default settings in active document as defined in the Options dialog box on Documents tab.

Disk File Properties

Shows the Windows "File Properties" dialog box for the current document.

Auto Indent

Enables or disables automatic indentation. Changing this option turns off the "Default Properties" setting.

Word Wrap

Sets or turns off word wrap in active document. Changing this option turns off the "Default Properties" setting.

Update Column Wrap

Updates lines in current document so that they wrap at defined column. This option is only available in NoteTab Std and is enabled when the column wrap option is set for the current document. NoteTab Pro does not need this feature because it handles column wrap in real time.

Font

Change the current document font, or increase/decrease its size. Using these commands turns off the "Default Properties" setting.

Insert File

Inserts the content of the specified file at the cursor position.

Insert Date/Time

Inserts current date and time at the cursor position. The date format is determined by the Date filter in the Options dialog box on the Tools tab.

Insert Document Name

Inserts active document name at the cursor position.

Insert HTML Color

Inserts chosen HTML color code at the cursor position.

Insert HTML Link/Image

Insert HTML links and images by way of the File Open dialog box. If text is highlighted when the command is chosen, the tags wrap around it. Note that the File Open dialog box always points to the last used directory.

Insert Page Break

Inserts a page break character at the current line.

Outline Headings

This submenu is not available in the Freeware version of NoteTab Std (unless the "View | Commercial Features" menu command has been activated).

Second Window

Shows active document in a second fixed window pane. You can resize the windows by dragging the splitter bar between them. The tab representing the left window is labeled "1." and the one for the right window "2.". Clicking on the tabs of other documents will display them in the left window. Pressing Ctrl+Shift+W in the left window swaps them around. Pressing Ctrl+Shift+W in the right window toggles off the Second Window feature. Note that showing Outline documents in the second window does not change the position of the Outline-headings list.

Use as Paste Board

Makes the active document capture all Clipboard text cut and copy operations. New text is appended to the end of the document. Sometimes this feature fails to work because another application has hooked itself incorrectly in the Windows Clipboard chain. Turning the Paste-Board feature off and then back on should fix the problem when this happens; if not it may be necessary to reboot your computer.

Rename

Renames the active document. The disk file is also renamed if it exists.

Delete

Deletes the active document. Erases corresponding disk file if it exists (the deleted file goes to the recycle bin).

Read-Only

Sets or turns off the read-only status of the active document. When a document is "read-only", you cannot modify its content. As a result, many menu and toolbar commands are not available.


Outline-Headings Submenu

This submenu can be found under the Document menu. It is not available in the Freeware version of NoteTab Std (unless the "View | Commercial Features" menu command has been activated).

Add Heading

Adds a new outline heading.

Make Heading

Creates a new outline heading based on the selected text in the active document.

Remove Heading

Deletes the active outline heading.

Edit Heading

Lets you edit the current outline heading.

Sort Headings

Sorts outline headings in ascending order.

Move Next

Moves to the next heading.

Move Previous

Moves to the previous heading.

Move First

Moves to the first heading.

Move Last

Moves to the last heading.


Favorites Menu

Categories

The "New Category" command creates a new Favorites category list. All available categories are listed below that command and a checkmark highlights the current category. Choose the "Make Default" command to open the category in the main Favorites menu and to make it the default in the Quick List. You can rename or delete the active category by choosing the command "Rename Category" or "Delete Category" respectively.

Organize

Items in the Favorites list can represent document names (including wild cards: * and ?), directory names, and other categories. Documents are opened and selected when you pick them from the list. If you choose a directory name, the File Open dialog box is opened with the directory's content displayed.

You can also use the Favorites menu to save documents in a specific directory, or with a specific name (no wildcards). Just hold the Ctrl key down when you select a Favorites item; this will open the Save As dialog box set to the specified directory and document name.


Organize Submenu

This submenu can be found under the Favorites menu.

Add Document to Favorites

Adds active document name to the active Favorites list.

Add all Documents

Adds all open documents to the active Favorites list.

Add Path Name to Favorites

Adds path name of active document to the active Favorites list.

Go to Favorites

Shows the Favorites dialog box.


Tools Menu

Clipbook

Clipbook Properties

Expand Text

Replaces text at the cursor position with matching Clipbook replacement text. This command can save you a lot of time when you often reuse same bits of text.

Auto-replace Mode

Replaces typed text with matching Clipbook item. This option is automatically set when you open an "auto-replace" library. When this mode is enabled, NoteTab will check for a matching item in the active library whenever you press any of the following characters (Clip activation keys):

TAB SPACE RETURN ! " , . : ; = > ? ] }

If a matching Clip is found, the typed item in the document is automatically replaced according to the Clip instructions.

IntelliComplete Server

This menu item is only displayed if the IntelliComplete Server (ICS) is installed on your computer. This excellent utility provides smart autocompletion and can learn new words as you type away. It's easy to use and can save a lot of time.

IntelliComplete Settings

This menu item is only displayed if the "IntelliComplete Server" menu command has been activated. Use it to change the default settings in ICS.

Quick List

Shows or hides the Quick List window.

Quick List Properties

Open File at Cursor

If you place the cursor on a file name, NoteTab will try to open it. If NoteTab doesn't have enough information to find it, you will be prompted to complete the name. If the cursor is in a URL, then NoteTab will open it in your browser.

Launch Document

Launches active document in application defined in the "Custom Launch" field on the Tools tab in the Options dialog box. If this field is empty, NoteTab will send the document to the associated software. You can, for example, use this feature to easily launch the current document in a compiler or syntax checker.

Tidy HTML Code

Sends the text from the current document to HTML Tidy -- a free utility that cleans HTML code and fixes errors. The resulting code is then inserted back into the document.

HTML Tidy accepts a variety of switches to control the way it processes HTML tags. NoteTab will try to determine the best switches based on the active document type and the HTML Tag option settings. For example, if Auto-indent mode is enabled in the current document, the HTML code will be formatted with indenting. The tag format (uppercase/lowercase/XHTML) is determined by the settings on the HTML Files tab in the Options dialog box. If you want more control over the settings, you can create a configuration file for Tidy, which you should save in the NoteTab folder with the name Tidy.cfg (see the program's instructions for details). You can learn more about HTML Tidy and download the latest version by visiting the following Web page:

http://tidy.sourceforge.net/

The easiest setup is to copy the Tidy program to the NoteTab folder (rename the file to Tidy.exe if necessary), but you may place it anywhere else if you prefer.

Validate HTML

This command is only available if NoteTab finds CSE HTML Validator Pro (v2.00A and higher) -- a program for checking HTML syntax errors. When you click on this command, it will send the current document text to CSE HTML Validator. Once the checking is completed, NoteTab will create a Clipbook library containing all the messages produced by the CSE program. Executing the Clips in the library will select the offending line and display the corresponding error message. Note that you should avoid removing or adding lines while correcting errors so that the line numbers referenced by the Clips remain valid. You can learn more about CSE HTML Validator and download the latest version by visiting the following Web page:

http://www.htmlvalidator.com/

View in Browser

Shows the active document in the default Web browser or the one you specified in the Options dialog box on the Internet tab. By default, you can open the page in the current browser window by holding down the Ctrl key if you are using Internet Explorer, Netscape 4.x, Opera, or Mozilla.

Other Browser

Shows the active document in user-defined Web browser. The browser application is defined in the "Second Browser" field on the Internet tab in the Options dialog box.

Open Link

Opens a link in your default Web browser or the one you specified in the Options dialog box on the Internet tab.

Quick Open Links

When set, you do not have to hold down the Ctrl key to activate a hyperlink with the mouse.

Auto Scroll

Starts automatic scrolling for hands-free reading of the active document.

Calculate Expression

Calculates the value of the selected mathematical expression. If the expression ends with an equal sign (=), the result is pasted just after it. If the document is read-only or if the expression does not end with an equal sign then the result is displayed in a message box.

Text Statistics

Shows detailed character and word count for the selected text or whole document.

Spelling

Checks the spelling in the active document. Checking starts from the cursor position unless it is at the end of the document. If text is selected, spell checking is applied to the selection only. You cannot spell check a document that is read-only. To keep the distribution file size small, the commercial package may not include dictionaries. However, you can download dictionaries for several languages without charge by visiting the NoteTab Web site. The spell checker is only available in the commercial versions of NoteTab.

Thesaurus

Checks the thesaurus for synonyms of the word at cursor. This command is only available in the commercial versions of NoteTab. Due to its size, the commercial package may not include the thesaurus dictionary file. However, you can download it for free by visiting the NoteTab Web site.


Clipbook Submenu

This submenu can be found under the Tools menu.

Open Clipbook

Opens or closes the Editor Clipbook. May remain hidden if configured that way.

Add New Clip

Adds a new Clip to the current library. If the Clipbook is closed, you will be prompted to choose which library should receive the new Clip.

Add from Clipboard

Adds a new Clip from the Windows Clipboard to the current library. If the Clipbook is closed, you will be prompted to choose which library should receive the new Clip.

Paste Current Item

Pastes the content of the currently selected Clip into your document.

Copy Selection

Copies the selected text in your document to the Current Clipbook library.

Cut Selection

Cuts selected text in your document to the Current Clipbook library.

Clip Editor

Shows the content of currently selected Clipbook item in the clip editor ([Clip] document tab). Note that you cannot use the Clipbook to paste or launch Clips when the Clip editor is the active document.

New Library

Creates a new Clipbook library and opens it as a standard document. Check the Clipbook Libraries topic for information on the format.

Open Library

Opens a Clipbook library as a standard document. Check the Clipbook Libraries topic for information on the format.


Clipbook Properties Submenu

This submenu can be found under the Tools menu.

Dock Left Side

Docks Clipbook window on the left side of document.

Dock Right Side

Docks Clipbook window on the right side of document.

Hide Clipbook

Hides the Clipbook window. This gives more space for the document window but keeps Clip items accessible through the In-Context Clipbook and the "Expand Text" function.

Font

Sets the font and text color for the Clipbook window.

Background Color

Sets the background color for the Clipbook window.

Match Document Font

When enabled, the Clipbook font changes to match the font used in the selected document.

Show Headers

Set this option to display Clipbook headers in the Clip editor window.


Quick List Properties Submenu

This submenu can be found under the Tools menu.

Show Full Name

Shows file names with their path or without. The full file name is displayed in the hint bar when you move the mouse cursor over the list.

Font

Sets the font and text color for the Quick List window.

Background Color

Sets the background color for the Quick List window.

Documents

Shows a sorted list of all open document names in the Quick List window.

Favorites

Shows the content of the active Favorites list in the Quick List window.

Disk Files

Shows disk files matching specified criteria in the Quick List window.

Clip Assistant

Shows the Clip Assistant window. When you activate this command, a list of ready-to-use syntax elements is displayed in place of the Quick List. You can paste the items into your document by double-clicking on them or by dragging them into your document. You can edit the ClipHelp.CLH file to customize the content of the Clip Assistant list.


Help Menu

Help Topics

Opens the Help Topics window.

Help on Clip Programming

Opens the Help topic on Clip programming.

Search for Help On

Searches for a help topic.

Show Tip of the Day

Shows the Tip-of-the-Day dialog box.

NoteTab Glossary

Shows NoteTab's "Glossary.otl" file. Provides definitions for all the technical vocabulary used in the documentation of NoteTab.

Outline Tutorial

Shows NoteTab's "Readme.otl" file with useful information about Outline files.

Readme File

Shows NoteTab's "Readme.txt" file.

What's New

Shows NoteTab's "WhatsNew.txt" file. This file contains information about the latest changes made to the NoteTab editor.

Replace MS Notepad

Once this command has been activated, it causes NoteTab to execute whenever MS Notepad is invoked. When you choose that command, NoteTab will first rename Notepad by adding the extension ".MS" to the program file. Then, it will copy a special little program called NOTEPAD.STB to the Windows or System directory. Whenever this program is executed, it launches NoteTab instead of Notepad. If you want to restore MS Notepad after this operation, just use the command "Restore MS Notepad", which is also available under the Help menu.

Restore MS Notepad

Reverses the changes made by the "Replace MS Notepad" command. This command is only available after you have used the "Replace MS Notepad" command.

Order NoteTab

This command connects you to the order page on the Web. It is only available in NoteTab Light and the trial version of NoteTab Pro.

Check for Updates

Checks the Internet for news and software updates. This feature also makes it easy to download and install program updates.

Poll for News

Automatically checks the Internet for news and updates from Fookes Software. When new news items are detected, NoteTab will automatically show the News and Updates window.

About

Displays the NoteTab "About" dialog box.


Export Dialog Box

Use the Export dialog box to save the current document or a selection of text to a new file in a different format.

The Output field is only available when some text is selected in the document. You can choose to save just the selection or the entire document to the new file.

The format field lets you choose how line markers are defined. You have a choice between the standard Windows format (DOS), UNIX, EBCDIC, or Mac. If you choose the EBCDIC format, you can define through the LRECL field whether you want to produce a file with variable line width or fixed width.

Use the ASCII character set if your document contains extended characters (e.g. accented letters) and you want to read it with a DOS program.

Check the "Hard Wrap" checkbox if you want long lines that are word-wrapped saved with carriage returns where the lines break.

Click on the Continue button to open the File Save As dialog box and export the text.


Page Setup

The Page Setup dialog box gives you control over how documents are printed. You can set the size of margins, the printer font, page orientation, as well as headers and footers.

Margins

Margins define the distance from the edge of a paper from which text can be printed. The values for size can be defined in inches, millimeters, pixels, or percent units. Note that headers and footers are printed within the print area, not in the margin area.

Page

Headers and footers are printed according to the selected value from the drop-down menu. Select "None" if you don't want a printed header or footer. The other values define whether the text is aligned to the left, right, or centered in the print area. The header/footer text is defined by the corresponding field values in the Fields section.

Text

Documents can be printed using the display font or using a different font that you select through the Font button. The Font button is only available if the "Use document font" option is unchecked.

The Word wrap option defines how text flows on the page. If the option is unchecked, long lines will be truncated when they reach the right margin.

Orientation

To print the document vertically, click Portrait; to print the document horizontally, click Landscape.

Fields

The Header and Footer fields accept tokens that define the format of the printed text. Note that these are only printed if the Header and Footer values in the Page section are set to Left, Center, or Right. A token is represented by a percent character followed by a letter. The following tokens are recognized:

%d = date (based on the format defined in the Date field)

%p = page number

%c = page count

%t = title (or document name if Title field left blank)

%f = full filename (fully qualified file name of printed document)

Use an underscore character ( _ ) at the start of the Header and/or Footer field to insert a separator line on printed pages between the main document text and the header/footer text.

Additionally, you can specify a special tab token with "^t" to separate bits of information in the header or footer. When NoteTab finds a tab token, it splits the text based on the setting in the Page section. With the Header or Footer value set to Left, one tab causes the text before it to be printed on the left side and the rest on the right side; when two tabs are used, the text before the first one is printed to the left, the text between the two tabs in the middle, and the remaining text on the right. With the Header or Footer value set to center, one tab causes the text before it to be printed in the center and the rest on the right side. Tabs are ignored if the value is set to Right.

The following example will print the date on the left side and the title or document name on the right side with a Header or Footer value set to Left:

%d^t%t

The tokens for the Date field are listed under the Date and Time filters topic. You can see what the format looks like in a popup hint window when you hover the mouse pointer over the field.

The Title field lets you define a name for the print job. The entered value can also be used in the Header or Footer through the %t token. If you leave this field blank, NoteTab will use the name of the printed document instead.


Find & Replace Dialog Boxes

If the selected text is between 2 and 255 characters long and the "Find Word at Cursor" option is set, it is placed in the Find field of the dialog box when it is opened (special characters are automatically replaced by their respective tokens – see below). Otherwise, the last searched item is displayed in the field. Searching always starts from the cursor position, unless you specify "All" in the Search field! If the scope is limited to the current document, selected text is more than 30 characters and at least twice as large as the search criteria, then Find/Replace will only search within the selected text.

Double-clicking in an empty area of the dialog box will move the cursor to the beginning or the end (depending on the search direction) of the current document. The Find/Replace tool will ask you if you want to resume a search from the beginning of a document if no match is found. Note that you can set the font of the Find/Replace fields in the corresponding dialog boxes: right click on the Find or Replace field in the dialog box to open the shortcut menu with the Font command.

Put a checkmark in the Regular Expression checkbox if you want to define the search criteria as a regular expression.

Tip: You can quickly copy text from the Find field to the Replace field by double-clicking on the "Replace with" label.

The Find and Replace dialog boxes accept tokens to represent special characters:

^T = Tab ($09)

^B = Page break ($0C)

^P = Paragraph (carriage-return/line-feed pair; CRLF)

The following are not available in NoteTab Pro:

^C = Carriage-return ($0D; CR)

^L = Line-feed ($0A; LF)

If you actually need to search characters that correspond to one of the tokens, just precede it with an extra ^ symbol (for example ^^T to search for ^T).

Whether you are editing UNIX or Mac files, NoteTab always converts line breaks to the Windows format when loading a document. As a result, the ^P token will always match a line break, no matter what the original format of the file is. By default, NoteTab restores the original line-break format when saving documents back to disk, so UNIX and Mac files retain their format.

Important: The above tokens are not valid when you perform regular expression searches.

When you paste text into the find/replace fields, NoteTab automatically converts special characters into their corresponding tokens. This feature takes into account the regular expression setting. If the Regular Expression checkbox is checked, NoteTab will convert the pasted text into the corresponding pattern. You can bypass this conversion feature by holding down the Insert key while you paste the criteria in the field.

When the editor is configured to "stay-on-top", the Find and Replace dialog boxes are modal. In other words, you cannot return to the editor until you close the dialog box. When the program is not "stay-on-top", they are modeless (you can edit documents while the dialog boxes are open).

You can increase the width of the dialog box if necessary and save the new size by opening its Control (or System) menu and clicking on Save Window State.

Put a checkmark in the "Count Occurrences" checkbox if you don't want to replace text but just want to count the number of occurrences of the specified criteria.


Search Disk Dialog Box

Use the "Search Disk" command (Ctrl+D) to do a Search/replace operation on your disk files instead of the documents in NoteTab. The advantage of this tool is that you do not need to open all the files you want to process – you save both time and system resources.

The dialog box has two tabs that let you choose whether you want to do a search or a replace operation. Note that the "Replace in Files" tab is not available in the Freeware version of NoteTab Std (unless the "View | Commercial Features" menu command has been activated).

The Find and Replace fields accept tokens to represent special characters. These are:

^T = Tab ($09)

^B = Page break ($0C)

^P = Paragraph (carriage-return/line-feed pair; CRLF)

^C = Carriage-return ($0D; CR)

^L = Line-feed ($0A; LF)

If you actually need to search characters that correspond to one of the tokens, just precede it with an extra ^ symbol (for example ^^T to search for ^T). Note that you can set the font of the Find/Replace fields: right click on one of the fields to open the shortcut menu with the Font command.

Unlike documents open in NoteTab, which always have the Windows line-break format (CRLF), files on disk may have other formats like UNIX or Mac line breaks. As a result, the ^P token will only work on files that have the Windows line-break format. If you seach UNIX/Linux files, use the ^L token instead, and use the ^C token for Mac files.

Important: The above tokens are not valid when you perform regular expression searches. If you want to match any line-break format, use the \R regular expression token.

Use the File Masks field to specify the directory that contains the files you want to search. Use standard wildcards for the file name to limit the search to matching files; you can specify multiple file criteria by separating them with a semi-colon ";" (e.g. C:\NoteTab\*.txt;*.otl;*.htm*). Put a checkmark in the "Include Subdirectories" field if you want to expand the search to all the subdirectories. By default, the procedure will not search through hidden files unless you put a checkmark in the "Hidden Files" box.

Put a checkmark in the "Find First" field if you want the search operation to stop as soon as a match has been encountered. This option is only available if you are doing a "Find in Files" operation.

Put a checkmark in the "Backup" field if you want backup copies of files modified by the replace operation.

When you enable the Confirm option, matching files are displayed in a list box. You can then select which files you want to open in NoteTab when you are doing a find operation. If you are doing a replace operation, you can select which files should be processed; you can also open the selected files in NoteTab if you prefer. If the replace operation encounters binary files, it will display them in the list box even if you haven't set the confirm option.

Put a checkmark in the Reg. Expr. checkbox if you want to define the search criteria as a regular expression.

You can increase the size of the dialog box if necessary and save the new size by opening its Control (or System) menu and clicking on Save Window State.

Note that read-only files are ignored when the Replace operation is chosen.


Block Dimensions Dialog Box

This dialog box is only displayed when you choose one of the "Modify | Block" commands and no text has been highlighted. It lets you determine the size of the block that you want to process. The line that will contain the top left corner of the block is defined by the cursor position. Measurements in this dialog box represent character units.

Note that the block commands are not designed to operate on word-wrapped lines. Currently, NoteTab treats tabs as a single character so tab size is not taken into account – this feature may be improved in a future version of the program.


Reformat Lines Dialog Box

This dialog box is displayed when you choose the "Modify | Lines | Reformat Lines" command. It has three fields:

• Left Margin: Determines the size of the margin to create on the left side of the formatted text. The size is measured in number of blank characters.

• Text Width: Determines the maximum width of the formatted block of text. The size is measured in characters.

• Justify Text: The resulting text is left and right justified when this option is set, and left justified when not set.

Currently, NoteTab treats tabs as a single character so tab size is not taken into account – this feature may be changed in a future version of the program.

This feature is only available in the commercial and trial versions of NoteTab.


Favorites Dialog Box

The Favorites dialog box makes it easy to quickly open any file or a directory (folder) that you have added to the list. You can easily add new files and directories to the list using the integrated editor or by clicking on the Add button. The Add button opens the file dialog box from which you can select multiple files. The item editor also lets you add file names with wild cards as well as folder and file name tokens. This is handy if, for example, you want to open all your HTML files in the editor to perform a global search and replace operation:

C:\Web\Homepage\*.html

Precede the path name with a + character to also open all matching files contained in the specified directory and all its subdirectories:

+C:\Web\Homepage\*.html

By clicking on the New button, you can enter file names or directories in the input field (below the list box) without using the File dialog box displayed by using the Add button. You can also use that method to specify file names with wild cards.

When you add a directory name to the list, make sure it ends with a backslash "\" (otherwise it will be interpreted as a file name). When you open a directory item, the File Open dialog box is displayed pointing to the selected directory. If several items are selected in the list, directory items are ignored when you choose the Open or Open All button. For example, when opening the following item, the File Open dialog box will pop up and show the content of the Homepage directory:

C:\Web\Homepage\

You can create separate Favorites categories for all kinds of different tasks. The names of all available categories are displayed in the combo box above the list. Favorites categories are always stored in the program directory and have the extension FVR. These are text files that can also be edited in NoteTab like any other file.

You can also specify other Favorites categories by clicking on the New button in the dialog box, then typing a colon character (:) followed by the name of the category. For example:

:Favorite

Once you have created such an item, double-clicking on it will open all the files listed in the category. This is very useful if you want to simultaneously open files that are stored in different directories or with different wildcards.

You can reorder the content of the list by doing drag-and-drop or sort the list by invoking the shortcut menu. You can select multiple files in the list and open them by clicking on the Open button. If you want to open all the files in the list, just click on the Open All button (in this case, directory items are ignored).

The shortcut menu also lets you undo any changes you have made to the list. Changes are permanently saved when the dialog box is closed or when the category is changed. You can create new categories by invoking the combo box shortcut menu. This menu also lets you rename categories or delete them.

NoteTab can be configured to automatically open all the files listed in a Favorites category whenever you launch the program. If you want to open files from a category that is different from the one that was last used, you can specify its name from the command line.

The dialog box size and position can be saved by opening its Control (or System) menu and clicking on Save Window State.


Text Statistics Dialog Box

The Text Statistics dialog box provides information on the number of characters, words, and the number of occurrences of each different word within a text. If you select text, that information will be extracted from that portion of the document. If no text is selected, then the whole document is analyzed.

The first part of the dialog box displays the following fields:

• Characters The figure is based on the total number of characters encountered in the text, including spaces and tabs. Each tab counts as one character only, not the space it occupies.

• Words Only words composed entirely of alphabetic characters are counted here.

• Others Any word that is not counted in the previous field is added here. For example, numbers or words that are a mix of alphabetic characters and numbers.

To display the frequency of occurrences of individual words, click on the More button. Depending on the size of the text to analyze, this process may take some time to display the result. At the end of the list, you can read the total number of different words encountered in the text. Use the list's shortcut menu if you want to change the sorting order or copy the content to the clipboard or save it to a file.


Document Properties

This dialog box lets you set properties for individual documents. You can define word wrap, tab width, font name and size, and character set for the currently selected document. If the Default option is checked, the settings defined in the Documents tab of the Options dialog box are applied.

Word Wrap: Enable word wrap at window edge or wrap column.

Auto Indent: Use same indentation level as the last line of the previous paragraph (this is generally useful only when word wrap is off).

Trim White Spaces: Spaces at the end of paragraphs are removed when the document is saved.

Wrap to Column: Words wrap at the specified column. IMPORTANT: using this feature in NoteTab Light and Std turns off regular word wrap; column wrap is not enforced when editing but is reproduced in saved file or when you choose the "Document | Update Column Wrap" menu command.

Scroll Past End of Line (only available in NoteTab Pro): Caret can move beyond the end of the current line. This option is ignored if word wrap is on.

Tab Size: Text Tab size. NoteTab Pro only allows one tab size. You can set multiple tab sizes in NoteTab Std by separating each value with a semi-colon (;). Values must be ordered in increasing sizes and represent the distance from the left margin.

Tab Units (only available in NoteTab Light/Std): Defines units used for tab size.

Type Tab (only available in NoteTab Pro): You can change the behavior of the editor by changing this option. If the tab type is set to Real, pressing <Tab> inserts a "real" tab character into the document. If the tab type is set to Fixed, pressing <Tab> inserts enough spaces to move the cursor to the next tab stop. (This is called "fixed tabs" because the position of existing text will not change if the tab size is later changed, as it does if real tabs are used.) If the tab type is set to Smart, spaces are also inserted into the document, but the positions of the tab stops are a function of the positions of the words in the previous line.

Font: Opens the Font dialog box so you can change the font used to display your document(s). NoteTab Std can show fixed- and variable-width fonts but cannot display fonts with OEM character sets (Terminal, MS Line Draw,...). On the other hand, NoteTab Pro can display fonts with OEM character sets but does not support variable-width fonts.

Save As: Saves document using original or specified file format. When "Original" is selected, the format (DOS/Windows, UNIX, EBCDIC, Mac) detected when a document is opened is used when it is next saved. Newly created documents use the DOS/Windows format when the option is set to "Original".

LRECL: This setting only applies to EBCDIC files. Use it to define or change the line record length. You can use values other than those listed.

Dos ASCII: Opens/saves document using ASCII character set. This option is only available in the Document Properties dialog box. Changing it will affect how the document is saved. If you want to convert the current text between ASCII and ANSI, use the "Modify | Convert to Ascii/Ansi Text" menu command. For example, if you convert an ASCII document to ANSI and want it to stay this way, just uncheck the DOS ASCII option; next time you save the file, it will keep its ANSI format. See the ASCII Documents topic for more details.

Use Default Settings: Uses settings defined in preferences dialog.

Document Properties are saved whenever the document or the editor is closed. All settings for up to the 1024 (default value) most recently opened files are stored in a file called NOTETAB.FPR or NOTEPRO.FPR, which is placed in the program directory. You can change the number of settings that can be remembered by editing the field "Store Properties" on the Advanced tab of the Options dialog. You can clear all memorized settings by clicking on the Clear Properties button, which is also located on the Advanced tab of the Options dialog.


Customizing the Toolbar

Important: the toolbar buttons may not display correctly if you have an old version of Windows 95. If this is the case on your system, you will have to install a newer version of the ComCtl32.DLL file. You can do this by downloading and installing the following update file from Microsoft's Web site (about 500 Kb):

http://msdn.microsoft.com/developer/downloads/files/40Comupd.exe

You can configure many aspects of the toolbar. There are over 90 commands you can display in it and you can reorder any button to suit your way of working. The toolbar properties are available through the Toolbar shortcut menu (right-click with your mouse on the toolbar) or by opening the Options dialog box and selecting the Toolbar tab.

Show in Toolbar: This list shows all the available toolbar buttons. By clicking in the check box in front of each button description, you can make it visible or remove it from the toolbar. Use the Separator items to group related buttons. You can easily reorder buttons and separators by clicking on their caption and dragging them to a new position. Alternatively, you can select a button item and use the Move Up and Move Down buttons to change its position. The list's shortcut menu offers commands to move all selected items to the top of the list, to sort them in alphabetical order, and to check/uncheck them all.

Regular Buttons: When checked, the toolbar shows the standard "extruding" buttons. Otherwise, the new flat buttons (Office 97) are displayed.

Show Caption: Use this option to display captions in the buttons. The width of these buttons is automatically determined by the size of the longest caption.

Show Tool Tips: Tool Tips appear when you place the mouse cursor over a toolbar button. You can disable this feature by turning this option off.

Show Separators: If you have set the Regular Buttons option, separators add blank space between the buttons where they are placed. With the flat buttons, separators are displayed as chiseled vertical lines. If you do not want to display separators, just disable this option.

Wrap Toolbar: If this option is set and the editor window is too small to display all the buttons, the toolbar will resize itself and wrap the buttons to the next line.

Click Sound: Plays the chosen WAV file or makes PC speaker beep when buttons are clicked.

Play Sound: Sound file to play when the Click Sound option is enabled.

Button Width: Sets button width in pixels. Use 0 or leave blank to adjust width automatically.

Caption Font: This button opens the Font dialog box and lets you change the default font used for the toolbar button captions.


News and Updates Dialog Box

This dialog box is available through the Check for Updates command under the Help menu. Use it to check the Internet for news and software updates from Fookes Software. News items are organized by category. A single mouse click on a news item will display the corresponding Web page in your browser or starts a file download. Icons are displayed next to news items and have the following meaning:

The news item has either been added today or after you last displayed news.
The news item has already been displayed before or has no date.
The news item link points to an .exe Setup file.
The news item link points to a .zip file.
The news item is an e-mail address link.

The News and Updates dialog box is useful to find out if a new NoteTab update is available. It also displays news about our other major releases and occasionally special offers that we make available to our users. Information is transmitted one way only, from our server to your computer. The news feature does not send any details about your system to us. NoteTab determines locally what relevant news to display to you.

Usually, program updates are downloaded and installed directly from within NoteTab — updating your software this way couldn't be easier. However, be aware that some download managers may take over this download process and interfere with normal operations. When this happens, you may see a prompt from NoteTab asking you to tell it when the download has been completed.

You can configure NoteTab to automatically check for news at regular intervals by checking the Poll for News command under the Help menu. The dialog box will automatically pop up if new news items have been added since the last viewing.


Options | View

Show Toolbar: Displays or hides the program toolbar.

Show Nonprinting Text: Displays or hides nonprinting characters like tabs, line/page breaks, and spacebar characters. This setting is only available in NoteTab Pro.

Show Ruler: Displays or hides the document ruler.

Show Libraries Buttons: Displays or hides the Clipbook button bar (the buttons give access to the available libraries).

Show Status Bar: Displays or hides the program status bar.

Show HTML Features: Turn this setting off if you do not want to see the options and commands related to the creation of HTML documents (useful for simplifying the interface). When this setting is unchecked, it can be re-enabled later from the View menu.

Show Advanced Features: Turn this setting off if you do not want to see the more advanced options and commands in NoteTab (useful for simplifying the interface). When this setting is unchecked, it can be re-enabled later from the View menu.

Ruler Units: Sets units for measurement tick marks.

Application Icon: Changes the program icon. Click on the "Change Icon" button to display the available icons. This affects the icon displayed in the task bar, system tray, and associated files displayed in Explorer. Some of the changes will only be visible after you restart Windows.

Icon in System Tray: Puts NoteTab's icon in the system tray instead of the task bar. If you want to keep the icon in the system tray when you close NoteTab, check the "Close to System Tray" setting.

Close to System Tray: Minimizes NoteTab to the System Tray when the [X] button in the title bar is clicked. This option only applies when the "Icon in System Tray" is enabled.

MS-Office Sounds: Enables corresponding sound events if the Microsoft Office sounds have been installed. Please visit the Microsoft web site for instructions on downloading these sound resources.

Show Menu Icons: Shows the corresponding toolbar icon next to the menu item (if available).

Show Splash Screen: Shows the splash screen when you start the program.

Show Tip-of-the-Day: Shows the Tip-of-the-Day window each time you start NoteTab.


Options | General

Save Position and Size: When you enable this option, the editor will always restore its previous position and size when you start it.

Reload Open Documents: Use this option if you want the documents that were open when you closed the editor to be reopened next time you start the editor. Files that no longer exist are ignored by this feature.

Load Favorites on Startup: Loads the documents listed in the Favorite Files list (from current list or an alternative list indicated through the command line) whenever you start the editor.

Allow Multiple Instances: Set this option if you want to allow multiple instances of the editor in memory.

Check Changes on Activate: Checks if documents have been modified by other applications when focus returns to NoteTab. Turning this option off may significantly speed up the readiness of NoteTab after activation when it has floppy disk or network files open. The downside is that you are no longer warned if files have been modified by other programs.

Full Names in Favorites: Set this option to display full file names in the Favorites menu.

Clip Event Warnings: This field offers a choice of three options that determine what happens when a Clipbook library containing event headings is opened. When "Disable Clip Events" is set, Clip events such as OnOpen, OnClose, and OnClipboard are never triggered automatically. You have to launch them manually. With the "Prompt First" option, the OnOpen and OnCloseClip events are only executed if you allow them by responding to a prompt. When "No Prompting" is set, Clip events are automatically triggered without prompting you.

Display Prompts: Show warning prompts when you choose the Reload and Delete commands, and when you choose the Search Disk command when NoteTab contains unsaved changes.

Protect Unicode Files: When NoteTab opens Unicode files, it has to convert them to the ANSI character set, which handles much fewer characters. As a result, the conversion process may drop non-ANSI characters and cause the loss of information. When this setting is checked, Unicode files are opened in Read-Only mode, which protects the file from changes. If you know that your Unicode documents will not loose important information during the conversion process, you can uncheck this option in order to open such files in editable mode.

Blind User Mode: Autoscroll hides dialog when active and message dialog boxes make a sound when displayed. The Find dialog box will automatically close after a search operation and the Replace dialog box will close after a "Replace All" operation. When an item is selected from the Quick List, Outline, or Clipbook list, the focus remains on the list control instead of jumping back to the document. This makes it easier to use NoteTab with screen readers.

New Name Format: The name format is used when new documents are created. The code "%d" indicates where the incremental numbering is inserted in the name. In the following example, the "0.2" between the % and d tells NoteTab to format numbers smaller than 2 digits with leading zeroes: NoName%0.2d.txt

Bullet Character: Defines character used by the "Modify | Lines | Bullet Insert" function.

Number Separator: Defines characters used by the "Modify | Lines | Number Lines" function to separate the numbers from the text.


Options | Files

Make Backups: Makes a backup copy before updating a file on disk.

Save Files on Close: Automatically saves modified files before closing them. Note, however, that the File Save As dialog box is displayed if the document does not exist on disk or if the disk file has the Read-Only attribute set.

Automatic Save every: Set this option to save modified documents at regular time intervals.

Filter Binary Codes: By default, if you try to load a file that contains null characters (a character with a decimal value of 0), NoteTab will treat the first occurring null as the end of the file. This option lets you override this behavior by allowing NoteTab to substitute null characters with another character – defined in the "Substitute Binary Character" field. When set, you can load the full content of any type of file (including binaries). Important: saving files which have had characters substituted will not restore the control character! This option slows the loading of large files, so do not set it if you use only true text files.

Warn Partial Loading: Warns if a file has only been partially loaded due to the presence of null characters. This option has no effect if "Filter Binary Codes" is set.

Warn Binaries Substituted: Displays a warning message if binary characters have been substituted in the loaded document.

Backup Type: This setting is ignored if "Make Backups" is disabled. 1) ".bak extension" replaces the extension of the backup copy with ".bak" extension for backup files when checked. 2) "Tilde after dot" inserts a tilde "~" between the dot and the file's extension. 3) "Incremental" inserts an index number between the file name and its extension; the advantage of this method is that all backup copies are preserved (up to 999 copies), and the file type stays unchanged and therefore remains associated with its application.

For example, with a file called "NoName.txt", the following backup formats are produced depending on the chosen setting:

".bak extension" -> NoName.bak

"Tilde after dot" -> NoName.~txt

"Incremental" -> NoName.~001.txt, NoName.~002.txt, etc.

Undo After Save: Allows an undo operation after a modified document has been saved.

Match Directory: The working directory matches the directory of the active document when you use the main Open dialog box.

Use Default Directories: Set this option to always use fixed directories for opening and saving documents.

Open Directory: Default directory for opening files when the "Use Default Directories" option is set.

Save Directory: Default directory for saving files when the "Use Default Directories" option is set.


Options | Documents

The options you set on this tab define the default document properties that will apply to all newly opened documents and those that have the Default option checked. You can define word wrap, automatic indentation, tabulator width, font name and size, etc.

Dos ASCII: This setting is only available in the Document Properties dialog box.


Options | Internet

This tab is not displayed if the "Show HTML Features" has been unchecked!

Main Browser: Leave this field blank if you want NoteTab to use your default browser. If you want to use Internet Explorer, entering "IExplore" (without the quotes) should be enough. If it doesn't start the browser, you can click on the Browse button [...] to find the browser program file. To launch Opera, enter "Opera"; to launch Mozilla, enter "Mozilla"; to launch.Netscape 4.x (or older), enter Netscape; to launch Netscape 6.x, enter "Netscp6". You can customize the way a browser is launched by editing the Browsers.dat file. You can force a browser to launch in a maximized state by putting a "+" character in front of the browser criteria (e.g., +IExplore).

Other Browser: Use this field to specify which Web browser is used by the "Other Browser" command. The field usage is similar to Main Browser.

HTML Header: HTML Header used by the "Document to HTML" command.

HTML Footer: HTML Footer used by the "Document to HTML" command.

HRef Tag: HRef tag format used when a file name is dragged from the Quick List to an HTML document.

Img Tag: Image tag format used when a GIF/JPG/BMP file name is dragged from the Quick List to an HTML document.

E-Mail Quote: Quote character(s) used by the "E-mail: Quote Text" command.

Highlight URLs: Highlight fully qualified URLs in text. Turning this option off will increase the speed of screen updating (only noticeable on slower systems). This setting is only available in NoteTab Pro.

Underline URLs: Underlines the highlighted links. This setting is only available in NoteTab Pro.


Options | HTML Files

This tab is not displayed if the "Show HTML Features" has been unchecked!

HTML File Extensions: This list is used by NoteTab Pro to identify which documents require HTML tag highlighting when this feature is enabled. If a document has an extension that matches one of the entries, then highlighting is performed. Dragging file names from the Quick List will also automatically insert the appropriate HREF or IMG tag. Use the Add button to insert new extensions and the Delete button to remove the selected item.

Server Name and Physical Path: These fields enable previewing of Web pages, such as ASP and Cold Fusion, through a local Web server (e.g. MS Personal Web Server). The relevant fields are "Server Name" (e.g. localhost) and "Physical Path" (e.g. c:\inetpub\wwwroot\html). When these fields are set, any file under the Physical Path will be displayed through the local Web server. Based on the example values, the following file name:

c:\inetpub\wwwroot\html\index.asp

is converted to:

http://localhost/index.asp

when sent for previewing to the browser.

Highlight HTML Tags: When enabled, any document with an HTML extension (listed in the HTML File Extensions list) will highlight HTML tags. Turning this option off will increase the speed of screen updating (only noticeable on slower systems). If the default extension (see File Filters tab) corresponds to an HTML extension, then new documents will also automatically highlight HTML tags. This setting is only available in NoteTab Pro.

Create XHTML Tags: When checked, produces tags based on the W3C recommendations for XHTML.

Create Uppercase Tags: When checked, produces tags with element and attribute names in uppercase. When unchecked, they are rendered in lowercase. When grayed, case is not modified (useful when dealing with XML files).

Create Lowercase URLs: Uncheck this option if you want NoteTab to preserve the character case of URLs inserted into HTML documents. When checked, URLs are converted to lowercase.


Options | File Filters

This tab provides a little editor that lets you control the file filters that appear in the File dialog boxes. The filters appear in the order in which they are listed in this dialog. You can edit, delete, and add new descriptions and wildcards. Use a semi-colon ";" to separate multiple wild cards (e.g. *.txt;*.otl;*.ini). You can reorder items by using the Move Up / Move Down buttons or by drag-and-dropping items in the list.

By default, the file filter list has an item for opening and saving DOS Ascii files. The program checks for the word ASCII (case does not matter) in the selected filter when you use the file dialog box. If it finds the word ASCII, it assumes that you want to open or save a file in the DOS Ascii format. So if you want to change the default file filters but also want to use ASCII documents, remember to put the word ASCII in the description part of at least one of the filter items!

The default extension field is used when creating a new document name. It is also used by the file dialog box, when you type a file name without extension.

Note that if you use a default extension with more than three characters, the Windows File Open/Save dialog box seems to ignore the extra characters. This behavior is controlled by Windows, not NoteTab. Enter the full extension in the File Open/Save dialog box to avoid this problem.


Options | Associations

This tab is not displayed if you have disabled the "Show Advanced Features" option, or if your registry does not allow changes to file associations!

This tab provides an editor that lets you define the types of files associated with NoteTab. You can edit, delete and add new extensions to the list. The order is of no importance.


Options | Colors

You can set the background color of documents and the color of text by clicking on the Background and Normal Text buttons respectively.

Notetab Pro: To change the color of selected text, use the Highlight Back and Highlight Text buttons. To change the color used to highlight HTML Tags and URLs, click on the HTML Tags and URL Text buttons respectively. The color of <!-- --> comment tags can be changed through the Comment button. Use the Highlight Tags button to change the color of HTML tags and URLs when they are selected.

To reset all colors back to the Windows standard colors, just click in the Use Default Colors check box.


Options | Toolbar

See the topic Customizing the Toolbar for an explanation of the options.


Options | Shortcut Menu

You can customize the content and order of commands in the main shortcut menu (the one that opens when you right click in the editor window). The choice of commands is the same as those available for the toolbar.

Just put a check mark in front of the commands you would like to show in the shortcut menu. You can drag-and-drop to reorder commands. Use the list's shortcut menu to sort items or group those you selected, or to check/uncheck all items.


Options | Tools

Find Word at Cursor: If the cursor is placed within a word, opening the Find or Replace dialog box will insert it in the Find field. If this option is not enabled, you have to select the word yourself to insert it in the dialog box.

HTML Convert Blanks: Converts leading blanks to non-breaking space tags (used by Document to HTML command).

Indent Size: Number of blank characters or tabs inserted by the Indent/Unindent function.

Case Sensitive Sorting: Defines whether the "Sort" command should be case sensitive or not.

Sort Removes Duplicates: Removes duplicate lines encountered by the sorting function.

Indent with Tabs: Set this option to use tab characters instead of blank spaces.

Date Filter: The date filter is used by the Insert Date command and the Log feature. If you leave this field blank, the short date format defined in your Windows setup is used. The Date and Time filters topic gives you all the codes you can use to build a filter.

Custom Launch: Command string used by the "Launch Document" command (use ^** to indicate the position of fully qualified document name).

Paste-Board Divider: Define text or blank lines used to separate pasted Clipboard items when using the "Paste Board" feature.

Paste Sound: Sound file to play when "Paste Board" receives text (uses PC speaker if left blank).


Options | Clipbook

Dock Left Side: Set this option to display the Clipbook on the left side of the editor window.

Dock Right Side: Set this option to display the Clipbook on the right side of the editor window.

Prompt for Header: Prompt for header name when a new item is added to the list. If this option is turned off, the Clip text or its first line is used to determine the header name.

Single Click to Paste: Setting this option will make the Clipbook insert items on a single mouse click instead of a double-click.

Indent on Paste: Set this option to automatically adjust the indent of pasted items with multiple lines.

Save Without Prompt: Automatically saves changes to Clipbook libraries without prompting.

List Color: Background color used for the Clipbook list box.

Header Color: Color used to indicate items in the Clipbook list that are executed instead of pasted in the document.

Icon Color: Color used to draw the Clipbook item icon.

Clipbook Font: Font used for the Clipbook list box.

Match Document Font: Sets Clipbook font to active document font.

Show Clip Icons: Set this option to display little icons next to wrappable or executable Clip items.

Show Headers: Set this option to display outline headers in the editor window (useful for editing the header).

Show Button Icons: Set this option to display the little icons in the buttons.

Stack Buttons: Set this option to stack the buttons if they don't all fit in the button bar.


Options | Tab Bar

Show File Extension: Show file extensions in the document tabs.

Show Tab Icons: Set this option to display the little icons in the tabs.

Stack Tabs: Shows document tabs stacked or unstacked. When set, this option wraps the tab bar over two or more rows if tabs extend beyond the window width.

Show Name as Tooltip: Set this option to display document names at popup tooltips when cursor passes over the tabs.

Play Sound: Plays the chosen WAV file when you click on a document tab button. No sound is produced if the tab is already active.

Active: Defines color of tab when it is selected.

Inactive: Defines color of tab when it is not selected.

Modified: Defines color of tab matching a modified document (only used when icons are not displayed).

Paste Pad: Defines color used to identify the Paste Board tab.

Font: Defines the font used for text in the tab bar.


Options | Outline

Font: Font used for the Outline list box.

Color: Background color used for the Outline list box.

Show Heading in Editor: Set this option to display outline headings in the editor window (useful for editing the heading).

Underline Headings: Underlines headings when exporting or printing outline documents.

Highlight Links: Highlight hyperlinks in text. Turning this option off will increase the speed of screen updating (only noticeable on slower systems). This setting is only available in NoteTab Pro.

Show Table-of-Contents: Creates a table-of-contents in the HTML file produced by the "Document to HTML" command.

Number Headings: Numbers headings in order of appearance. This setting is used by the "Document to HTML" command.

TOC Title Format: Defines the format and text used to create the table-of-contents. This setting is used by the "Document to HTML" command.

Title-Section Format: Defines the format used to create the title section of the HTML document created by the "Document to HTML" command. The code "^1" is used to mark the position of the Title element and "^2" marks the position of the table-of-contents element.

Topic Format: Defines the format used to convert Outline headings to HTML. The code "^1" is used to mark the position of the Heading element and "^2" marks the position of the Content block.


Options | Quick List

Font: Font used for the Quick List window.

Color: Background color used for the Quick List window.

Type List: Defines the content displayed by the Quick List window.

Show Full Names: Set this option if you want to display the full file name in the window.


Options | Advanced

Quiet: Set this option to turn off all sound prompts in NoteTab. Note that this feature does not have any effect on sounds generated by Windows (e.g. beep sound when you click outside a modal dialog box like Options).

Clear Properties: Clear all stored document properties. Next time you open documents, the default settings defined in the Options dialog box are used. This command has no effect on the documents that are currently open.

Store Properties: Defines the maximum number of document properties that should be remembered between sessions.

Text-Size Limit: You can configure the maximum document size the editor open. The value is in bytes. The value cannot exceed 2,147,483,632 (2 GB). This option will not change the buffer size of documents that are currently open.

Undo-Size Limit: You can configure the size of the undo buffer through this field. The value is in bytes and cannot exceed 10 MB. A value of -1 instructs NoteTab to calculate an optimal buffer size based on the initial document size. By setting a smaller value you save system resources. This is only useful if you intend to open a very large number of documents at once. This option will not change the buffer size of documents that are currently open. This field is only available in NoteTab Pro.

Paragraph Limit: You can configure the maximum paragraph length allowed in documents. When word wrap is turned off, a paragraph represents a single line. The length is measured in characters and cannot exceed 2,147,483,632 (2 GB). Choosing a lower value will save system resources. This option will not change the paragraph size limit of documents that are currently open. This field is only available in NoteTab Pro.

Key Mapping: You can choose between default Windows or WordStar key mapping. Note that conflicting NoteTab shortcuts are not available when you choose WordStar key mapping. This field is only available in NoteTab Pro.

Highlight Clip Code: When set, instruction, label, and comment lines in Clipbook libraries are highlighted. This option is only available in NoteTab Pro.


Quick List

You can open the Quick List by pressing F6. When you use this feature for the first time, it will display the list of documents currently open in NoteTab. You can quickly move to another document by selecting it from that list. This is particularly useful when you have many documents open.

The Quick List window can be used to display four types of content:

1. Opened documents (Documents)

2. Favorites list (Favorites)

3. Files in a directory (Disk Files)

4. Clip Assistant

The simplest way to change the type of list is by invoking the shortcut menu in the Quick List window. Choosing Disk Files will display all the files matching the wildcard criteria in the current directory. You can change directory or file criteria by editing the content of the combo box and then pressing the ENTER key. Double-clicking in the combo box will open a dialog box that makes it easy to change directories. To open one of the files listed, just double-click on its name.

The Favorites list contains the same items as the Favorites menu. When you use NoteTab for the first time, the Favorites list will be empty. Once you have added documents to the list, just double-click on a document name to open it.

When the Favorites or Disk Files are displayed, you can drag-and-drop the names into your document. If the document has an HTML extension (as listed in the Options | HTML Files dialog box), dragged file names are converted to HTML links: image files (GIF, PNG, JPG, JPEG, and BMP) will be inserted as Img tags and other files as a HRef tags. The Img tags are complete with the size attributes of the image. You can change the format of the default tag by editing the appropriate fields in the Options | Internet dialog box. By default, URLs are automatically converted to lowercase. However, you can preserve the original case of a file name by holding down the Ctrl key while inserting it in HTML documents. Alternatively, you can change the setting of the "Create Lowercase URLs" in the Options | HTML Files dialog box.

The Clip Assistant contains all the commands and functions available in the Clip syntax. You select and complete commands and function through the Clip Wizards (which are themselves created through Clip syntax).

The Quick List's shortcut menu lets you close, delete, or shift the focus to the selected document, or close the window.

Useful Mouse and Keyboard Shortcuts

• Delete erases the selected document when the list shows the opened documents.
• Enter or Double-click opens and shifts the focus to the selected document.
• Ctrl+G shifts the focus from the Quick List to the editor.


Paste-Board Feature

Any document in the editor (as long as it is not Read-Only) can be configured to capture text that is cut or copied to the Clipboard from any Windows application. First select the document you want to use as a "paste board", then activate the "Use as Paste Board" option in the Document menu. As long as this option is active, the document will capture and append all text sent to the Clipboard. The computer will beep or play a sound each time the paste-board document captures some text.

The paste-board feature, for example, makes it easy to create a list of links or store important information as you surf the Web.

Note that only one document at a time can act as a paste board. When you activate this option on another document, the previous paste-board document stops capturing Clipboard text.

Sometimes this feature fails to work because another application has hooked itself incorrectly in the Windows Clipboard chain. Turning the Paste-Board feature off and then back on should fix the problem when this happens; if not it may be necessary to reboot your computer.


Auto-replace Mode

When Auto-replace mode is enabled (either by opening an "auto-replace" library, or through the "Tools | Auto-replace Mode" menu command), NoteTab will check for a matching item in the active library whenever you press any of the following characters (activation keys):

TAB SPACE RETURN ! " , . : ; = > ? ] }

If a matching Clip is found, the typed item in the document is automatically replaced according to the Clip instructions.

Note that if the Clip contains the cursor-positioning code ^&, the activating key is automatically discarded. You can also use the activating key in Clip code through the new predefined variable ^%AR_KEY%.

Usually, when using libraries for auto-replace mode, it is not necessary to see the list of Clips. You can hide the Clipbook window by using the "Tools | Clipbook Properties | Hide Clipbook" menu command. This way, the Clipbook tool is still available but you have more screen space for your document.

See also the related topic Autocompletion with ICS.

For a demonstration of this auto-replace feature,try the included libraries AutoCorrect and HTML-ar. See topics below for more information.

AutoCorrect library

Auto-replace mode is automatically enabled when this library is opened in the Clipbook window (this window may be hidden). The library contains over 900 entries corresponding to the most common typos and spelling mistakes in the English language. To open this library, click on the button labeled AutoCorrect in the button bar at the bottom of the NoteTab window.

This library provides a feature similar to AutoCorrect available in WinWord and other word processors. As you edit your document, NoteTab checks the word preceding the cursor whenever you press an activation key. If this word matches a Clip name in the list (case insensitive), it is automatically replaced according to the Clip instructions. For example, if you type acn in your document followed by the spacebar key, NoteTab will automatically replace the typo with the word can.

You can add your own entries to the library by choosing the menu command Tools | Clipbook | Add New Clip (or the keyboard shortcut Ctrl+F2). You will then be prompted to enter the Clip name – this should correspond to the typo or misspelling. Next the new Clip is added to the list and the Clip editor opened. Just type the correct spelling or text you want to be used by the auto-replace feature, save the library (Ctrl+S) and close the Clip editor (Ctrl+F4).

You can also easily remove an auto-replace item by selecting it in the Clipbook window and pressing the Delete key.

HTML-ar library

Auto-replace mode is automatically enabled when this library is opened in the Clipbook window. The library contains all the common HTML tags. To open this library, click on the button labeled HTML-ar in the button bar at the bottom of the NoteTab window.

You should not really use these Clips the traditional way (i.e. by dragging or clicking on the Clip item). As long as Auto-replace Mode is enabled, you just type normally in your document. When NoteTab, for example, detects that you have typed <font followed by one of the activation keys, it automatically activates the matching Clip item. Type, for example, <b> and you will automatically get the closing tag after the cursor: <B>|</B>.


Autocompletion with ICS

NoteTab works seamlessly with IntelliComplete Server (ICS). This utility provides smart autocompletion and can learn new words as you type away. A free version of ICS is available to NoteTab users from our Download page:

http://www.notetab.com/ics.php

Once you've install ICS and restarted NoteTab, you'll find a new menu item called "IntelliComplete Server" under the Tools menu. Click on that command to launch ICS. Now ICS will jump into action when you start typing in NoteTab. When ICS is running, you'll see another item under the Tools menu called "IntelliComplete Settings". Use it to change the default settings. You might want to change the "Hot Keys" settings because they currently conflict with NoteTab's own shortcut keys. Read the ICS Help file to make the most of this neat utility. You'll also find more information at this Web site:

http://www.flashpeak.com/icomp/


Automatic Scrolling

Automatic scrolling allows hands-free reading of any document. You can set the speed in characters per second and the program will scroll through the text one line at a time until it reaches the end. The Auto Scroll command is available in the Tools menu.

The Auto Scroll "command center" dialog has five buttons and an input field that lets you set the scroll speed in characters per second. This dialog is modal, so you cannot return to the editor unless you close it.

For left to right, the buttons are...

• Play: Starts scrolling at the speed defined by the Speed field.
• Quit: Stops scrolling and closes the dialog box.
• Pause: Stops scrolling.
• Rewind: Same as Page Up (pressing this button pauses scrolling).
• Forward: Same as Page Down (pressing this button pauses scrolling).

You can also use the keyboard to control scrolling...

• Spacebar: Toggles between Play and Pause mode.
• Page Up: Same as Rewind button.
• Page Down: Same as Forward button.
• Esc: Stops scrolling and closes the dialog box.

If you edit the scroll speed while the document is scrolling, the pause button will be activated. Press the Play button to continue scrolling at the new speed.


Using and Creating Clipbars

The Clipbar is located below the standard Toolbar when in view and was added to NoteTab Pro and Std in version 4.8 (this feature is not available in NoteTab Light). It is a powerful tool allowing you to add your own clips and icons. The number of Clipbars you can have is only limited to your hard disk space. See our Web site for links to icons and also to download icons created by other NoteTab users. NoteTab currently provides five Clipbars: HTML-1, HTML-2, CSS1, TopStyle, and Utilities. You can open these by choosing the Clipbar command under the View menu.

Tip: if you use the HTML-1 and HTML-2 Clipbars, the "Bold" and the "Italic" buttons can be configured to either insert the typical <B> and <I> tags respectively, or the logical-style tags <STRONG> and <EM>. To toggle the style used, just hold down the Ctrl key when you click on either button. The last-used style is remembered even when you restart NoteTab.

The Clipbar acts a little differently from the clips in a Clipbook Library. Instead of NoteTab reading the clip in the actual opened Library, it reads it from the disk file. For that reason, if you edit a clip, you must save it before it will work on the Clipbar. The Clipbar's information (Library, clip, and button) is stored in a .ctb file. There will be one of those files made for every Clipbar made. They are found in the Libraries folder.

There are features on the Clipbar's content menu. To see them, right click over any part of the Clipbar. If an item is dulled, it means there is nothing for NoteTab to do with that particular feature. Notice the difference if you right click over a button and over a blank space out to the right. Also note the difference if you right click over a separator and a button in the first section of the menu. You can view the Tooltip by holding your mouse over the icons and also on the Status bar at the bottom of your screen.

The icons (also known as images, buttons, or glyphs) on the Clipbar must be either a .bmp or .ico format. The .bmp format is preferred because NoteTab has to change the format internally (not the file) in order to show it on the Clipbar. However, most users should not notice any difference in performance if .ico files are used.

Images are made of many very tiny squares called pixels. The transparency is read from the bottom left pixel of the image. That means whatever color that pixel is, the same color in the image will not be seen on the Clipbar. You may have noticed some images you see on computers are square like a photograph and have a background. That is because there is no transparency set which may be due to the file type. Think of transparent as invisible. The size of the icon should be no larger than 18 by 18 pixels for best results. NoteTab will shrink bigger icons to those dimensions; therefore, buttons that are not that size may get distorted. NoteTab's icons are available for you to use on the Clipbar. Other different icons must be kept in NoteTab's Library folder. The Clipbar uses the Toolbar's Options to determine whether the buttons are stacked or scroll out to the right when the bar becomes full.

You can reorganize icons in a Clipbar by holding down the Shift button and dragging the desired button with the mouse to a new location.

How to Add a Clip to the Clipbar

1. Choose the Library that contains the clip you want; make it active by pressing on the button at the bottom of your screen on the Libraries Bar.

2. Make sure you do not have "Single Click to Paste" checked in Options under the Clipbook tab. (View | Options | Clipbook).

3. Find the clip you want to add and left click once on it holding your mouse button down. Drag and drop it to the Clipbar by moving your mouse up to the Clipbar and dropping (let go of the button) the clip on it.

How to Change an Icon on the Clipbar

1. Right click over the icon you what to change and choose "Button Properties..."

2. The clip's Button Properties dialog will come up. You may choose one of NoteTab's buttons on the first tab (Toolbar icons) or if you installed your own in the Libraries folder they will be on the second tab (Custom icons).

3. Click on the button you want to use and then click OK.

4. Right click over the Clipbar and choose "Save Clipbar."

Note: If you change the name of the clip in Button Properties you must also change it in the Library as well. It is not done automatically for you. The same goes for the Library name.

Tips

You may consider having separate Libraries for each Clipbar you make so it will be easier to keep track of them all.

Some users might find it easier to edit the .ctb file for the Clipbar by right clicking over the Clipbar and choosing "Edit Clipbar". The format is:

"Library Name","Clip Name","Icon Name (or NoteTab icon number)"


Clipbook Libraries

You can easily edit or create your own Clipbook libraries directly in the editor. Choose Open Library from the Tools | Clipbook menu to edit an existing library, or New Library if you want to create a new one. The best way to learn how to create your own libraries is to look at those packaged with the NoteTab program.

NoteTab Libraries

You will find a brief description of all the libraries distributed with NoteTab below. Just click on the desired library button in the bar at the bottom of the NoteTab window to open it in the Clipbook tool. You may add your own Clips to these libraries, delete items, and modify them as much as you wish. You can also use Explorer to delete libraries you may not find useful. Their file extension is .clb and they are normally stored in the Libraries subdirectory.

1. AutoCorrect

This is an "auto-replace" library. When it is opened in the Clipbook window (this window may be hidden), Auto-replace mode is automatically enabled. It provides a feature similar to AutoCorrect available in WinWord and other word processors. As you edit your document, NoteTab checks the word preceding the cursor whenever you press an activation key:

TAB SPACE RETURN ! " , . : ; = > ? ] }

If this word matches a Clip name in the list (case insensitive), it is automatically replaced according to the Clip instructions.

2. CaptureLinks

This library demonstrates how text can be captured from the Windows Clipboard and used in a document. It optionally uses spoken messages to indicate what it is doing in the background. NoteTab will build a Web page for you in the background as you copy link information to the Clipboard.

3. Euro

Convert between any currency using the Euro as reference. All currencies that are part of the 1999 monetary union are listed, as well as a few other major currencies.

4. FormatEmail

This library will format an e-mail message by quoting the text for reply. When activated, it will capture all text sent to the Windows Clipboard. The way the Clip has been designed, you should first copy the name of the person who sent you the e-mail, then copy the part of the message you want to reply to. The formatted reply text is then stored in the Windows Clipboard ready to be pasted into a new e-mail message.

5. FTP

Use this library to download and edit files from remote servers. The commands use the Windows FTP.exe program that is distributed with Windows 95, 98, ME, NT4, 2000, and XP.

6. HTML

This is the perfect tool to help you create Web pages. All the important tags are readily available from the Clipbook list. Tags are wrapped around selected text. Clip wizards help you complete some of the more complex tags and HTML structural elements.

Tip: The "Bold" and the "Italic" Clips can be configured to either insert the typical <B> and <I> tags respectively, or the logical-style tags <STRONG> and <EM>. To toggle the style used, just hold down the Ctrl key when you click on either Clip. The last-used style is remembered even when you restart NoteTab.

7. HTML-ar

If you do not like using the mouse, this "auto-replace" library will help you save a lot of time by completing tags for you as you type. For example, if you type the HTML tag "<b>" in your document, NoteTab will automatically complete it with the closing tag placed after the cursor: "<B>¦</B>".

8. PasteClips

To see how this library works, open it in the Clipbook and double-click on the "Start" Clip to activate the capture mode. Then, bring another application forward (e-mail, IRC, etc.). Next, type one of the Clip names listed in this library (for example "ys") in your application, select it and copy it to the Clipboard. If all works correctly, the selected text should be replaced by the content of the Clip you chose ("Yours sincerely" if you used the example). Of course, you can add your own shortcut text to the library (such as passwords, boilerplate text, etc.) and use them in other applications while NoteTab is working in the background.

9. RemindMe

This library shows how you can use the timer Clip event to create a scheduler. The timer event executes the "Remind Me" Clip every 30 seconds. The script in that Clip then checks the system clock, and if one of the tested time ranges is matched, it jumps to the specified label and displays an appropriate message.

10. SampleCode

This library contains various items that illustrate how certain Clip commands and functions can be used. Most of these Clips do not really provide useful functions, but they can help you understand how to create your own Clips. The best way to learn is to take a look at the Clip code and compare it with what happens when you activate it.

11. Smilies

A long list of different types of smilies you can use in your text to express your mood.

12. TopStyle

This library requires Bradsoft's TopStyle CSS editor, version 1.51 and above -- a program for editing Cascading Style Sheets. You can learn more about this useful program and download the latest free version by visiting the following Web page:

http://www.bradsoft.com/redir.asp?id=130

The Clips in this library make it easy to edit style sheets.

13. Utilities

As the name suggests, this library contains all kinds of useful utilities. You'll find Clips to manage your Clipbook libraries (install or remove them), insert popular Internet acronyms in your text, underline titles, print and preview text, compare two files, create Web pages based on images in a directory, strip tags from all open HTML files, convert all open text files to Web pages, convert between units, calculate mortgage rates, encrypt data, etc.


In-Context Clipbook

You can invoke the "In-Context Clipbook" by hitting the ESC key while you work in a document. Doing so will display a combo box (filled with the content of the active Clipbook library) at the cursor position. Selecting an item from the combo box will then paste the Clip text in your document. Typing in the combo box will automatically scroll to the first item matching the characters entered. Press ENTER or double-click to confirm your choice. You can choose a different Clipbook library by invoking the combo box shortcut menu. To cancel the "In-Context Clipbook", just hit the ESC key or click with the mouse in another part of the editor.


Clipbook Wizard

Clipbook Wizards are fairly easy to create using the special Clip syntax. Each field can either represent a plain input box or a combo box with a list of predefined values. These can have a descriptive label and contain predefined values.

Many examples are provided in the sample Clipbook libraries included with NoteTab. Open the HTML library and double click in the list on the item "HTML begin" to see an example of a relatively complex Wizard. You will find another type of example by double-clicking on the "Multiple fields" in the SampleCode library.


Clip Basics

You will find information about the following topics:

• Wrapping a Clip around selected text
• Adding prompts in a Clip
• Using the Clipbook to launch other programs
• Program commands
• Clipbook Programming

For details on using the Clip editor, see the topic Create Clipbook Libraries. To help you with the Clipbook syntax, a "Clip Assistant" is available under the Tools | Quick List Properties menu. When you activate this command, a list of ready-to-use syntax elements is displayed in place of the Quick List. You can paste the items into your document by double-clicking on them or by dragging them. You can edit the ClipHelp.CLH file if you want to customize the content of the Clip Assistant list.

For those of you who plan to develop many libraries, make sure you take a look at ClipWriter. This program, written by an expert Clip programmer, is a powerful alternative to the NoteTab Clipbook editor. A free trial version is available for evaluation. By visiting the NoteTab Web site, you will also find other useful resources that can help you get to grips with developing Clipbook libraries.

Wrapping a Clip around selected text

Normally, if you select text in your document and then paste an item from the Clipbook, the document selection is replaced by the Clip text. However, if the Clip text item includes the two-character code ^&, the highlighted text in the document is inserted at the code's position and the resulting text is pasted in the document. This feature is particularly useful when producing HTML documents. For example, if you have defined a Clipbook item under the title Italic:

<I>^&</I>

Selecting text in your document (for example NoteTab) and then double-clicking on the Italic item in the Clipbook will surround the text with the italic tags:

<I>fabulous</I>

Adding prompts in a Clip

Sometimes you may want to complete a Clip just before it is pasted in your document. HTML tags are a good example where this could come in handy. If you use the sample HTML library that comes with this program, you will notice that when you double-click on the Font item, the program will display a dialog box prompting you to enter a value for the font size. You have a choice to type a value or pick it from a combo box.

Adding this type of behavior to a Clip is very easy. Simply place the two-character code and brackets ^?[] in your Clip at the position where user input should be inserted. For example, when you double-click on a Clipbook item with the following text:

<FONT SIZE=^?[]>

a dialog box with a plain input field will prompt you to complete the Clip. The user input replaces the two-character code, and then the completed tag is copied to the document. If you would like the prompt to be a bit more descriptive, you can specify the text that will be displayed in the dialog box by placing it between square brackets:

<FONT SIZE=^?[Font size]>

You can define a default value that will be displayed to the user. Just add an equal sign after the prompt followed by the default text. The following example will show the value 12 in the input field of the dialog box:

<FONT SIZE=^?[Font size=12]>

You can produce more sophisticated prompts by offering the user a list of choices. When the program detects this type of prompt, it displays a dialog box with a combo box. To specify a list of choices, use an equal sign "=" after the prompt text followed by the values. Use a "|" (Alt+0124) as a separator between the values. For example, the following item will show a combo box labeled "Font size" with the values 8, 10, 12, 14, 18, 24, and 36 in the list:

<FONT SIZE=^?[Font size=8|10|12|14|18|24|36]>

The user can also enter values that are not listed. If, however, the input should be limited to the values available in the list, just double the equal sign as in the following example:

<FONT SIZE=^?[Font size==10|14|18]>

If you would like to select a default value when the dialog box is displayed, just place an underscore character "_" in front of the desired value. In the following example, the value 10 will be used as the default value:

<FONT SIZE=^?[Font size=8|_10|14|18]>

You can display in the combo box list different text from what you actually want to use. Use the ^= code to separate the text to display (on the left side) from the text to use (on the right side). The example below will show a combo box with three items in the list: Small, Medium, Large. The medium item will be selected as the default value since it starts with an underscore character.

<FONT SIZE=^?[Font size=Small^=6|_Medium^=10|Large^=14]>

A Clip can have as many prompts in it as you like. If you repeat a prompt within the same Clip, the initial answer entered by the user is inserted in its place (the dialog box is not displayed again). In the following example, the user will only be prompted once:

Dear ^?[First Name=Lisa|Bill|Jane|Ted],

How are you ^?[First Name]?

Notice that it is not necessary to duplicate the whole prompt item, but only the prompt header. Suppose the user chose Jane, this is what will be pasted in the document:

Dear Jane,

How are you Jane?

Using the Clipbook to launch other programs

Any Clipbook item that starts with the two-character code ^!, will be launched when invoked. For example, double-clicking on a Clip with the following text:

^!calc.exe

will execute the calculator provided with Windows. Note that if the application is not in the search path, you will have to add the fully qualified path to the application you want to use.

Use the DOS command to launch some DOS applications if the method described above does not work:

^!DOS edit.exe

A Clip can behave a bit like a batch file in that it supports multiple commands – each on a separate line. For example, if you have a Clip with the following instructions:

^!calc.exe

^!write.exe "c:\My Documents\MyFile.Doc"

Executing it will open both the calculator and the word processor. You can control the timing for opening consecutive applications. The instruction ^!WAIT will wait until the previously launched application has closed before executing the next command. You cannot use the editor when it is in Wait mode (the editor's window caption indicates it is waiting for the application to close). The instruction ^!PROMPT will display a dialog box prompting the user to click on the OK button before passing on to the next instruction(s). In the following example, the Write program will only be launched once the Calculator program has been closed:

^!calc.exe

^!WAIT

^!write.exe "c:\My Documents\MyFile.Doc"

Note that the ^!WAIT command may not work with all applications (during testing, it did not work with the MS-Write program).

You can specify what message should be displayed in the prompt window. The following example will display a message box with the text "Click on OK when you are ready!":

^!PROMPT Click on OK when you are ready!

Use the CONTINUE command to give the user the possibility to cancel the execution of all Clip commands following it. The syntax is similar to PROMPT but the message box shows an OK and a Cancel button. If the user presses cancel, the Clip execution is interrupted. The following example will display a message box with the text "Click on OK to continue or Cancel to stop!":

^!CONTINUE Click on OK to continue or Cancel to stop!

If you want to open the current document in another application, use the three-character code ^** to indicate where the document name should be inserted in the command line. For example, if you want to open the current document in MS-Write, you would use the following command:

^!write.exe ^**

To specify a document name without its extension, use the following two-character code instead: ^*

Documents that have not been saved are stored in a temporary file when this type of command is used. The temporary file is then substituted for the document name. If you do not want NoteTab to create a temporary file in this case, then substitute the asterisk character "*" with a "#". For example:

^!write.exe ^##

You can also specify additional parameters that your application recognizes. Here is an example that will do a syntax check on a Perl script (assuming it is the current document in the editor):

^!perl -c ^**

If you are editing a document that is associated with another application, you do not need to specify the application name. For example, if you are using an HTML document (with the appropriate extension!), the following command will open the current document in the browser that has been associated with HTML extensions:

^!^**

Note that the ^!WAIT instruction only works with launch commands that include the program name. It will not work with the example above!

You can also open URLs in the associated browser. To do so, the two-character code ^! must be followed by the following text "URL" (without the quotes). For example, the following command will open the link to the NoteTab Homepage:

^!URL http://www.notetab.com/

You will find more examples in the Clipbook library "Utilities.clb" which is installed with NoteTab.

Program commands

You can execute any NoteTab command that is available in the toolbar (it does not matter if the button is displayed in the toolbar or not). You specify the command you want to execute by using the keyword "TOOLBAR" followed by a space and its tooltip text. The button tooltip text can be seen by placing the mouse cursor over the button or by looking at the content of the list box in the Toolbar properties dialog box.

The following example will activate the "Open Document" command:

^!TOOLBAR Open Document

You can of course create a sequence of instructions. The next example will create a new document, paste the content of the Clipboard into it, then activate the Save As dialog box:

^!TOOLBAR New Document

^!TOOLBAR Paste

^!TOOLBAR Save As

Clipbook Programming

You can significantly extend the functionality of NoteTab by using more sophisticated features of the Clip language. Starting with NoteTab v4.5, you can create quite sophisticated scripts to handle anything from underlining a title to creating complex Web pages. See the topic Clip Programming for more information on the subject.


Clip Programming

You can significantly extend the functionality of NoteTab by using more sophisticated features of the Clip language. Starting with NoteTab v4.5, you can create quite sophisticated scripts to handle anything from underlining a title to creating complex Web pages. See the following topics to learn about the Clip programming language:

Clip Language - Introduction

Clip Language - Labels

Clip Language - Variables

Clip Language - Events

Clip Language - Custom Functions

Clip Language - Testing Conditions

Clip Language - Message Boxes / Prompts

Clip Language - Text Processing

Clip Language - HTML Processing

Clip Language - Select, Copy, and Insert Text

Clip Language - Clipboard Copy / Paste

Clip Language - Find / Replace Text

Clip Language - Document Processing

Clip Language - Document Management

Clip Language - Disk Files

Clip Language - Disk Directories

Clip Language - Executing Programs

Clip Language - Using Perl, Gawk, and Other Scripts

Clip Language - Using Other Clips

Clip Language - Clipbars

Clip Language - Toolbar Commands

Clip Language - Keyboard Macros

Clip Language - Windows Registry and Shortcuts

Clip Language - Miscellaneous Commands / Functions

Clip Language - Mathematics

Clip Language - Dates

Clip Language - Clip Wizard and Fields

Clip Language - Masked Input Fields


Editor Shortcut Menus

Click with the right mouse button on the document and you will have access to a customizable shortcut menu (use the Options dialog box to choose the commands you would like to display).

Use the same mouse button on the tab bar and you will get a choice of commands for managing the open documents.

Most of the editor's other components also have dedicated shortcut menus.

Look at the hint line for more information about a highlighted menu item.


Keyboard Shortcuts

The left column shows keyboard shortcuts and the right column shows the corresponding action. Menu commands are capitalized and other types of actions are in lower case. The letter following Ctrl or Shift+Ctrl is not case sensitive. Note that some the listed shortcuts may not apply if you have changed them.

Function Keys

F1 context sensitive help
F2 expand text
F3 search again
F4 open/close Clipbook
F5 insert date and time
F6 open/close Quick list
F7 open file at cursor
F8 view in browser
F9 open link
F10 focus main menu
F11 check spelling (NoteTab Pro and Std only)
F12 open thesaurus (NoteTab Pro and Std only)

Document

Ctrl+N New
Ctrl+O Open
Ctrl+S Save
Shift+Ctrl+S Save As
Shift+Ctrl+N Export
Ctrl+F4 Close Document
Shift+Ctrl+F4 Close All Documents
Ctrl+P Print
Shift+Ctrl+F11 Rename
F5 Insert Date/Time
Shift+F5 Insert Document Name
Ctrl+T Launch Document
Ctrl+W Word Wrap
Shift+Ctrl+F12 Change Font
Shift+Ctrl+W Second Window
Shift+F12 Nonprinting Text (NoteTab Pro only)

Cursor Movement

Ctrl+Right word right
Ctrl+Left word left
Ctrl+End end of document
Ctrl+Home start of document
Ctrl+Up start of previous paragraph
Ctrl+Down start of next paragraph
Ctrl+PageUp top of edit view
Ctrl+PageDown bottom of edit view

Text Selection

double click select word
Ctrl+double click toggle word selection method

Extend Text Selection

Shift+[any nav. key] select text
Shift+Ctrl+Right word right
Shift+Ctrl+Left word left
Shift+Ctrl+End end of document
Shift+Ctrl+Home start of document
Shift+Ctrl+Up start of previous paragraph
Shift+Ctrl+Down start of next paragraph

Edit

Ctrl+Z Undo
Alt+BkSp undo
Shift+Ctrl+Z Redo (NoteTab Pro only)
Ctrl+X Cut
Shift+Del cut
Ctrl+C Copy
Ctrl+Ins copy
Ctrl+V Paste
Shift+Ins paste
Shift+Ctrl+V Paste New
Ctrl+A Select All
Ctrl+Enter Insert Page Break
Ctrl+I Indent
Shift+Ctrl+I Unindent
Ctrl+B Insert Bullets
Ctrl+J Join Lines
Shift+Ctrl+J Split Lines
Shift+Ctrl+M Reformat Lines
Shift+Ctrl+Y Compress
Ins insert/overwrite
Del delete current char or selection
Ctrl+Y delete current line
Ctrl+BkSp delete to start of current word
Ctrl+Del delete to start of next word

Change Case (must select text)

Ctrl+K Invert Case
Ctrl+U Upper Case
Ctrl+L Lower Case
Shift+Ctrl+K Capitalize
Shift+Ctrl+U Sentence

Search

Ctrl+F Find
Ctrl+R Replace
F3 Search Again
Shift+F3 Search Reverse
Ctrl+F3 Quick Find
Ctrl+D Search Disk
Ctrl+H Go to Hyperlink
Shift+Ctrl+L Go to Line
Ctrl+M Match Brackets

Bookmarks (NoteTab Pro only)

Shift+Ctrl+[0-9] toggle bookmark
Ctrl+[0-9] go to bookmark #
Ctrl+Alt+F3 Next
Shift+Ctrl+F3 Previous

HTML

Ctrl+F5 Insert HTML Color
Shift+Ctrl+F5 Insert HTML Link/Image
Shift+Ctrl+T Remove All Tags
Shift+Ctrl+H Characters to HTML: Extended Characters
Ctrl+F7 Tidy HTML Code (requires HTML Tidy)
Shift+Ctrl+F7 Validate HTML (requires CSE HTML Validator)
F8 View in Browser
Shift+F8 Other Browser
F9 Open Link
Ctrl+double-click open link

Email

Ctrl+Q Quote Text
Shift+Ctrl+Q Unquote Text

Outline

Shift+Ctrl+A Add heading
Shift+Ctrl+B Copy heading
Shift+Ctrl+R Remove heading
Ctrl+Alt+Down Move next
Ctrl+Alt+Up Move previous
Ctrl+Alt+Home Move first
Ctrl+Alt+End Move last

Clipbook

F4 Open Clipbook
Ctrl+F2 Add New Clip
Shift+Ctrl+F2 Add from Clipboard
Ctrl+Spacebar Paste Current Item
Shift+Ctrl+C Copy Selection
Shift+Ctrl+X Cut Selection
Shift+Ctrl+E Clip Editor
F2 Expand Text
Esc toggle In-Context Clipbook
Shift+F4 focus Clipbook/document
Alt+[1-9] open Clipbook library #
Shift cancel Clip even
Ctrl+Alt interrupt Clip, console, or loading of many documents

Favorites

Shift+Ctrl+D Add Document to Favorites
Shift+Ctrl+F Add Path Name to Favorites
Shift+F2 Go to Favorites

Other Tools

F6 Quick List
F7 Open File at Cursor
F7 open URL at cursor
Ctrl+E Calculate Expression
F11 Spelling (NoteTab Pro and Std only)
F12 Thesaurus (NoteTab Pro and Std only)
Shift+Ctrl+P Use As Paste Board

Window Navigation

Ctrl+Tab Go to Doc. Tab: Next
Shift+Ctrl+Tab Go to Doc. Tab: Previous
Ctrl+G Go to Doc. Tab: Current
Shift+F4 focus Clipbook/document
Shift+F6 focus Clipbook/Quick list/document
Shift+F7 focus Quick list/document
Ctrl+F6 focus combobox/listbox
Shift+Ctrl+G focus first/second document (Second Window option)
Alt or F10 or Ctrl+F10 focus main menu
Alt+[underlined letter] select menu command

Miscellaneous

Spacebar toggle checkbox
Alt+Spacebar open System menu
Alt+F4 close NoteTab
Shift+F10 open context menu

Right Mouse Button

click right mouse button to open context-sensitive menu.

This information was originally written by Edward S. Wozniak and later reformatted and updated by Fookes Software.


Changing Keyboard Shortcuts

You can now change the default keyboard shortcuts for menu items by creating a definition file called Shortcuts.dat in the NoteTab program folder. Place one shortcut reassignment per line. Start the line with the shortcut value, followed by a space, followed by the menu item. The first menu name in the sequence is the one that appears at the top of the main menu, followed by submenu names (if any), and then the name of the final menu item to activate. You must separate submenu items with a forward slash and leave out any ellipsis. You should put double quotes around a menu name if it contains one or more forward slash characters. The case of characters does not have to be the same as the actual menu commands.You can comment out shortcuts by putting a semicolon at the start of the line. Note that this feature is not available in NoteTab Light.

Contents example for the Shortcuts.dat file:

;This line starts with a semicolon and is ignored by NoteTab

Ctrl+Shift+F Document/Font/Change Font

Ctrl+T Document/"Insert Date/Time"


Understanding Browsers.dat

The Browsers.dat file is available if you need to change the way a browser is launched by NoteTab, or to define the parameters for a new browser. If you delete this file, then NoteTab will use the default settings for the most popular browsers (Internet Explorer, Netscape, Mozilla, and Opera). This topic explains the structure of the file and the meaning of its fields.

Currently, the Browsers.dat file accepts up to 9 fields under each section. The format is identical to an .ini file. You have the section name that is between square brackets and can be used in the browser field of NoteTab. The values below the section name define how the browser is launched and how to communicate through DDE (if the feature is supported). The value of the field name comes after the equal sign. For the main browsers (Internet Explorer, Netscape, Mozilla, and Opera), NoteTab stores default values for each field. You can override these values by defining the field under the corresponding section for the browser. When a field is not defined, the default values are used. Below you can see the default values for Internet Explorer:

[IExplore]

Command=iexplore.exe -nohome

UseDDE=1

Application=IExplore

DdeCommand=

DdeExec="%1",,%2,0,,,,

Topic=WWW_OpenURL

Application_New=

DdeExec_New=

Topic_New=

Fields Explained

Command

This field is used to specify the program file that must be launched and possible command-line switches (useful to inhibit the loading of the default homepage, or turn off the splash screen). If you have several versions of a browser, you can create a different section for each one and then include the full browser path+filename in the Command value. The Command value is used to open the first instance of a browser window when DDE is enabled, and to open each window when DDE is disabled.

UseDDE

A value of "1" tells NoteTab that the browser supports DDE. A value of "0" means DDE is not supported by the browser (or should not be used).

The following fields are only checked if UseDDE=1...

Application

The value corresponds to the DDE server name. If the section name does not match the server name, then you must define this field with the appropriate value. The list below shows the server names for the main browsers:

Internet Explorer: IExplore

Internet Explorer 2.x: Mosaic

Netscape 6.x: Netscape6

Netscape (4.x and older): Netscape

Mozilla: Mozilla

Opera: Opera

DdeCommand

Only use this field if the command to launch the first instance of a browser for DDE communication is different from the once used in the "Command" field. At the time of writing this, only Opera has this requirement in order to operate reliably.

DdeExec

This is the list of parameters that need to be sent to the DDE server to open a URL. The %1 represents the place marker for the URL and %2 for the window value. A window value of 0 indicates that the URL should be opened in a new window (or tab) and a value of -1 tells it to reuse the active window (this feature is not supported by Netscape 6.x). All the main DDE browsers support the same DdeExec parameters. If you always want your URLs to open in the same window, you can override the default value by adding the actual window code instead of the place marker. Example:

DdeExec="%1",,-1,0,,,,

Topic

This is the name of the command that is sent to the DDE server to initiate a specific action. All the main DDE browsers support the same Topic value: WWW_OpenURL. As a result, you normally never need to include this field. However, if you ever encounter a browser that supports another Topic name, then you can use this field to override the default value.

It's unlikely that you will ever need to use the three last fields:

Application_New

DdeExec_New

Topic_New

They are useful if the field values for opening a new window are different from those for opening a link in the same window. None of the current popular browsers need these, though it appears Internet Explorer 6.x supports the topic name "WWW_OpenURLNewWindow", but it's not necessary to use it. However, these field are available in case a new browser requires different values.


Command-line Parameters

You can specify as many parameters as the command line can take. Each parameter must be separated by a space.

/acc

/acc=on

/acc=off NoteTab normally automatically detects when an accessibility feature is running, like a screen reader or High Contrast display mode, and sets itself in a mode that improves compatibility. Use this switch to override this detection and turn accessibility mode on or off depending on switch value.

/acc=install Use this switch to copy screen reader configuration files for Window-Eyes, JAWS, and/or Dolphin Hal to the appropriate folder locations. These files inform screen readers how to deal with non-standard controls used in NoteTab.

/NS Don't show splash screen (must be first parameter). There is also an option in the Options dialog box.

FileName Opens specified file in the editor. File name can also include wildcards and folder tokens. If you want to specify several file names that contain spaces, enclose each name between double quotes, eg.
NoteTab.exe "c:\program files\MyFile1.txt" "c:\program files\MyFile2.txt"

/F=FavoritesFileName Specify an alternative Favorites list file name (without extension or path). The file name must follow the equal sign. Do not use any spaces before or after the equal. Favorites lists must be in the Favorites subfolder. If the file does not exist, it will be created. If you want the files in the list to open automatically on startup, make sure you check the Auto Load Favorites option in the Options dialog box.

/L=LibraryName:RunClip Changes the default Clip library to the one indicated by LibraryName (without extension or path). Optionally use RunClip to specify a Clip to execute once NoteTab is open.

/C=ClipbarName Opens a specific Clipbar when launching NoteTab.

/T=FileName Loads the specified file containing the EBCDIC character tables for conversion to and from Windows ANSI. The NoteTab program path is added if you do not specify a fully qualified path name. The extension .ebc is added if you do not specify a filename extension. See the file Default.ebc for an example of the table format.

/P Print the files listed in the command-line parameter.

/R Open the files following this parameter as Read-Only.

/B Browse mode: the editor will not allow editing of documents.

/RESET Resets all NoteTab settings to their default values.

/RESETWND Resets the NoteTab window position and size at startup. This switch is useful if the NoteTab window does not show up when you start the program (this can happen on multi-monitor systems when the window is displayed in a monitor that has been turned off.)

/J=nnn Jumps to specified line number (nnn) when the editor is opened. This argument can be specified after every file name. If J=-1, the cursor will be placed at the beginning of the last line.

/USB If your USB key doesn't have a permanent drive letter assigned to it, file references saved in NoteTab's INI and Favorites lists may have incorrect drive information. You can solve this problem by launching NoteTab with the /usb command-line switch (new in version 5.2). This will instruct NoteTab to look for the file on the USB drive if it doesn't exist at the specified location. Using this switch also causes NoteTab to store all its settings and temporary files on the USB key. Example: NotePro.exe /usb
Starting with version 5.7, you only need to use this command the first time you run NoteTab off a USB drive. NoteTab then stores the information in its INI file on the USB drive. To cancel the option, run NoteTab with the /usb=false command-line switch.

/USER=FolderName By default, NoteTab 5 stores per-user customization files under the Application Data folder:

<SYSTEMDRIVE>\Documents and Settings\<user>\Application Data
or here under Windows Vista:
<SYSTEMDRIVE>\Users\<user>\AppData\Roaming

Use the /USER switch to specify a different location for the NoteTab customization and temporary files. This option is particularly useful if you work with sensitive data (point to a folder on an encrypted drive) or simply don't want to leave files behind on the computer you're using (point to a removable drive like a USB key). Alternatively, you can also use this feature to share the same customization files with multiple users across a network. If you run different versions of NoteTab (e.g. Pro and Std), you can use this switch to force them to use the same data folder. The folder name can include folder tokens; example: %AllUsersProfile%\NoteTab

/TEMP=FolderName By default, NoteTab stores temporary files in the Windows Temp folder under the logon user folder. If the /USB switch is used, temporary files are stored on the USB drive in the Temp folder. If the /USER switch is used, temporary files are stored in the Temp subfolder of the specified folder. Use this switch to specify an alternative location for storing temporary files. The folder name can include folder tokens; example: %AllUsersProfile%\NoteTab\Temp

/INI=FileName Specify an alternative INI file. If you don't indicate a path, the program's directory is assumed. If you indicate a path name, there should not be any spaces in it (if this is the case, use the short DOS name instead). You do not need to specify an extension (it is always INI). The file name can also include folder tokens.

/INST=InstanceID Opens a new instance of NoteTab (even if multiple instances is disabled) or activates the instance matching the InstanceID text. Use quotes around InstanceId if it contains spaces. Multiple instances are disabled in instances opened through this method, and documents are not automatically reopened unless you use the special "default" value. If you want this instance to capture associated file types launched from a file manager, use /INST=default. Usage example: NoteTab /INST="HTML Editing"


Folder and File Name Tokens

Starting with version 5.7, NoteTab supports tokens that represent either fully qualified folder names or system variables. A token must be delimited with either a percent character (%) or a dollar sign ($). If you are going to use tokens in a batch-file script, you must use the "$" character as a delimiter instead of "%". You can use them in the NoteTab command line, in document hyperlinks, and in Favorites items. You can also use them anywhere a folder or file name is accepted by a Clip command or function. Example:

^!TextToFile "%MyDocs%\TestToken.txt" Any text you like

The following example shows how to store a token value in a Clip variable:

^!Set %Folder%=^$ExpandEnv(%MyDocs%)$

The following example shows how a token is used in the command line to open a file:

NoteTab.exe "%NtbSamples%\Data.txt"

Assuming you have NoteTab Light installed in the default folder, the example above will open the following document:

C:\Program Files\NoteTab Light 5\Samples\Data.txt

The following tokens are defined in NoteTab and recognized under all versions of Windows; path names never end with a backslash (\):

%AppDat%

returns the Application Data folder of the logged on user

%AllDat%

returns the common Application Data folder shared by all users

%ExeDir%

returns the folder of the NoteTab program file

%ExeDrv%

returns the drive of the NoteTab program file

%UsbDrv%

returns the USB drive letter (e.g., E:) if NoteTab is running with the USB option (see related /USB command-line switch)

%MyData%

returns the folder used by NoteTab to store program settings

%MyDocs%

returns the Windows "My Documents" folder

%MyPics%

returns the Windows "My Pictures" folder

%NtbDocuments%

Returns the folder for NoteTab document files

%NtbTemplates%

Returns the folder for NoteTab template files

%NtbScripts%

Returns the folder for NoteTab script files (e.g. AWK, Perl, etc.)

%NtbSamples%

Returns the folder for NoteTab sample files

%NtbSounds%

Returns the folder for NoteTab sound files

%NtbFavorites%

Returns the folder for NoteTab "favorites" files

%NtbLibrary%

Returns the folder for NoteTab default Clipbook library files

%NtbUserLibrary%

Returns the folder for modified and user Clipbook library files

The following lists a small selection of predefined system variables typically available under Windows 2000 and XP with examples of possible default values assuming "Administrator" is the name of the logged on user:

%AllUsersProfile%

C:\Documents and Settings\All Users

%AppData%

C:\Documents and Settings\Administrator\Application Data

%CommonProgramFiles%

C:\Program Files\Common Files

%ProgramFiles%

C:\Program Files

%SystemDrive%

C:

%SystemRoot%

C:\WINDOWS

%Temp%

C:\DOCUME~1\ADMINI~1\LOCALS~1\Temp

%UserName%

Administrator

%UserProfile%

C:\Documents and Settings\Administrator

%WinDir%

C:\WINDOWS


 Regular Expressions

Regular Expressions

The Find and Replace dialog boxes support search criteria with basic regular expressions. To enable this mode, just put a checkmark in the "Regular Expression" checkbox. You can also specify regular expressions with the Find and Replace Clip commands by using the "R" option, as well as the IfMatch command and the GetDocMatchAll function.

Those familiar with UNIX text utilities will find that the engine is close to Perl 5 with regard to the complexity of problems that it can solve. Starting with NoteTab 5, the regular expression engine is based on PCRE; the most significant syntax changes are highlighted at the bottom of the page. The following documentation is a summary of the main features. You will find more details in the Regex.chm file that is installed in the NoteTab program folder.

Find Patterns

Regular expression patterns are composed of the following:

Period (.)

Matches any single character except newline. A newline (internally) is really two characters in a specific order -- <carriage return> followed by <linefeed>. To match a newline, you must always explicitly specify a newline.

Caret (^)

Matches at the beginning of a line only. A ^ occurring ANYWHERE in the match expression (except within a character class) is interpreted in this manner. This allows meaningful use of ^ in combination with grouping or alternation (see below).

Dollar sign ($)

Matches at the end of a line only. As with ^ the $ character retains its special meaning anywhere within the expression (except in a character class).

Backslash (\)

Followed by a single character matches that character. For example, '\*' matches an asterisk, '\\' matches a backslash, '\$' matches a dollar sign, etc.

The following sequences have special meaning

\t tab (ASCII #9)

\n newline (LF = ASCII #10)

\f formfeed (ASCII #12)

\r carriage return (CR = ASCII #13)

\R newline sequence matching either CRLF, or a lone CR, or a lone LF

\e escape (ASCII #27)

\d any decimal digit

\D any character that is not a decimal digit

\s any whitespace character

\S any character that is not a whitespace character

\w any "word" character

\W any "non-word" character

\b matches at a word boundary

\B matches when not at a word boundary

\A matches start of string

\Z matches at end of subject or before newline at end

\z matches at end of subject

\ddd character with octal code ddd, or backreference

\xhh character with hex code hh

\x{hhh..} character with hex code hhh

\Q...\E bounds text to be treated as literal

Case is ALWAYS significant when using the special characters.

A single character not otherwise endowed with special meaning matches that character. Thus W matches a single instance of the letter W.

A string enclosed in brackets [] specifies a character class. Any single character in the string is matched. For example, [abc] matches an a, b, or c. Ranges of ASCII letters and numbers can be abbreviated as, for example, [a-z0-9]. If the first symbol following the [ is a caret (^) then a negative character class is specified. In this case, the string matches all characters EXCEPT those enclosed in the brackets. For example, [^a-z] matches everything except lower case characters (and line breaks).

Posix Character Classes

NoteTab supports the POSIX notation for character classes. This uses names enclosed by [: and :] within the enclosing square brackets. For example,

[01[:alpha:]%]

matches "0", "1", any alphabetic character, or "%". The supported class names are

alnum letters and digits

alpha letters

ascii character codes 0 - 127

blank space or tab only

cntrl control characters

digit decimal digits (same as \d)

graph printing characters, excluding space

lower lower case letters

print printing characters, including space

punct printing characters, excluding letters and digits

space white space (not quite the same as \s)

upper upper case letters

word "word" characters (same as \w)

xdigit hexadecimal digits

The "space" characters are HT (9), LF (10), VT (11), FF (12), CR (13), and space (32). Notice that this list includes the VT character (code 11). This makes "space" different to \s, which does not include VT (for Perl compatibility).

The name "word" is a Perl extension, and "blank" is a GNU extension from Perl 5.8. Another Perl extension is negation, which is indicated by a ^ character after the colon. For example,

[12[:^digit:]]

matches "1", "2", or any non-digit.

Seeking Closure

A regular expression followed by * matches zero or more matches of the regular expression. This is referred to as a closure. Thus ba*b matches the string bb (no instances of a), bab (one instance), or baaaaaab (several instances).

A regular expression followed by a + matches one or more matches of the regular expression. This is another type of closure. In this case ba+b will not match bb, but it will match bab, or baaaaaab.

A regular expression followed by a ? matches zero or one matches of the regular expression. This is another closure. Here, ba?b will match bb or bab, but not baaaaaab.

Repetition

Repetition is specified by quantifiers, which can follow any of the following items:

a literal data character

the . metacharacter

the \C escape sequence

the \X escape sequence (in UTF-8 mode with Unicode properties)

an escape such as \d that matches a single character

a character class

a back reference (see next section)

a parenthesized subpattern (unless it is an assertion)

The general repetition quantifier specifies a minimum and maximum number of permitted matches, by giving the two numbers in curly brackets (braces), separated by a comma. The numbers must be less than 65536, and the first must be less than or equal to the second. For example:

z{2,4}

matches "zz", "zzz", or "zzzz". A closing brace on its own is not a special character. If the second number is omitted, but the comma is present, there is no upper limit; if the second number and the comma are both omitted, the quantifier specifies an exact number of required matches. Thus

[aeiou]{3,}

matches at least 3 successive vowels, but may match many more, while

\d{8}

matches exactly 8 digits. An opening curly bracket that appears in a position where a quantifier is not allowed, or one that does not match the syntax of a quantifier, is taken as a literal character. For example, {,6} is not a quantifier, but a literal string of four characters.

The quantifier {0} is permitted, causing the expression to behave as if the previous item and the quantifier were not present.

For convenience (and historical compatibility) the three most common quantifiers have single-character abbreviations:

* is equivalent to {0,}

+ is equivalent to {1,}

? is equivalent to {0,1}

By default, the quantifiers are "greedy", that is, they match as much as possible (up to the maximum number of permitted times), without causing the rest of the pattern to fail. The classic example of where this gives problems is in trying to match comments in C programs. These appear between /* and */ and within the comment, individual * and / characters may appear. An attempt to match C comments by applying the pattern

/\*.*\*/

to the string

/* first comment */ not comment /* second comment */

fails, because it matches the entire string owing to the greediness of the .* item.

However, if a quantifier is followed by a question mark, it ceases to be greedy, and instead matches the minimum number of times possible, so the pattern

/\*.*?\*/

does the right thing with the C comments. The meaning of the various quantifiers is not otherwise changed, just the preferred number of matches. Do not confuse this use of question mark with its use as a quantifier in its own right. Because it has two uses, it can sometimes appear doubled, as in

\d??\d

which matches one digit by preference, but can match two if that is the only way the rest of the pattern matches.

Concatenated Expressions

Two regular expressions concatenated match a match of the first followed by a match of the second. Thus (abc)(def) matches the string abcdef.

Alternation

Two regular expressions separated by | match either a match of the first or a match of the second. This is referred to as alternation. Any number of regular expressions can be strung together in this way. Alternation matches are tested in order from left to right, and the first match obtained is used. Then the remaining alternate expressions are skipped over.

Grouping Expressions

A regular expression enclosed in parentheses () matches a match of the regular expression. Parentheses are used to provide grouping, and may be nested to arbitrary depth. Open and close parentheses must be balanced. Example:

(PROCEDURE)|(FUNCTION)

The above expression matches either of the two words.

Tagged Matches

A regular expression enclosed in parentheses () forms a tagged match word. Whatever was matched within the braces may be referred to by a Replace expression in a manner to be described. Tagged match words may not be nested. Open and close parentheses must be balanced. A maximum of 65535 tagged match words can be referenced by the Replace expression. For example, consider the expression

b(a*)b.

If the string being tested is "bab", then the tagged match word contains a single "a". If the string being tested is "baaaaaab", then the tagged match word contains "aaaaaa". If the string tested is "bb", then the tagged match word is empty.

Order of Precedence

Regular expressions are interpreted from left to right. The order of precedence of operators at the same parenthesis level is [], then *+!, then |, and then concatenation.

Tag parentheses are interpreted strictly from left to right and do not control precedence in any way. The first tagged match word found is given a tag of 1, the second a tag of 2, and so on up to a maximum tag of 65535. The tag number that each word receives is based on when it is encountered in the line . If tags are skipped over as a result of alternation, then any remaining tags in a line receive shifted tag numbers. For example, consider the expression:

(FUNCTION)|((PROCEDURE))\s+([^\t(]+)

If a line contains the word PROCEDURE then the word following PROCEDURE has a tag number of 2. If a line contains the word FUNCTION, then the word following FUNCTION has a tag number of 1. It is up to the user to take advantage of this behavior. Generally, it is good practice to surround an entire set of alternates with tag markers:

((FUNCTION)|(PROCEDURE))\s+([^\t(]+)

Assertions

An assertion is a test on the characters following or preceding the current matching point that does not actually consume any characters. The simple assertions coded as \b, \B, \A, \G, \Z, \z, ^ and $ are described above.

More complicated assertions are coded as subpatterns. There are two kinds: those that look ahead of the current position in the subject string, and those that look behind it. An assertion subpattern is matched in the normal way, except that it does not cause the current matching position to be changed.

Assertion subpatterns are not capturing subpatterns, and may not be repeated, because it makes no sense to assert the same thing several times. If any kind of assertion contains capturing subpatterns within it, these are counted for the purposes of numbering the capturing subpatterns in the whole pattern. However, substring capturing is carried out only for positive assertions, because it does not make sense for negative assertions.

Lookahead assertions

Lookahead assertions start with (?= for positive assertions and (?! for negative assertions. For example,

\w+(?=;)

matches a word followed by a semicolon, but does not include the semicolon in the match, and

foo(?!bar)

matches any occurrence of "foo" that is not followed by "bar". Note that the apparently similar pattern

(?!foo)bar

does not find an occurrence of "bar" that is preceded by something other than "foo"; it finds any occurrence of "bar" whatsoever, because the assertion (?!foo) is always true when the next three characters are "bar". A lookbehind assertion is needed to achieve the other effect.

If you want to force a matching failure at some point in a pattern, the most convenient way to do it is with (?!) because an empty string always matches, so an assertion that requires there not to be an empty string must always fail.

Lookbehind assertions

Lookbehind assertions start with (?<= for positive assertions and (?<! for negative assertions. For example,

(?<!foo)bar

does find an occurrence of "bar" that is not preceded by "foo". The contents of a lookbehind assertion are restricted such that all the strings it matches must have a fixed length. However, if there are several top-level alternatives, they do not all have to have the same fixed length. Thus

(?<=bullock|donkey)

is permitted, but

(?<!dogs?|cats?)

causes an error at compile time. Branches that match different length strings are permitted only at the top level of a lookbehind assertion. This is an extension compared with Perl (at least for 5.8), which requires all branches to match the same length of string. An assertion such as

(?<=ab(c|de))

is not permitted, because its single top-level branch can match two different lengths, but it is acceptable if rewritten to use two top-level branches:

(?<=abc|abde)

The implementation of lookbehind assertions is, for each alternative, to temporarily move the current position back by the fixed width and then try to match. If there are insufficient characters before the current position, the match is deemed to fail.

Atomic groups can be used in conjunction with lookbehind assertions to specify efficient matching at the end of the subject string. Consider a simple pattern such as

abcd$

when applied to a long string that does not match. Because matching proceeds from left to right, PCRE will look for each "a" in the subject and then see if what follows matches the rest of the pattern. If the pattern is specified as

^.*abcd$

the initial .* matches the entire string at first, but when this fails (because there is no following "a"), it backtracks to match all but the last character, then all but the last two characters, and so on. Once again the search for "a" covers the entire string, from right to left, so we are no better off. However, if the pattern is written as

^(?>.*)(?<=abcd)

or, equivalently, using the possessive quantifier syntax,

^.*+(?<=abcd)

there can be no backtracking for the .* item; it can match only the entire string. The subsequent lookbehind assertion does a single test on the last four characters. If it fails, the match fails immediately. For long strings, this approach makes a significant difference to the processing time.

Using multiple assertions

Several assertions (of any sort) may occur in succession. For example,

(?<=\d{3})(?<!999)foo

matches "foo" preceded by three digits that are not "999". Notice that each of the assertions is applied independently at the same point in the subject string. First there is a check that the previous three characters are all digits, and then there is a check that the same three characters are not "999". This pattern does not match "foo" preceded by six characters, the first of which are digits and the last three of which are not "999". For example, it doesn't match "123abcfoo". A pattern to do that is

(?<=\d{3}...)(?<!999)foo

This time the first assertion looks at the preceding six characters, checking that the first three are digits, and then the second assertion checks that the preceding three characters are not "999".

Assertions can be nested in any combination. For example,

(?<=(?<!foo)bar)baz

matches an occurrence of "baz" that is preceded by "bar" which in turn is not preceded by "foo", while

(?<=\d{3}(?!999)...)foo

is another pattern that matches "foo" preceded by three digits and any three characters that are not "999".

Replace-with Patterns

Replace regular expressions are constructed the same way as Find regular expressions, but the number of operators is reduced. The replacement process occurs in the following manner:

The Find expression finds a string of text that starts at the leftmost position in the input line that matches, and continues to the rightmost position that matches. The string of matched text is operated upon by the Replace expression.

Replace expressions are composed of the following:

Single character

A single character not otherwise endowed with special meaning is treated literally.

Backslash (\)

Followed by a single character matches that character. For example, "\*" matches an asterisk, "\\" matches a backslash, "\$" matches a dollar sign, etc. A "\" followed by a single character treats that character literally. In this way a "\&" writes an ampersand and "\\" writes a backslash.

The following sequences have special meaning:

\t tab (ASCII #9)

\n newline (ASCII #10)

\f formfeed (ASCII #12)

\r carriage return (ASCII #13)

\e escape (ASCII #27)

Another special case occurs when "$" is followed by a single digit in the range of 1 through 65535. In this case the tagged match word found by the Find expression is used in the resulting replacement text. If a tagged match word for that tag number was not defined, or if the tagged match word doesn't match anything, then nothing is output. The tagged match words can be used in any order and can be repeated any number of times.

A "$0" appearing in the Replace expression causes all text matched by the match expression to be sent to the output. The "$0" can appear in the Replace expression as many times as desired.

Examples:

The following examples use the NoteTab Replace dialog box (press Ctrl+R to open it). Make sure you tick the "regex box" before trying them.

Changes all h2 tags to h3:

Find: <h2>(.*)</h2>

Replace with: <h3>$1</h3>

Places each encountered word on a single line:

Find: \W*(['$#a-z0-9]+)\W*

Replace with: $1\r\n

Converts all encountered e-mail addresses to HTML Mailto links:

Find: [a-z_.\-0-9]+@[a-z_.\-0-9]+

Replace with: <a href="mailto:$0">$0</a>

Syntax Changes from Previous Regex Engine

There are significant differences compared to the previous regex syntax used in earlier versions of NoteTab. The most notable ones are listed below:

\n for newline (hex 0A); before it was hex 0D 0A. Replace \n with \R.

\l and \p – no longer used.

\b and \B – now zero width assertions of word boundary and non-word boundary (except in a character class where \b is now a backspace character); before they represented blank and non-blank characters respectively.

\s – now means any whitespace character; before used for a space.

Tagged Matches:

Replace { } with ( )

Replace tokens:

& no longer used; replace with $0

\1 to \9 meaning changed; replace with $1 to $9


Date and Time filters

The editor has a command that lets you easily insert the current date and time in your documents. You can do so with the Insert Date/Time command (in the Document menu) or automatically if you are using the log feature. By default, it uses the format specified by the ShortDateFormat defined by Windows. You can, however, customize the date by creating a Date Filter – the field is available in the Options dialog box on the Tools tab. There is also a similar field in the Page Setup. Filters can also be used in text that is added to the Clipbook (see topic for more information). The following format specifiers are supported:

Specifier Displays

c Displays the date using the format given by the ShortDateFormat global variable, followed by the time using the format given by the LongTimeFormat global variable. The time is not displayed if the fractional part of the DateTime value is zero.
d Displays the day as a number without a leading zero (1-31).
dd Displays the day as a number with a leading zero (01-31).
ddd Displays the day as an abbreviation (Sun-Sat) using the strings given by the ShortDayNames global variable.
dddd Displays the day as a full name (Sunday-Saturday) using the strings given by the LongDayNames global variable.
ddddd Displays the date using the format given by the ShortDateFormat global variable.
dddddd Displays the date using the format given by the LongDateFormat global variable.

m Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mm Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.
mmm Displays the month as an abbreviation (Jan-Dec) using the strings given by the ShortMonthNames global variable.
mmmm Displays the month as a full name (January-December) using the strings given by the LongMonthNames global variable.
yy Displays the year as a two-digit number (00-99).

yyyy Displays the year as a four-digit number (0000-9999).
h Displays the hour without a leading zero (0-23).
hh Displays the hour with a leading zero (00-23).
n Displays the minute without a leading zero (0-59).
nn Displays the minute with a leading zero (00-59).
s Displays the second without a leading zero (0-59).
ss Displays the second with a leading zero (00-59).
t Displays the time using the format given by the ShortTimeFormat global variable.
tt Displays the time using the format given by the LongTimeFormat global variable.
am/pm Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

a/p Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
ampm Uses the 12-hour clock for the preceding h or hh specifier, and displays the contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.
/ Displays the date separator character given by the DateSeparator global variable.
: Displays the time separator character given by the TimeSeparator global variable.
'xx' Characters enclosed in single quotes are displayed as-is, and do not affect formatting.

Format specifiers may be written in upper case as well as in lower case letters – both produce the same result.


About Fookes Software

Company

Fookes Software was originally founded in 1996 in Geneva, Switzerland. Now a Limited (Ltd) company based in Charmey, in the Swiss Pre-Alps, it is fully owned by its parent Fookes Holding Ltd. For over 10 years we have been developing award-winning tools and productivity software. Our clients include government and law enforcement agencies, Fortune 500 corporations, top universities and other educational institutions, international organizations, as well as individuals and home users world-wide.

Policies

1. We are perfectionists and strive to develop useful, original, and reliable software solutions.
2. We listen to our users and try to implement feature suggestions that benefit others.
3. We are committed to providing excellent customer support by email.
4. We are upfront about our services and products (no "small print") so that you can make an informed buying decision.

Our Web sites

http://www.fookes.com

http://www.notetab.com

http://www.aid4mail.com

Business Details

Fookes Software Ltd is registered in Switzerland and owned by its parent company Fookes Holding Ltd.

· Reference Number: 2420/2008
· Federal Number: CH-217-3540396-6

Trade Register details:

Service du registre du commerce du Canton de Fribourg, Switzerland

http://www.fr.ch/rc/

IRS Employer Identification Number (EIN): 98-0475111


Contacting Fookes Software

Free technical support by email is available to customers of our commercial products and to those evaluating them for purchase. We do not offer any support for NoteTab Light, unless it concerns a bug report. If you need help with NoteTab Light, then please refer to one (or more) of our free discussion groups.

Answers to most of the questions we receive already exist in our documentation. Before contacting us, we suggest you first look through our Help files and online FAQs; this will help you get a solution in the shortest time possible. Please also verify that you are using the latest software update before reporting a problem.

Please note that Fookes Software representatives cannot provide in-depth end-user training for free. We are able to assist you if you are having a problem that is not covered in the documentation, but we cannot teach you how to use the software, how to make or modify templates, how to create regular expression searches, or how to develop NoteTab Clip scripts. If you have questions about using or learning NoteTab, and cannot find an answer in the Help file or FAQ, then please refer to one (or more) of our discussion groups, even if it is just for one question.

Technical support is provided by email, on business days from Monday to Friday. We usually reply within 24 hours, but on occasions it may take up to 3 business days. Please take into account that your "urgent" message may reach us in the middle of the night – we are based in Switzerland (UTC+1). To email us, please use our mail form.

If you need to send us material by snail mail, our office address is as follows:

Fookes Software Ltd

La Petite Fin 27

1637 Charmey

Switzerland

Please do NOT send Purchase Orders to the above address. NoteTab sales are handled for us by Plimus Corporation and RegNow. Address and fax details are provided after you select "Purchase Order" as a payment method on the order form, which is available by first going through our Order page. Plimus currently only accepts Purchase Orders for payments equal to or above $99.00 USD.


Fookes Software Products

You probably already know our www.notetab.com Web site, but have you ever been to the main Fookes Software Web site? Our other products include:

Aid4Mail

Easy Imager

Mailbag Assistant


Aid4Mail

Aid4Mail™ is a sophisticated but easy-to-use tool that can migrate email to a different mail client, export it for viewing through Internet Explorer, Microsoft Excel, and most databases, and archive it to save space or for regulatory compliance. It can merge mail into a single mailbox file, or export it as individual message or text files, and can extract attachments, embedded contents, and email addresses.

Unlike the native import and export features of most email applications, Aid4Mail migrates mail without losing formatting, sender/recipient information, attachments, embedded contents, or message status. This capability is crucial to large-scale migrations. Aid4Mail can process mail folders and files even when they are disconnected from their email client, including those stored on a CD or DVD. It can filter mail by date range, header content, and in the Forensic, Enterprise, and Console versions, by message body content.

Aid4Mail includes powerful archiving features, sending emails to a highly compressed ZIP file. Attachments are extracted, with duplicates removed, and saved in a separate folder inside the ZIP archive. This provides easy access to them without the need for a special utility. Messages are stored in the non-proprietary mbox format, again within the ZIP file, allowing them to be read with any text editor and guaranteeing compatibility with future systems. Aid4Mail can also re-convert these ZIP archives to any other supported target format.

There are several commercial versions of Aid4Mail: Standard, Professional, Forensic, and Enterprise. Each has a variety of licensing options including multi-user and/or site licenses. A Win32-console version of Aid4Mail, which can run from batch files and other applications, is also distributed with certain licenses. See the Aid4Mail comparison chart for details on the main differences between each version.

Aid4Mail supports many email applications including all versions of Office Outlook (except Aid4Mail Standard!), Outlook Express, Windows Mail, Windows Live Mail, Eudora (Windows and Mac versions), Mozilla Mail and Thunderbird, Netscape Messenger, The Bat!, Pegasus Mail, PocoMail, Barca, Opera Mail, Forte Agent, Calypso, Courier, PMMail, FoxMail, EML message files, Mac OS X Mail (Mail.app or Apple Mail) EMLX files, maildir folders, and generic mailboxes based on the mbox format (including Entourage MBOX files).

For more information and to download a free evaluation version, please visit the following Web page:

http://www.aid4mail.com/


Easy Imager

Easy Imager™ is a powerful tool for managing, capturing, and batch-processing images from a wide range of popular picture formats. An elegant interface makes it a snap to find your images and select them for processing individually, in batches, or in whole folders, using a thumbnail-based file selector. You can use slider controls to rotate images and adjust their contrast, brightness, color, sharpness and quality, and check out the results with a convenient built-in viewer.

If you're a digital-photography enthusiast, you'll appreciate features like one-click picture rotation, image sharpening in batches, date-stamping images and reducing picture sizes for the Web or e-mail. You can also create professional-looking digital photo albums complete with thumbnail indexes in minutes, using a wide variety of options to control the appearance.

Easy Imager also provides tools to convert images to other file formats, print text on pictures, capture screen shots, import pictures from TWAIN devices and the Clipboard, change your Desktop Wallpaper, search for images, associate text descriptions with pictures, and more. You can also configure the program extensively to suit the way you work: you can customize the toolbar to include your most used tools, assign your own keyboard shortcuts to menu items, and set numerous preferences for the handy Live Spelling feature.

For more information and to download a free evaluation version, please visit the following Web page:

http://www.fookes.com/ezimager/


Mailbag Assistant

If you're buried alive in e-mail, let Mailbag Assistant™ come to the rescue with turbocharged tools to search, organize, analyze and archive your mountain of messages – tools that are inadequate or simply unavailable in conventional mail programs. Mailbag Assistant complements your mail program without interfering with it. It reads and processes your current and archived e-mails with ease, whether they are stored on your computer, on networked drives, or on removable media.

The powerful search tools provide both easy-to-use wizards and advanced features like Boolean operators with multiple criteria. In addition to searching for exact matches in your e-mails, Mailbag Assistant lets you search for approximate and Soundex (sound-based) matches. These flexible tools make it simple to define, group and find relevant messages quickly and accurately.

If you're not an experienced computer user, you'll enjoy the program's simple grid layout, which allows you to sort e-mails in many ways just by clicking column headings. You can also use Mailbag Assistant's E-mail Wizard and Quick-Match searches to track down messages quickly and easily.

If you're a power user, you'll appreciate tools for creating message subsets, extracting addresses and attachments, and compiling traffic and word statistics. You can also take advantage of a full-featured scripting language to create custom operations and automate repetitive tasks like opening message folders, searching through correspondence, and archiving e-mails.

Whether you're maintaining message folders with thousands of e-mails, or just want to save time hunting down a few old ones, Mailbag Assistant makes it much easier to perform searches, organize your e-mails efficiently, and archive them for rapid retrieval.

Mailbag Assistant requires Windows 95/98/2000/NT4/Me/XP/Vista, and supports Outlook Express, Windows Mail, Windows Live Mail, Eudora, Netscape Messenger, Mozilla, Pegasus, The Bat!, Forte Agent , Poco, Calypso, FoxMail, Juno 3.x, EML message files, and generic mailboxes (mbox, Berkeley mail format, BSD mail format, Unix mail format). The following mail formats can be accessed by first importing them into Outlook Express or Windows Mail: Microsoft Outlook, Microsoft Exchange, Microsoft Internet Mail, and Microsoft Windows Messaging.

For more information and to download a free evaluation version, please visit the following Web page:

http://www.fookes.com/mailbag/


Third-Party Products

There are several products that we believe will appeal to NoteTab users. These are featured here for your convenience.

If you want to save paper by printing several pages per sheet of paper, take a look at FinePrint. This excellent product works beautifully from NoteTab and offers a large array of useful printing options.

The registered versions of NoteTab integrate an English-language thesaurus. Although it is adequate for a lot of users, you can use a much better one for free. It is called WordWeb and integrates seamlessly with NoteTab. The Pro version adds some very powerful search tools and is very modestly priced.

If you're looking for a way to save time while typing, take a look at IntelliComplete Server. This excellent utility provides smart autocompletion and can learn new words as you type away. It's easy to use and can save a lot of time. A free version of ICS is available to NoteTab users.

Anyone using NoteTab to create Web pages should get a copy of HTML Tidy. It's free and does a great job of cleaning up your HTML code right from within NoteTab. If you develop Web pages with Cascading Style Sheets (CSS), then you owe it to yourself to try the free copy of TopStyle. This program works seamlessly from NoteTab. To ensure that you write syntactically correct HTML, nothing beats the powerful CSE HTML Validator. The Pro version of this program also works seamlessly from NoteTab.

If you are interested in developing NoteTab libraries with Clip code, make sure you take a look at ClipWriter. This program, written by an expert Clip programmer, is a powerful alternative to the NoteTab Clipbook editor. A trial version is available for evaluation.

ClipWriter

CSE HTML Validator

FinePrint

HTML Tidy

IntelliComplete Server

TopStyle CSS editor

WordWeb


ClipWriter

ClipWriter is a powerful alternative to the NoteTab Clipbook Editor. ClipWriter makes it easy to insert keywords with signs like "^", "!", "$", and "%", and it allows you to define the shortcut keys that best suit your style. It comes already with more than 530 predefined shortcut keys covering over 400 Clip commands and functions.

ClipWriter supports permanent bookmarks and allows inspecting specific parts of your code such as variables, labels and instructions with direct access to them at design time. It fully integrates with NoteTab from where you can launch it using a Toolbar or Clipbar button! And you can run your Clips directly from ClipWriter.

Visit the following link for more information...

http://www.notetab.com/clipwriter/


CSE HTML Validator

CSE HTML Validator Professional is a fast, powerful, inexpensive, highly user configurable, and easy to use professional HTML development tool that will help you to write syntactically correct HTML. You'll be surprised how many problems may exist in your HTML, even if you made it with a WYSIWYG editor. HTML Validator will help you locate and fix HTML syntax problems so that your documents are easily viewed by a variety of Web browsers. In addition, HTML Validator will give you valuable and customizable advice based on your HTML document. CSE is great for both HTML beginners and professionals who want to make sure that their Website visitors do not run into problems caused by poorly written HTML. Version 4.0 now includes link checking, a powerful, easy to use, integrated HTML/text editor, and a faster, more reliable batch wizard that lets you easily validate multiple HTML documents and generate a single validation report in HTML. CSE is a must for any business with a Website.

NoteTab integrates seamlessly with CSE HTML Validator Professional (v2.00A and higher). Once the program is correctly installed, you will see a new command under NoteTab's Tools menu called "Validate HTML". When you click on this command, it will send the current document text to CSE HTML Validator. Once the checking is completed, NoteTab will create a Clipbook library containing all the messages produced by the CSE program. Executing the Clips in the library will select the offending line and display the corresponding error message. You can learn more about CSE HTML Validator and download the latest version by visiting the following Web page:

http://www.htmlvalidator.com/


FinePrint

FinePrint is a printer driver that makes printing much more effective from all applications, and in particular Notetab and Mailbag Assistant.

With FinePrint you can preview any document, combine documents together in a single print job, rearrange them and save them in a single file for archiving or adding to later. Also, you can print 2, 4 or 8 pages on a sheet to save paper and time when printing source code or other long documents. You can add headers, footers, watermarks as well. Double sided and booklet printing are supported on all printers.

FinePrint is particularly well suited for email printing because you can combine any number of emails into a single job and print multiple emails on a sheet. With the FinePrint preview, you can get rid of header and reply pages before they are printed.

Since FinePrint is a printer driver, it is compatible with all applications. It is very easy to use. Once you start using FinePrint, you'll wonder how you did without it.

To learn more about this useful program and download an evaluation version, please visit the following Web page:

http://www.fineprint.com/


HTML Tidy

NoteTab supports HTML Tidy – a free utility that cleans HTML code and fixes errors. Once it is installed, you can invoke it through the "Tools|Tidy HTML Code" menu command. HTML Tidy accepts a variety of switches to control the way it processes HTML tags. NoteTab will try to determine the best switches based on the active document type and the HTML Tag option settings. If you want more control over the settings, you can create a configuration file for Tidy, which you should save in the NoteTab folder with the name Tidy.cfg (see the HTML Tidy instructions for details). You can learn more about HTML Tidy and download the latest version by visiting the following Web page:

http://tidy.sourceforge.net/

The easiest setup is to copy the Tidy program to the NoteTab folder (rename the file to Tidy.exe if necessary), but you may place it anywhere else if you prefer.


IntelliComplete Server

NoteTab works seamlessly with IntelliComplete Server (ICS) from FlashPeak. This excellent utility provides smart autocompletion and can learn new words as you type away. It's easy to use and can save a lot of time. A free version of ICS is available to NoteTab users through the following link:

http://www.notetab.com/ics.php

Once you've installed ICS and restarted NoteTab, you will find a new menu item in NoteTab called "IntelliComplete Server" under the Tools menu. Click on the command to launch ICS. From this moment, ICS will jump into action when you start typing text in NoteTab. When ICS is running, you'll see another item under the Tools menu called "IntelliComplete Settings". Use it to change the default settings. Read the ICS Help file to make the most of this neat utility.

IntelliComplete Standalone Version

For users who are interested in global autocompletion, try out FlashPeak's standalone version of IntelliComplete. It auto-learns, autocompletes words/phrases and auto-expand shorthands in any Microsoft Windows application. IntelliComplete supports multiple language libraries, professional libraries, and shorthand libraries. It also provides a useful collection of clipboard and shell enhancement functions together with many handy automation utilities. IntelliComplete makes you write as fast as you think and greatly increases your daily productivity.

Visit the IntelliComplete Web site for details.


TopStyle CSS editor

TopStyle provides powerful tools to create cross-browser style sheets. Features such as the property inspector and style checker ensure that your style sheets work in all major browsers, while site-wide style management features make applying styles across multiple pages a breeze. TopStyle includes full support for CSS1 and CSS2, as well as for CSS implementations from Microsoft, Netscape, WebTV Plus and Opera Software. TopStyle validates your style sheets against any (or all) of these implementations, warning you not only about errors in your style sheets, but also about bugs in popular browsers that may affect their display.

NoteTab integrates seamlessly with TopStyle version 1.51 and above. It offers access to TopStyle commands through the TopStyle library and Clipbar.

To learn more about this useful program and download a free version, please visit the following Web page:

http://www.bradsoft.com/redir.asp?id=130


WordWeb

With over 120,000 root words and 100,000 synonym sets, WordWeb covers the English language from the latest slang to technical terms. The word-morphing engine extracts roots from any word looked up, making an effective 160,000 possible lookup words. Unlike most thesauri, WordWeb can also do inverse part of speech matching: lookup a plural word and WordWeb will show plural synonyms.

What really distinguishes WordWeb from any paper dictionary or thesaurus is the comprehensive word networking – it is truly a Word Web. Each set of synonyms is linked to other related sets. Lookup "tree", click on the "Types" tab and you'll have a list of different types of tree. Click on "Part of" and WordWeb will tell you that a tree can be part of a "forest" or "wood".

WordWeb Pro has a powerful word finding engine. You can search for words matching a pattern – great for crosswords or finding that word you can't quite remember. The anagram feature will generate fun multi-word anagrams for you, and you can also find partial anagrams.

Another unique feature is the ability to edit and add to the database. Although WordWeb Pro has a huge database, you may want to add definitions and synonyms for specialised words, acronyms, of your own.

The program can be used directly from registered versions of NoteTab Pro and Standard, as well as Microsoft Word and Crossword Compiler. WordWeb Pro can also be used as a standalone program.

To learn more about this useful program and download a free version, please visit the following Web page:

http://www.wordweb.co.uk/


 Acknowledgments

Acknowledgments

 Top Previous

Fookes Software would like to thank the many NoteTab users who contributed feature suggestions, bug reports, text corrections, and artwork. Special thanks to the following people who spent much time helping to improve NoteTab 5 during the many months of development and beta testing:

Alan Cummings

Alec Burgess

Dennis Cummins

Harvey R. Savage

Hugo Paulissen

Jody Adair

Larry Hamilton

Sheri Pierce

Sheri Pierce also produced the very useful bookmarked version of the ClipCode.chm Help file and the Regex.chm file.

The mathematics feature was made possible thanks to the freeware parsing component developed by the following people:

Renate Schaaf

Alin Flaider

Stefan Hoffmeister

The spell checker and thesaurus components used in the commercial versions of NoteTab Standard and NoteTab Pro are produced by Addictive Software. NoteTab Pro uses a modified version of the Orpheus input control developed by TurboPower. The Setup program is made with the Inno Setup package developed by Jordan Russell.

See also the Third Party Software Notices and/or Additional Terms and Conditions topic.

Trademarks

NoteTab is a trademark licensed to Fookes Software Ltd, Switzerland

Windows is a trademark of Microsoft Corporation registered in the U.S. and other countries.

All other trademarks and service marks, both marked and not marked, are the property of their respective owners.


Clipbook Programming

 Top

Clip Language - Introduction

Clip Language - Labels

Clip Language - Variables

Clip Language - Events

Clip Language - Custom Functions

Clip Language - Testing Conditions

Clip Language - Message Boxes / Prompts

Clip Language - Text Processing

Clip Language - HTML Processing

Clip Language - Select, Copy, and Insert Text

Clip Language - Clipboard Copy / Paste

Clip Language - Find / Replace Text

Clip Language - Document Processing

Clip Language - Document Management

Clip Language - Disk Files

Clip Language - Disk Directories

Clip Language - Executing Programs

Clip Language - Using Perl, Gawk, and Other Scripts

Clip Language - Using Other Clips

Clip Language - Clipbars

Clip Language - Toolbar Commands

Clip Language - Keyboard Macros

Clip Language - Windows Registry and Shortcuts

Clip Language - Miscellaneous Commands / Functions

Clip Language - Mathematics

Clip Language - Dates

Clip Language - Clip Wizard and Fields

Clip Language - Masked Input Fields


.topic 48
Find Help
Edit Documents
Use the Editor Clipbook
Create Clipbook Libraries
Use Web and Document Links
Calculate in NoteTab
Manage Documents
Manage File Formats
ASCII Documents
EBCDIC Documents
Use Templates
Create Outline Documents
Convert a Normal Document to Outline
Create Web Pages
Apply Perl and Gawk Scripts on Text
Keep a Log

.topic 25
Menu Commands
Dialog Boxes
Tools
Other Features

.topic 58
File Menu
Template Submenu
Edit Menu
Search Menu
View Menu
Modify Menu
Lines Submenu
Block Submenu
Text-Case Submenu
Spaces Submenu
email Submenu
Document Menu
Outline-Headings Submenu
Favorites Menu
Organize Submenu
Tools Menu
Clipbook Submenu
Clipbook Properties Submenu
Quick List Properties Submenu
Help Menu

.topic 56
Export Dialog Box
Page Setup Dialog Box
Find & Replace Dialog Boxes
Regular Expressions
Search Disk Dialog Box
Block Dimensions Dialog Box
Reformat Lines Dialog Box
Favorites Dialog Box
Text Statistics Dialog Box
Document Properties
Customizing the Toolbar
Options Dialog Box

.topic 57
Quick List
Paste-Board Feature
Auto-replace Mode
Automatic Scrolling
Using and Creating Clipbars
Editor Clipbook

.topic 61
Clipbook Libraries
In-Context Clipbook
Clipbook Wizard
Clip Basics
Clip Programming

.topic 59
Editor Shortcut Menus
Keyboard Shortcuts
Command-line Parameters
Date and Time filters


Options Dialog Box

 Top

This dialog box lets you configure the main program settings. Use the Options command under the View menu to open it. The settings are automatically saved when you quit NoteTab.

Options | View

Options | General

Options | Files

Options | Documents

Options | Internet

Options | HTML Files

Options | File Filters

Options | Associations

Options | Colors

Options | Toolbar

Options | Shortcut Menu

Options | Tools

Options | Clipbook

Options | Tab Bar

Options | Outline

Options | Quick List

Options | Advanced